SystemOrganization addCategory: #'JQuery-Tests-Core-Functional'!
SystemOrganization addCategory: #'JQuery-Tests-Core-Unit'!

WAComponent subclass: #JQAllFunctionalTests
	instanceVariableNames: 'default tests contents'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQAllFunctionalTests class methodsFor: 'testing' stamp: 'lr 10/14/2008 22:23'!
canBeRoot
	^ true! !

!JQAllFunctionalTests class methodsFor: 'accessing' stamp: 'jf 1/11/2010 12:47'!
description
	^ 'jQuery Functional Test Suite'! !

!JQAllFunctionalTests class methodsFor: 'initialization' stamp: 'lr 2/21/2010 21:11'!
initialize
	| application |
	application := WAAdmin register: self asApplicationAt: 'javascript/jquery'.
	application preferenceAt: #scriptGeneratorClass put: JQScriptGenerator.
	application 
		addLibrary: JQDeploymentLibrary;
		addLibrary: JQAllFunctionalTestsLibrary.

	application := WAAdmin register: WAAllFunctionalTests asApplicationAt: 'tests/functional-ajaxified'.
	application preferenceAt: #scriptGeneratorClass put: JQScriptGenerator.
	application
		preferenceAt: #sessionClass put: WAExpirySession;
		addLibrary: JQDeploymentLibrary;
		addLibrary: JQAjaxifierLibrary! !

!JQAllFunctionalTests methodsFor: 'accessing' stamp: 'lr 10/21/2008 22:28'!
children
	^ Array with: contents! !

!JQAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 10/29/2008 08:19'!
default
	^ JQWelcomeFunctionalTest new! !

!JQAllFunctionalTests methodsFor: 'configuration' stamp: 'jf 1/11/2010 12:52'!
heading
	^ self class description! !

!JQAllFunctionalTests methodsFor: 'initialization' stamp: 'obi 6/13/2010 09:05'!
initialRequest: aRequest
	super initialRequest: aRequest.
	tests do: [ :category |
		category value do: [ :entry | | requestPath |
			requestPath := aRequest url path.
			requestPath isEmpty
				ifFalse: [
					(self pathFor: entry value title) = requestPath last
						ifTrue: [ contents := entry value ] ] ] ]! !

!JQAllFunctionalTests methodsFor: 'initialization' stamp: 'lr 10/21/2008 23:38'!
initialize
	super initialize.
	tests := self tests.
	contents := default := self default! !

!JQAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 1/14/2010 20:02'!
menu
	^ #(('http://www.seaside.st/' 'Seaside') ('http://jquery.com/' 'jQuery') ('http://api.jquery.com/' 'Documentation'))! !

!JQAllFunctionalTests methodsFor: 'private' stamp: 'lr 3/8/2009 10:21'!
pathFor: aString
	^ (aString select: [ :each | each isAlphaNumeric ]) asLowercase! !

!JQAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 10/29/2008 22:46'!
renderBodyOn: html
	html div class: 'body'; with: [ 
		self renderTestsOn: html.
		self renderMainOn: html.
		html div style: 'clear: both' ]! !

!JQAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 10/21/2008 21:32'!
renderBottomOn: html
	html div class: 'bottom'! !

!JQAllFunctionalTests methodsFor: 'rendering-browser' stamp: 'lr 3/7/2009 16:15'!
renderBrowserOn: html
	self renderReadmeOn: html.
	self renderDemoOn: html.
	self renderSmalltalkOn: html.
	self renderJavascriptOn: html! !

!JQAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 7/13/2009 22:03'!
renderContentOn: html
	html div id: 'canvas'; with: [
		html div id: 'header'; with: [ 
			self renderHeaderOn: html ].
		html div id: 'content'; with: [
			self renderTopOn: html.
			self renderHeadOn: html.
			self renderBodyOn: html.
			self renderBottomOn: html ] ].
	self renderTimeoutOn: html! !

!JQAllFunctionalTests methodsFor: 'rendering-browser' stamp: 'lr 10/29/2008 22:48'!
renderDemoOn: html
	html heading level: 4; with: 'Demo'.
	html div class: 'demo'; with: contents! !

!JQAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 10/21/2008 23:39'!
renderHeadOn: html
	html div class: 'head'; with: [
		html heading level: 2; with: [
			html anchor
				callback: [ contents := default ];
				with: self heading ].
		html paragraph: self slogan ]! !

!JQAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 11/4/2008 20:08'!
renderHeaderOn: html
	self renderLogoOn: html.
	self renderMenuOn: html! !

!JQAllFunctionalTests methodsFor: 'rendering-browser' stamp: 'lr 2/22/2010 22:47'!
renderJavascriptOn: html
	| context |
	html heading level: 4; with: 'Source'.
	html div class: 'code'; with: [
		context := html context copy.
		context document: (WAPrettyPrintedDocument context: html context).
		context document scriptGenerator: html document scriptGenerator class new.
		contents renderWithContext: context.
		context document scriptGenerator closeOn: context document ].! !

!JQAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 10/21/2008 23:39'!
renderLogoOn: html
	html heading level: 1; class: 'logo'; with: [
		html anchor
			title: self title;
			callback: [ contents := default ];
			with: [ html span: self title ] ]! !

!JQAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 10/29/2008 22:46'!
renderMainOn: html
	html div class: 'main'; with: [
		html heading
			level: 3;
			with: contents title.
		contents selectors isEmpty
			ifTrue: [ html render: contents ]
			ifFalse: [ self renderBrowserOn: html ] ]! !

!JQAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 10/21/2008 22:13'!
renderMenuOn: html
	html div id: 'menu'; with: [
		html div class: 'left'.
		html unorderedList: [
			self menu do: [ :pair |
				html listItem: [
					html anchor
						url: pair first;
						with: pair last ] ] ].
		html div class: 'right' ]! !

!JQAllFunctionalTests methodsFor: 'rendering-browser' stamp: 'lr 3/7/2009 16:36'!
renderReadmeOn: html
	contents renderReadmeOn: html! !

!JQAllFunctionalTests methodsFor: 'rendering-browser' stamp: 'jf 1/11/2010 13:06'!
renderSmalltalkOn: html 
	| source |
	html heading level: 4; with: 'Smalltalk'.
	contents selectors do: [ :selector | 
		source := ((contents class whichClassIncludesSelector: selector) 
			sourceCodeAt: selector) greaseString readStream.
		html div class: 'code'; with: [
			html span
				class: 'signature';
				with: [ html text: contents class name; text: '>>'; text: source nextLine ].
			html break.
			[ source atEnd ] whileFalse: [ 
				[ source peek = Character tab ] whileTrue: [ 
					html space; space; space.
					source next ].
				html render: source nextLine; break ] ] ]
		separatedBy: [ html break ]
! !

!JQAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 3/9/2009 19:24'!
renderTestsOn: html
	html div class: 'tests'; with: [
		tests do: [ :titleAndItems |
			html heading level: 3; with: titleAndItems key.
			html unorderedList: [
				titleAndItems value do: [ :titleAndClass |
					html listItem
						class: 'active' if: contents = titleAndClass value;
						with: [ 
							html anchor
								useBaseUrl;
								callback: [ contents := titleAndClass value ];
								extraPath: (self pathFor: titleAndClass value title);
								with: titleAndClass key ] ] ] ] ]! !

!JQAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 4/15/2010 06:48'!
renderTimeoutOn: html
	"Warn the user if an error occurs during an AJAX action (mostly this is a session timeout) and refreshes the current page (causing the default error/expiry handling to kick in)."

	html document addLoadScript: (html jQuery ajaxSetup
		onError: (html javascript
			alert: 'The session has expired.';
			refresh)).
			
	"An alternative implementation is to trigger a request now and then so that the session never expires:"
	"html document addLoadScript: (html jQuery ajax
		callback: [ 'the session is active' ]; 
		interval: 60 seconds)"! !

!JQAllFunctionalTests methodsFor: 'rendering' stamp: 'lr 10/21/2008 21:32'!
renderTopOn: html
	html div class: 'top'! !

!JQAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 3/7/2009 16:32'!
slogan
	^ 'Say it in Smalltalk, Do it with jQuery'! !

!JQAllFunctionalTests methodsFor: 'accessing' stamp: 'lr 10/21/2008 22:31'!
states
	^ Array with: self! !

!JQAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 4/25/2011 13:49'!
tests
	^ Array 
		with: 'Ajax' -> (Array 
			with: 'Ajax' -> JQAjaxFunctionalTest new
			with: 'Form' -> JQFormFunctionalTest new
			with: 'Request' -> JQRequestFunctionalTest new
			with: 'JSON' -> JQJsonFunctionalTest new
			with: 'Counter' -> JQCounterFunctionalTest new
			with: 'Repeating' -> JQRepeatingFunctionalTest new)
		with: 'Other' -> (Array
			with: 'Effect' -> JQEffectsFunctionalTest new
			with: 'Animate' -> JQAnimateFunctionalTest new)! !

!JQAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 10/21/2008 22:04'!
title
	^ 'jQuery for Seaside'! !

!JQAllFunctionalTests methodsFor: 'updating' stamp: 'lr 9/8/2009 12:40'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: self title! !

!JQAllFunctionalTests methodsFor: 'updating' stamp: 'lr 3/8/2009 10:21'!
updateUrl: aUrl
	super updateUrl: aUrl.
	aUrl addToPath: (self pathFor: contents title)! !

!JQAllFunctionalTests methodsFor: 'configuration' stamp: 'lr 10/20/2008 20:20'!
url
	^ 'http://www.jquery.com/'! !

WAComponent subclass: #JQFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

JQFunctionalTest subclass: #JQAjaxFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQAjaxFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/5/2008 20:00'!
renderContentOn: html
	html code id: #logger; with: DateAndTime now.
	html paragraph: [
		html submitButton
			onClick: (html jQuery ajax
				script: [ :s | s << (s jQuery: #logger) html: DateAndTime now ]);
			with: 'Replace'.
		html submitButton
			onClick: (html jQuery ajax
				script: [ :s | s << (s jQuery: #logger) prepend: DateAndTime now ]);
			with: 'Prepend'.
		html submitButton
			onClick: (html jQuery ajax
				script: [ :s | s << (s jQuery: #logger) append: DateAndTime now ]);
			with: 'Append' ]! !

!JQAjaxFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/29/2008 08:20'!
selectors
	^ #(renderContentOn:)! !

!JQAjaxFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/4/2009 22:57'!
title
	^ 'Ajax and DOM Manipulation'! !

JQFunctionalTest subclass: #JQAnimateFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQAnimateFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/5/2009 10:30'!
renderAbsoluteOn: html
	html anchor
		onClick: ((html jQuery: #seastar) animate opacity: 0.0);
		with: 'Opacity 0%'.
	html anchor
		onClick: ((html jQuery: #seastar) animate opacity: 0.5);
		with: 'Opacity 50%'.
	html anchor
		onClick: ((html jQuery: #seastar) animate opacity: 1.0);
		with: 'Opacity 100%'! !

!JQAnimateFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/5/2009 10:42'!
renderContentOn: html
	html paragraph class: 'actions'; with: [
		self renderRelativeOn: html.
		self renderAbsoluteOn: html.
		self renderToggleOn: html ].
	self renderSeastarOn: html! !

!JQAnimateFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/5/2009 10:33'!
renderRelativeOn: html
	html anchor
		onClick: ((html jQuery: #seastar) animate left: '-=100px');
		with: 'Move Left'.
	html anchor
		onClick: ((html jQuery: #seastar) animate left: '+=100px');
		with: 'Move Right'! !

!JQAnimateFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/5/2009 10:31'!
renderToggleOn: html
	html anchor
		onClick: ((html jQuery: #seastar) animate width: 'toggle');
		with: 'Toggle Width'.
	html anchor
		onClick: ((html jQuery: #seastar) animate height: 'toggle');
		with: 'Toggle Height'! !

!JQAnimateFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/5/2009 10:42'!
selectors
	^ #(renderContentOn: renderRelativeOn: renderAbsoluteOn: renderToggleOn: renderSeastarOn:)! !

!JQAnimateFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/5/2009 10:14'!
title
	^ 'Animations'! !

JQFunctionalTest subclass: #JQCounterFunctionalTest
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQCounterFunctionalTest methodsFor: 'initialization' stamp: 'lr 10/14/2008 22:26'!
initialize
	super initialize.
	count := 0! !

!JQCounterFunctionalTest methodsFor: 'rendering' stamp: 'NickAger 11/25/2011 15:12'!
renderContentOn: html
	html paragraph: [
		html anchor
			url: 'javascript:void(0)';
			onClick: ((html jQuery: #count) load
				html: [ :h | h render: (count := count - 1) ]);
			with: '--'.
		html span
			id: #count;
			with: count.
		html anchor
			url: 'javascript:void(0)';
			onClick: ((html jQuery: #count) load
				html: [ :h | h render: (count := count + 1) ]);
			with: '++' ]! !

!JQCounterFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/29/2008 08:06'!
selectors
	^ #(initialize renderContentOn:)! !

!JQCounterFunctionalTest methodsFor: 'rendering' stamp: 'lr 2/23/2009 13:30'!
style
	^ '#count { margin: 0 0.5em; }'! !

!JQCounterFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/4/2009 22:57'!
title
	^ 'Counting Up and Down'! !

JQFunctionalTest subclass: #JQEffectsFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQEffectsFunctionalTest methodsFor: 'rendering' stamp: 'lr 11/13/2010 10:24'!
renderContentOn: html
	html paragraph class: 'actions'; with: [
		#(show: hide: toggle: slideDown: slideUp: slideToggle: fadeIn: fadeOut: fadeToggle:) do: [ :selector |
			html anchor
				onClick: ((html jQuery: #seastar) 
					perform: selector
					with: 1 seconds);
				with: selector allButLast ] ].
	self renderSeastarOn: html! !

!JQEffectsFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/5/2009 10:21'!
selectors
	^ #(renderContentOn: renderSeastarOn:)! !

!JQEffectsFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/5/2009 10:19'!
title
	^ 'Effects'! !

JQFunctionalTest subclass: #JQFormFunctionalTest
	instanceVariableNames: 'textInput textArea checkBox radioButton selectList multiSelectList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQFormFunctionalTest methodsFor: 'initialization' stamp: 'lr 2/8/2009 12:39'!
initialize
	super initialize.
	textInput := 'Text Input'.
	textArea := 'Text Area'.
	checkBox := false.
	radioButton := 1.
	selectList := 1.
	multiSelectList := 1 to: 2! !

!JQFormFunctionalTest methodsFor: 'rendering-elements' stamp: 'lr 11/16/2008 00:16'!
renderCheckBoxOn: html
	self
		renderLabel: 'Check-Box'
		control: [ :id :script |
			html checkbox
				id: id;
				value: checkBox;
				callback: [ :value | checkBox := value ];
				onChange: (script html: [ :h | h render: checkBox ]) ]
		model: checkBox
		on: html! !

!JQFormFunctionalTest methodsFor: 'rendering' stamp: 'lr 7/14/2010 10:25'!
renderContentOn: html
	self renderTextInputOn: html.
	self renderTextAreaOn: html.
	self renderCheckBoxOn: html.
	self renderRadioButtonOn: html.
	self renderSelectListOn: html.
	self renderMultiSelectListOn: html! !

!JQFormFunctionalTest methodsFor: 'rendering-utilities' stamp: 'lr 2/6/2009 20:37'!
renderLabel: aString control: aBlock model: anObject on: html
	| id |
	html fieldSet: [
		html label
			for: (id := html nextId);
			with: aString.
		html span: [
			aBlock
				value: id
				" update the paragraph "
				value: ((html jQuery this	
					parents: 'fieldset';
					find: 'p') load
						" serialize all nearby form elements "
						serialize: (html jQuery this		
							parents: 'span';
							find: ':input')) ].
		html paragraph: anObject ]! !

!JQFormFunctionalTest methodsFor: 'rendering-elements' stamp: 'lr 2/8/2009 12:39'!
renderMultiSelectListOn: html 
	self 
		renderLabel: 'Multi-Select-List'
		control: [ :id :script | 
			html multiSelect
				id: id;
				size: 3;
				list: (1 to: 9);
				selected: multiSelectList;
				callback: [ :value | multiSelectList := value ];
				onChange: (script html: [ :h | h render: multiSelectList ]) ]
		model: multiSelectList
		on: html! !

!JQFormFunctionalTest methodsFor: 'rendering-elements' stamp: 'obi 12/31/2009 21:39'!
renderRadioButtonOn: html
	self
		renderLabel: 'Radio-Button'
		control: [ :id :script |
			html radioGroup
				callback: [:value | radioButton := value ];
				selected: radioButton;
				with: [ :group |
				1 to: 3 do: [ :each |
					html label: [
						html radioButton
							group: group;
							value: each;
							onChange: (script html: [ :h | h render: radioButton ]).
						html text: each ].
					html break ] ] ]
		model: radioButton
		on: html! !

!JQFormFunctionalTest methodsFor: 'rendering-elements' stamp: 'lr 11/16/2008 00:16'!
renderSelectListOn: html
	self
		renderLabel: 'Select-List'
		control: [ :id :script |
			html select
				id: id;
				list: (1 to: 9);
				selected: selectList;
				callback: [ :value | selectList := value ];
				onChange: (script html: [ :h | h render: selectList ]) ]
		model: selectList
		on: html! !

!JQFormFunctionalTest methodsFor: 'rendering-elements' stamp: 'lr 11/16/2008 00:16'!
renderTextAreaOn: html
	self
		renderLabel: 'Text-Area'
		control: [ :id :script |
			html textArea
				id: id;
				columns: 20;
				value: textArea;
				callback: [ :value | textArea := value ];
				onChange: (script html: [ :h | h render: textArea ]) ]
		model: textArea
		on: html! !

!JQFormFunctionalTest methodsFor: 'rendering-elements' stamp: 'lr 7/14/2010 10:24'!
renderTextInputOn: html
	self
		renderLabel: 'Text-Input'
		control: [ :id :script |
			html textInput
				id: id;
				value: textInput;
				callback: [ :value | textInput := value ];
				onChange: (script html: [ :h | h render: textInput ]).
			"the following code checks if a manual submit does a correct encoding:"
			html submitButton
				onClick: (html jQuery ajax
					callback: [ :value | textInput := value ] value: (html jQuery id: id) value;
					script: [ :s | s alert: 'The submitted value is: "' , textInput , '".' ]);
				with: 'Manual Submit' ]
		model: textInput
		on: html! !

!JQFormFunctionalTest methodsFor: 'accessing' stamp: 'lr 2/6/2009 20:50'!
selectors
	^ #(renderLabel:control:model:on: renderTextInputOn: renderTextAreaOn: renderCheckBoxOn: renderRadioButtonOn: renderSelectListOn: renderMultiSelectListOn:)! !

!JQFormFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/4/2009 22:54'!
style
	^ 'fieldset { border: none; margin: 1em 0; padding: 0; }
fieldset label, fieldset span, fieldset p { display: block; float: left; width: 33%; margin: 0; padding: 0; }
fieldset span label { display: inline; float: none; }
fieldset span input.text, fieldset span select, fieldset span textarea { width: 80% }
fieldset p { background-color: #ddd; padding: 2px; }'! !

!JQFormFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/29/2008 08:16'!
title
	^ 'Form and Form Elements'! !

!JQFunctionalTest methodsFor: 'rendering' stamp: 'lr 3/7/2009 16:50'!
renderReadmeOn: html
	self url isNil ifTrue: [ ^ self ].
	html paragraph: [
		html text: 'For additional documentation and examples please visit the official '.
		html anchor
			url: self url;
			with: 'web-site'.
		html text: '.' ]! !

!JQFunctionalTest methodsFor: 'rendering' stamp: 'jf 1/11/2010 13:08'!
renderSeastarOn: html
	html paragraph id: 'seastar'; with: [
		html image
			altText: 'Seaside';
			url: (JQAllFunctionalTestsLibrary urlOf: #seastarPng) ]! !

!JQFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/29/2008 07:58'!
selectors
	^ #()! !

!JQFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/21/2008 23:37'!
title
	^ self class description! !

!JQFunctionalTest methodsFor: 'accessing' stamp: 'lr 3/7/2009 16:14'!
url
	^ nil! !

JQFunctionalTest subclass: #JQJsonFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQJsonFunctionalTest methodsFor: 'rendering' stamp: 'lr 4/25/2011 13:41'!
renderContentOn: html
	html div id: 'images'.
	html document 
		addLoadScript: (html jQuery getJson
			url: 'http://api.flickr.com/services/feeds/photos_public.gne?tags=seaside&format=json&jsoncallback=?';
			onSuccess: '$.each(arguments[0].items, function(index, each) {
				$("<img/>").attr("src", each.media.m).attr("title", each.title).appendTo("#images");
			});')! !

!JQJsonFunctionalTest methodsFor: 'rendering' stamp: 'lr 12/4/2009 23:00'!
renderReadmeOn: html
	super renderReadmeOn: html.
	html paragraph: 'Loads some recent Seaside pictures from the Flickr JSONP API.'! !

!JQJsonFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/4/2009 22:15'!
selectors
	^ #(renderContentOn:)! !

!JQJsonFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/4/2009 22:49'!
style
	^ '#images { white-space: nowrap; overflow: scroll; overflow-y: hidden; }
#images img { padding: 0 10px 10px 0; vertical-align: middle; }'! !

!JQJsonFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/4/2009 22:15'!
title
	^ 'Load External JSON'! !

JQFunctionalTest subclass: #JQRepeatingFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQRepeatingFunctionalTest methodsFor: 'rendering' stamp: 'jf 2/5/2010 17:03'!
renderContentOn: html
	html paragraph
		script: (html jQuery this load
			html: [ :r | self renderTimeOn: r ];
			interval: 1 seconds);	
		with: [ self renderTimeOn: html ]! !

!JQRepeatingFunctionalTest methodsFor: 'rendering' stamp: 'lr 6/2/2009 18:41'!
renderTimeOn: html
	html render: DateAndTime now! !

!JQRepeatingFunctionalTest methodsFor: 'accessing' stamp: 'lr 6/2/2009 18:35'!
selectors
	^ #(renderContentOn: renderTimeOn:)! !

!JQRepeatingFunctionalTest methodsFor: 'accessing' stamp: 'lr 12/4/2009 22:57'!
title
	^ 'Repeated Ajax Calls'! !

JQFunctionalTest subclass: #JQRequestFunctionalTest
	instanceVariableNames: 'logger'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQRequestFunctionalTest methodsFor: 'initialization' stamp: 'lr 4/25/2011 14:01'!
initialize
	super initialize.
	logger := OrderedCollection new! !

!JQRequestFunctionalTest methodsFor: 'private' stamp: 'lr 4/25/2011 14:09'!
loggerOn: aScript
	aScript << ((aScript jQuery: #logger) contents remove).
	aScript << (logger
		inject: (aScript jQuery: #logger)
		into: [ :result :each | result append: [ :html | html text: each; break ] ]).
	logger := OrderedCollection new! !

!JQRequestFunctionalTest methodsFor: 'rendering' stamp: 'lr 4/25/2011 14:10'!
renderButton: aString ajax: anAjax on: html
	html button
		bePush;
		onClick: (anAjax
			serializeForm;
			onSuccess: ((html jQuery: #logger)
				append: 'Request Success');
			script: [ :s | self loggerOn: s ]);
		with: aString! !

!JQRequestFunctionalTest methodsFor: 'rendering' stamp: 'lr 4/25/2011 14:30'!
renderContentOn: html
	html form: [ 
		self renderText: 'Field 1' on: html.
		self renderText: 'Field 2' on: html.
		html div 
			id: 'logger';
			class: 'code'.
		html paragraph: [
			self renderButton: 'Get' ajax: html jQuery get on: html.
			self renderButton: 'Script' ajax: html jQuery getScript on: html.
			self renderButton: 'Post' ajax: html jQuery post on: html ] ]! !

!JQRequestFunctionalTest methodsFor: 'rendering' stamp: 'lr 4/25/2011 14:02'!
renderText: aString on: html
	| id |
	html fieldSet: [
		html label
			for: (id := html nextId);
			with: aString.
		html span: [
			html textInput
				id: id;
				value: aString;
				callback: [ :value | logger addLast: aString , ': ' , value asString ] ] ]! !

!JQRequestFunctionalTest methodsFor: 'accessing' stamp: 'lr 4/25/2011 14:26'!
selectors
	^ #(renderContentOn: renderButton:ajax:on:)! !

!JQRequestFunctionalTest methodsFor: 'rendering' stamp: 'lr 4/25/2011 14:12'!
style
	^ 'fieldset { border: none; margin: 1em 0; padding: 0; }
fieldset label, fieldset span, fieldset p { display: block; float: left; width: 50%; margin: 0; padding: 0; }'! !

!JQRequestFunctionalTest methodsFor: 'accessing' stamp: 'lr 4/25/2011 13:48'!
title
	^ 'Ajax Requests'! !

JQFunctionalTest subclass: #JQWelcomeFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQWelcomeFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/29/2008 07:55'!
renderContentOn: html
	self renderWelcomeOn: html.
	self renderSeasideOn: html.
	self renderQueryOn: html! !

!JQWelcomeFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/29/2008 22:48'!
renderQueryOn: html
	html heading level: 4; with: 'jQuery'.
	html paragraph: [
		html anchor
			url: 'http://www.jquery.com/';
			with: 'jQuery'.
		html text: ' is a fast and concise Javascript Library that simplifies HTML document traversing, event handling, animating, and Ajax interactions for rapid web development. jQuery is designed to change the way that you write JavaScript.' ]! !

!JQWelcomeFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/29/2008 22:48'!
renderSeasideOn: html
	html heading level: 4; with: 'Seaside'.
	html paragraph: [
		html anchor
			url: 'http://www.seaside.st/';
			with: 'Seaside'.
		html text: ' is a framework for developing sophisticated web applications in Smalltalk. It provides a layered set of abstractions over HTTP and HTML that let you build highly interactive web applications quickly, reusably and maintainably.' ]! !

!JQWelcomeFunctionalTest methodsFor: 'rendering' stamp: 'lr 10/29/2008 07:54'!
renderWelcomeOn: html
	html paragraph: [
		html anchor
			url: 'http://www.seaside.st/';
			with: 'Seaside'.
		html text: ' provides a complete integration of '.
		html anchor
			url: 'http://www.jquery.com/';
			with: 'jQuery'.
		html text: ', allowing the use of the library without having to write a single line of JavaScript code. Everything can be configured and plugged together using Smalltalk objects. Try by yourself, by clicking through this functional test suite and by browsing the source-code.' ]! !

!JQWelcomeFunctionalTest methodsFor: 'accessing' stamp: 'lr 10/29/2008 07:57'!
title
	^ 'Welcome'! !

JSObjectTest subclass: #JQueryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

JQueryTest subclass: #JQAjaxTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQAjaxTest methodsFor: 'accessing' stamp: 'lr 10/14/2008 22:04'!
ajax
	^ self jQuery ajax! !

!JQAjaxTest methodsFor: 'accessing' stamp: 'lr 10/15/2008 21:47'!
ajaxSetup
	^ self jQuery ajaxSetup! !

!JQAjaxTest methodsFor: 'tests-parameters' stamp: 'lr 4/16/2010 08:05'!
testAddParameter
	self 
		assert: (self ajax addParameter: 'foo')
		equals: self function , '.ajax({"data":"foo"})'! !

!JQAjaxTest methodsFor: 'tests-parameters' stamp: 'lr 7/14/2010 13:23'!
testAddParameterValue
	self
		assert: (self ajax addParameter: 'foo' -> 12)
		equals: self function , '.ajax({"data":"foo="+encodeURIComponent(12)})'.
	self
		assert: (self ajax addParameter: 'foo' -> true)
		equals: self function , '.ajax({"data":"foo="+encodeURIComponent(true)})'.
	self
		assert: (self ajax addParameter: 'foo' -> self mock)
		equals: self function , '.ajax({"data":"foo="+encodeURIComponent(mock)})'! !

!JQAjaxTest methodsFor: 'tests' stamp: 'lr 12/6/2008 21:13'!
testAjax
	self 
		assert: self ajax
		equals: self function , '.ajax()'! !

!JQAjaxTest methodsFor: 'tests' stamp: 'lr 11/28/2008 17:50'!
testAjaxSetup
	self 
		assert: self ajaxSetup
		equals: self function , '.ajaxSetup()'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:05'!
testAsync
	self
		assert: (self ajax async: true)
		equals: self function , '.ajax({"async":true})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:06'!
testCache
	self
		assert: (self ajax cache: false)
		equals: self function , '.ajax({"cache":false})'! !

!JQAjaxTest methodsFor: 'tests-callbacks' stamp: 'lr 4/16/2010 08:06'!
testCallback
	self 
		assert: (self ajax callback: [ ])
		equals: self function , '.ajax({"url":"http://www.seaside.st/","data":["_s=1","_k=a","1"].join("&")})'! !

!JQAjaxTest methodsFor: 'tests-convenience' stamp: 'lr 7/14/2010 13:23'!
testCallbackJson
	self
		assert: (self ajax callback: [ :value | ] json: self mock)
		equals: self function , '.ajax({"url":"http://www.seaside.st/","data":["_s=1","_k=a","1","2="+encodeURIComponent(JSON.stringify(mock))].join("&")})'! !

!JQAjaxTest methodsFor: 'tests-callbacks' stamp: 'lr 7/14/2010 13:23'!
testCallbackValue
	self 
		assert: (self ajax callback: [ ] value: (self jQuery this hasClass: 'foo'))
		equals: self function , '.ajax({"url":"http://www.seaside.st/","data":["_s=1","_k=a","1","2="+encodeURIComponent(' , self function , '(this).hasClass("foo"))].join("&")})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:07'!
testContentType
	self
		assert: (self ajax contentType: 'text/html')
		equals: self function , '.ajax({"contentType":"text/html"})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:07'!
testContext
	self
		assert: (self ajax context: self jQuery this)
		equals: self function , '.ajax({"context":', self function , '(this)})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:07'!
testData
	self
		assert: (self ajax data: 'foo')
		equals: self function , '.ajax({"data":"foo"})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:07'!
testDataFilter
	self
		assert: (self ajax dataFilter: (self javascript alert: 'Hello'))
		equals: self function , '.ajax({"dataFilter":function(){return alert("Hello")}})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:28'!
testDataType
	self
		assert: (self ajax dataType: 'xml')
		equals: self function , '.ajax({"dataType":"xml"})'! !

!JQAjaxTest methodsFor: 'tests-accessing' stamp: 'lr 12/26/2008 09:55'!
testFullUrl
	self 
		assert: (self ajax fullUrl)
		equals: '"/"'.
	self
		assert: (self ajax callback: [ ]; fullUrl)
		equals: '"http://www.seaside.st/?_s=1&_k=a&1"'.
	self
		assert: (self ajax callback: [ ] value: $a; fullUrl)
		equals: '"http://www.seaside.st/?_s=1&_k=a&1&2=a"'.
	self
		assert: (self ajax callback: [ ] value: self mock; fullUrl)
		equals: '"http://www.seaside.st/?_s=1&_k=a&1"'! !

!JQAjaxTest methodsFor: 'tests' stamp: 'lr 12/6/2008 21:20'!
testGet
	self
		assert: (self jQuery get)
		equals: self function , '.get("/")'! !

!JQAjaxTest methodsFor: 'tests' stamp: 'lr 12/6/2008 21:20'!
testGetJson
	self
		assert: (self jQuery getJson)
		equals: self function , '.getJSON("/")'! !

!JQAjaxTest methodsFor: 'tests' stamp: 'lr 12/6/2008 21:20'!
testGetScript
	self
		assert: (self jQuery getScript)
		equals: self function , '.getScript("/")'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:07'!
testGlobal
	self
		assert: (self ajax global: false)
		equals: self function , '.ajax({"global":false})'! !

!JQAjaxTest methodsFor: 'tests-callbacks' stamp: 'lr 4/16/2010 08:07'!
testHtml
	self 
		assert: (self ajax html: [ :html | html div ])
		equals: self function , '.ajax({"dataType":"html","url":"http://www.seaside.st/","data":["_s=1","_k=a","1"].join("&")})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:07'!
testIfModified
	self
		assert: (self ajax ifModified: false)
		equals: self function , '.ajax({"ifModified":false})'! !

!JQAjaxTest methodsFor: 'tests-accessing' stamp: 'lr 7/14/2010 13:25'!
testJavascriptUrl
	self 
		assert: (self ajax javascriptUrl)
		equals: '"/"'.
	self
		assert: (self ajax callback: [ ]; javascriptUrl)
		equals: '"http://www.seaside.st/"+"?"+["_s=1","_k=a","1"].join("&")'.
	self
		assert: (self ajax callback: [ ] value: $a; javascriptUrl)
		equals: '"http://www.seaside.st/"+"?"+["_s=1","_k=a","1","2=a"].join("&")'.
	self
		assert: (self ajax callback: [ ] value: self mock; javascriptUrl)
		equals: '"http://www.seaside.st/"+"?"+["_s=1","_k=a","1","2="+encodeURIComponent(mock)].join("&")'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:07'!
testJsonp
	self
		assert: (self ajax jsonp: 'onJsonPLoad')
		equals: self function , '.ajax({"jsonp":"onJsonPLoad"})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:08'!
testJsonpCallback
	self
		assert: (self ajax jsonpCallback: 1)
		equals: self function , '.ajax({"jsonpCallback":function(){1}})'! !

!JQAjaxTest methodsFor: 'tests' stamp: 'lr 4/25/2011 13:40'!
testLoad
	self
		assert: ((self jQuery: 'li') load)
		equals: self function , '("li").load("/")'.
	self
		assert: ((self jQuery: 'li') load 
			selector: '#jq-p-Getting-Started li')
		equals: self function , '("li").load("/ #jq-p-Getting-Started li")'.
	self
		assert: ((self jQuery: 'li') load 
			url: '/Main_Page';
			selector: '#jq-p-Getting-Started li')
		equals: self function , '("li").load("/Main_Page #jq-p-Getting-Started li")'! !

!JQAjaxTest methodsFor: 'tests-callbacks' stamp: 'lr 7/14/2010 13:25'!
testMultiple
	self 
		assert: (self ajax
			callback: [ :value | ] value: $a; 
			callback: [ :value | ] value: $b;
			callback: [ ])
		equals: self function , '.ajax({"url":"http://www.seaside.st/","data":["_s=1","_k=a","1","2=a","3=b"].join("&")})'.! !

!JQAjaxTest methodsFor: 'tests-events' stamp: 'lr 4/16/2010 08:27'!
testOnBeforeSend
	self
		assert: (self jQuery ajax onBeforeSend: (self javascript alert: 'before'))
		equals: self function , '.ajax({"beforeSend":function(){alert("before")}})'! !

!JQAjaxTest methodsFor: 'tests-events' stamp: 'lr 7/10/2011 12:08'!
testOnComplete
	self
		assert: (self jQuery ajax onComplete: (self javascript alert: 'loaded'))
		equals: self function , '.ajax({"complete":function(){alert("loaded")}})'.
	self
		assert: ((self jQuery: 'li') load onComplete: (self javascript alert: 'loaded'))
		equals: self function , '("li").load("/",function(){alert("loaded")})'! !

!JQAjaxTest methodsFor: 'tests-events' stamp: 'lr 4/16/2010 08:27'!
testOnError
	self
		assert: (self jQuery ajax onError: (self javascript alert: 'error'))
		equals: self function , '.ajax({"error":function(){alert("error")}})'! !

!JQAjaxTest methodsFor: 'tests-events' stamp: 'lr 4/16/2010 08:27'!
testOnSuccess
	self
		assert: (self jQuery ajax onSuccess: (self javascript alert: 'success'))
		equals: self function , '.ajax({"success":function(){alert("success")}})'! !

!JQAjaxTest methodsFor: 'tests-events' stamp: 'lr 4/16/2010 08:27'!
testOnXhr
	self
		assert: (self jQuery ajax onXhr: (self javascript alert: 'create'))
		equals: self function , '.ajax({"xhr":function(){alert("create")}})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:27'!
testPassword
	self
		assert: (self ajax password: 'topsecret')
		equals: self function , '.ajax({"password":"topsecret"})'! !

!JQAjaxTest methodsFor: 'tests' stamp: 'lr 4/25/2011 13:35'!
testPost
	self
		assert: (self jQuery post)
		equals: self function , '.post("/")'.
	self
		assert: (self jQuery post addParameter: 'foo')
		equals: self function , '.post("/","foo")'.
	self
		assert: (self jQuery post addParameter: 'foo' -> true)
		equals: self function , '.post("/","foo="+encodeURIComponent(true))'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:27'!
testProcessData
	self
		assert: (self ajax processData: false)
		equals: self function , '.ajax({"processData":false})'! !

!JQAjaxTest methodsFor: 'tests-callbacks' stamp: 'lr 4/16/2010 08:26'!
testScript
	self 
		assert: (self ajax script: [ :script | script alert: 'Hello' ])
		equals: self function , '.ajax({"dataType":"script","url":"http://www.seaside.st/","data":["_s=1","_k=a","1"].join("&")})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:26'!
testScriptCharset
	self
		assert: (self ajax scriptCharset: 'utf-8')
		equals: self function , '.ajax({"scriptCharset":"utf-8"})'! !

!JQAjaxTest methodsFor: 'tests-convenience' stamp: 'lr 4/16/2010 08:25'!
testSerialize
	self
		assert: (self ajax serialize: (self jQuery: 'form'))
		equals: self function , '.ajax({"url":"http://www.seaside.st/","data":["_s=1","_k=a","1",' , self function , '("form").serialize()].join("&")})'! !

!JQAjaxTest methodsFor: 'tests-convenience' stamp: 'lr 4/28/2009 20:56'!
testSerializeArray
	self
		assert: (self jQuery this serializeArray)
		equals: self function , '(this).serializeArray()'! !

!JQAjaxTest methodsFor: 'tests-convenience' stamp: 'lr 4/16/2010 08:25'!
testSerializeChildren
	self
		assert: (self ajax serializeChildren)
		equals: self function , '.ajax({"url":"http://www.seaside.st/","data":["_s=1","_k=a","1",' , self function , '(this).find(":input").serialize()].join("&")})'.
	self
		assert: (self ajax serializeChildren: (self jQuery: 'form'))
		equals: self function , '.ajax({"url":"http://www.seaside.st/","data":["_s=1","_k=a","1",' , self function , '("form").find(":input").serialize()].join("&")})'! !

!JQAjaxTest methodsFor: 'tests-convenience' stamp: 'lr 4/16/2010 08:24'!
testSerializeForm
	self
		assert: (self ajax serializeForm)
		equals: self function , '.ajax({"url":"http://www.seaside.st/","data":["_s=1","_k=a","1",' , self function , '(this).closest("form").find(":input").serialize()].join("&")})'.
	self
		assert: (self ajax serializeForm: (self jQuery: '#something'))
		equals: self function , '.ajax({"url":"http://www.seaside.st/","data":["_s=1","_k=a","1",' , self function , '("#something").closest("form").find(":input").serialize()].join("&")})'! !

!JQAjaxTest methodsFor: 'tests-convenience' stamp: 'lr 4/16/2010 08:24'!
testSerializeThis
	self
		assert: (self ajax serializeThis)
		equals: self function , '.ajax({"url":"http://www.seaside.st/","data":["_s=1","_k=a","1",' , self function , '(this).serialize()].join("&")})'! !

!JQAjaxTest methodsFor: 'tests-convenience' stamp: 'lr 4/16/2010 08:24'!
testSerializeThisWithHidden
	self
		assert: (self ajax serializeThisWithHidden)
		equals: self function , '.ajax({"url":"http://www.seaside.st/","data":["_s=1","_k=a","1",' , self function , '(this).next("input:hidden").andSelf().serialize()].join("&")})'! !

!JQAjaxTest methodsFor: 'tests-callbacks' stamp: 'lr 4/16/2010 08:24'!
testText
	self 
		assert: (self ajax text: [ :stream | stream nextPutAll: 'Supergirl' ])
		equals: self function , '.ajax({"dataType":"text","url":"http://www.seaside.st/","data":["_s=1","_k=a","1"].join("&")})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:25'!
testTimeout
	self
		assert: (self ajax timeout: 1200)
		equals: self function , '.ajax({"timeout":1200})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:25'!
testTraditional
	self
		assert: (self ajax traditional: true)
		equals: self function , '.ajax({"traditional":true})'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:25'!
testType
	self
		assert: (self ajax type: 'post')
		equals: self function , '.ajax({"type":"POST"})'! !

!JQAjaxTest methodsFor: 'tests-accessing' stamp: 'lr 12/26/2008 09:54'!
testUrl
	self 
		assert: self ajax url
		equals: '"/"'.
	self
		assert: (self ajax callback: [ ]; url)
		equals: '"http://www.seaside.st/"'.
	self
		assert: (self ajax callback: [ ] value: $a; url)
		equals: '"http://www.seaside.st/"'.
	self
		assert: (self ajax callback: [ ] value: self mock; url)
		equals: '"http://www.seaside.st/"'! !

!JQAjaxTest methodsFor: 'tests-options' stamp: 'lr 4/16/2010 08:25'!
testUsername
	self
		assert: (self ajax username: 'seaside')
		equals: self function , '.ajax({"username":"seaside"})'! !

JQueryTest subclass: #JQEffectsTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQEffectsTest methodsFor: 'accessing' stamp: 'lr 11/17/2008 20:57'!
animate
	^ self target animate! !

!JQEffectsTest methodsFor: 'accessing' stamp: 'lr 11/17/2008 20:56'!
target
	^ self jQuery: 'div'! !

!JQEffectsTest methodsFor: 'tests-animation' stamp: 'lr 4/16/2010 08:26'!
testAnimateEvents
	self
		assert: (self animate onComplete: self mock)
		equals: self function , '("div").animate({},{"complete":function(){mock}})'.
	self
		assert: (self animate onStep: self mock)
		equals: self function , '("div").animate({},{"step":function(){mock}})'! !

!JQEffectsTest methodsFor: 'tests-animation' stamp: 'lr 4/16/2010 08:26'!
testAnimateOptions
	self
		assert: (self animate duration: 5 seconds)
		equals: self function , '("div").animate({},{"duration":5000})'.
	self
		assert: (self animate easing: 'linear')
		equals: self function , '("div").animate({},{"easing":"linear"})'.
	self
		assert: (self animate queue: false)
		equals: self function , '("div").animate({},{"queue":false})'! !

!JQEffectsTest methodsFor: 'tests-animation' stamp: 'lr 4/16/2010 08:26'!
testAnimateParams
	self 
		assert: (self animate parameters: Dictionary new)
		equals: self function , '("div").animate({},{})'.
	self
		assert: (self animate width: 200; padding: 50; opacity: 'hide')
		equals: self function , '("div").animate({"width":200,"padding":50,"opacity":"hide"},{})'.
	self
		assert: (self animate height: 'toggle'; left: '+=100')
		equals: self function , '("div").animate({"height":"toggle","left":"+=100"},{})'! !

!JQEffectsTest methodsFor: 'tests-effects' stamp: 'lr 11/28/2008 17:50'!
testFadeIn
	self 
		assert: (self target fadeIn: 3 seconds)
		equals: self function , '("div").fadeIn(3000)'.
	self 
		assert: (self target fadeIn: 4 seconds callback: 'done')
		equals: self function , '("div").fadeIn(4000,function(){done})'! !

!JQEffectsTest methodsFor: 'tests-effects' stamp: 'lr 11/28/2008 17:50'!
testFadeOut
	self 
		assert: (self target fadeOut: 5 seconds)
		equals: self function , '("div").fadeOut(5000)'.
	self 
		assert: (self target fadeOut: 6 seconds callback: 'done')
		equals: self function , '("div").fadeOut(6000,function(){done})'! !

!JQEffectsTest methodsFor: 'tests-effects' stamp: 'lr 11/28/2008 17:50'!
testFadeTo
	self 
		assert: (self target fade: 1 seconds to: 0.8)
		equals: self function , '("div").fadeTo(1000,0.8)'.
	self 
		assert: (self target fade: 2 seconds to: 0.4 callback: 'done')
		equals: self function , '("div").fadeTo(2000,0.4,function(){done})'! !

!JQEffectsTest methodsFor: 'tests-effects' stamp: 'lr 11/13/2010 10:23'!
testFadeToggle
	self 
		assert: (self target fadeToggle: 'slow')
		equals: self function , '("div").fadeToggle("slow")'.
	self 
		assert: (self target fadeToggle: 'fast' callback: 'done')
		equals: self function , '("div").fadeToggle("fast",function(){done})'! !

!JQEffectsTest methodsFor: 'tests-effects' stamp: 'lr 11/28/2008 17:50'!
testHide
	self 
		assert: (self target hide)
		equals: self function , '("div").hide()'.
	self 
		assert: (self target hide: 'slow')
		equals: self function , '("div").hide("slow")'.
	self 
		assert: (self target hide: 'fast' callback: 'done')
		equals: self function , '("div").hide("fast",function(){done})'! !

!JQEffectsTest methodsFor: 'tests' stamp: 'lr 4/16/2010 08:08'!
testId
	self 
		assert: (self target animate width: 100; queue: false; id: 'foo')
		equals: self function , '("#foo").animate({"width":100},{"queue":false})'! !

!JQEffectsTest methodsFor: 'tests-effects' stamp: 'lr 11/28/2008 17:50'!
testShow
	self 
		assert: (self target show)
		equals: self function , '("div").show()'.
	self 
		assert: (self target show: 'slow')
		equals: self function , '("div").show("slow")'.
	self 
		assert: (self target show: 'fast' callback: 'done')
		equals: self function , '("div").show("fast",function(){done})'! !

!JQEffectsTest methodsFor: 'tests-effects' stamp: 'lr 11/28/2008 17:50'!
testSlideDown
	self 
		assert: (self target slideDown: 'slow')
		equals: self function , '("div").slideDown("slow")'.
	self 
		assert: (self target slideDown: 'fast' callback: 'done')
		equals: self function , '("div").slideDown("fast",function(){done})'! !

!JQEffectsTest methodsFor: 'tests-effects' stamp: 'lr 11/28/2008 17:50'!
testSlideToggle
	self 
		assert: (self target slideToggle: 'slow')
		equals: self function , '("div").slideToggle("slow")'.
	self 
		assert: (self target slideToggle: 'fast' callback: 'done')
		equals: self function , '("div").slideToggle("fast",function(){done})'! !

!JQEffectsTest methodsFor: 'tests-effects' stamp: 'lr 11/28/2008 17:50'!
testSlideUp
	self 
		assert: (self target slideUp: 'slow')
		equals: self function , '("div").slideUp("slow")'.
	self 
		assert: (self target slideUp: 'fast' callback: 'done')
		equals: self function , '("div").slideUp("fast",function(){done})'! !

!JQEffectsTest methodsFor: 'tests' stamp: 'lr 11/28/2008 17:50'!
testStop
	self 
		assert: (self target stop)
		equals: self function , '("div").stop()'! !

!JQEffectsTest methodsFor: 'tests-effects' stamp: 'lr 12/5/2009 10:52'!
testToggle
	self 
		assert: (self target toggle)
		equals: self function , '("div").toggle()'.
	self 
		assert: (self target toggle: 'slow')
		equals: self function , '("div").toggle("slow")'.
	self 
		assert: (self target toggle: 'fast' callback: 'done')
		equals: self function , '("div").toggle("fast",function(){done})'! !

JQueryTest subclass: #JQEventTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQEventTest methodsFor: 'accessing' stamp: 'lr 4/3/2010 11:05'!
clickEvent
	^ self jQuery event: 'click'! !

!JQEventTest methodsFor: 'accessing' stamp: 'lr 6/6/2010 18:19'!
newEvent
	^ self jQuery event! !

!JQEventTest methodsFor: 'tests-accessing' stamp: 'lr 4/3/2010 11:06'!
testCurrentTarget
	self
		assert: self newEvent currentTarget
		equals: 'arguments[0].currentTarget'.
	self
		assert: self clickEvent currentTarget
		equals: self function , '.Event("click").currentTarget'! !

!JQEventTest methodsFor: 'tests-accessing' stamp: 'lr 4/3/2010 11:06'!
testData
	self
		assert: self newEvent data
		equals: 'arguments[0].data'.
	self
		assert: self clickEvent data
		equals: self function , '.Event("click").data'! !

!JQEventTest methodsFor: 'tests-testing' stamp: 'lr 4/3/2010 11:10'!
testIsDefaultPrevented
	self
		assert: self newEvent isDefaultPrevented
		equals: 'arguments[0].isDefaultPrevented()'.
	self
		assert: self clickEvent isDefaultPrevented
		equals: self function , '.Event("click").isDefaultPrevented()'! !

!JQEventTest methodsFor: 'tests-testing' stamp: 'lr 4/3/2010 11:10'!
testIsImmediatePropagationStopped
	self
		assert: self newEvent isImmediatePropagationStopped
		equals: 'arguments[0].isImmediatePropagationStopped()'.
	self
		assert: self clickEvent isImmediatePropagationStopped
		equals: self function , '.Event("click").isImmediatePropagationStopped()'! !

!JQEventTest methodsFor: 'tests-testing' stamp: 'lr 4/3/2010 11:11'!
testIsPropagationStopped
	self
		assert: self newEvent isPropagationStopped
		equals: 'arguments[0].isPropagationStopped()'.
	self
		assert: self clickEvent isPropagationStopped
		equals: self function , '.Event("click").isPropagationStopped()'! !

!JQEventTest methodsFor: 'tests-accessing' stamp: 'lr 10/17/2010 17:52'!
testNamespace
	self
		assert: self newEvent namespace
		equals: 'arguments[0].namespace'.
	self
		assert: self clickEvent namespace
		equals: self function , '.Event("click").namespace'! !

!JQEventTest methodsFor: 'tests-accessing' stamp: 'lr 4/3/2010 11:07'!
testPageX
	self
		assert: self newEvent pageX
		equals: 'arguments[0].pageX'.
	self
		assert: self clickEvent pageX
		equals: self function , '.Event("click").pageX'! !

!JQEventTest methodsFor: 'tests-accessing' stamp: 'lr 4/3/2010 11:08'!
testPageY
	self
		assert: self newEvent pageY
		equals: 'arguments[0].pageY'.
	self
		assert: self clickEvent pageY
		equals: self function , '.Event("click").pageY'! !

!JQEventTest methodsFor: 'tests' stamp: 'lr 4/3/2010 11:07'!
testPlain
	self
		assert: self newEvent
		equals: 'arguments[0]'.
	self
		assert: self clickEvent
		equals: self function , '.Event("click")'! !

!JQEventTest methodsFor: 'tests-actions' stamp: 'lr 4/3/2010 11:09'!
testPreventDefault
	self
		assert: self newEvent preventDefault
		equals: 'arguments[0].preventDefault()'.
	self
		assert: self clickEvent preventDefault
		equals: self function , '.Event("click").preventDefault()'! !

!JQEventTest methodsFor: 'tests-accessing' stamp: 'lr 4/3/2010 11:08'!
testRelatedTarget
	self
		assert: self newEvent relatedTarget
		equals: 'arguments[0].relatedTarget'.
	self
		assert: self clickEvent relatedTarget
		equals: self function , '.Event("click").relatedTarget'! !

!JQEventTest methodsFor: 'tests-accessing' stamp: 'lr 4/3/2010 11:08'!
testResult
	self
		assert: self newEvent result
		equals: 'arguments[0].result'.
	self
		assert: self clickEvent result
		equals: self function , '.Event("click").result'! !

!JQEventTest methodsFor: 'tests-actions' stamp: 'lr 4/3/2010 11:09'!
testStopImmediatePropagation
	self
		assert: self newEvent stopImmediatePropagation
		equals: 'arguments[0].stopImmediatePropagation()'.
	self
		assert: self clickEvent stopImmediatePropagation
		equals: self function , '.Event("click").stopImmediatePropagation()'! !

!JQEventTest methodsFor: 'tests-actions' stamp: 'lr 4/3/2010 11:10'!
testStopPropagation
	self
		assert: self newEvent stopPropagation
		equals: 'arguments[0].stopPropagation()'.
	self
		assert: self clickEvent stopPropagation
		equals: self function , '.Event("click").stopPropagation()'! !

!JQEventTest methodsFor: 'tests-accessing' stamp: 'lr 4/3/2010 11:08'!
testTarget
	self
		assert: self newEvent target
		equals: 'arguments[0].target'.
	self
		assert: self clickEvent target
		equals: self function , '.Event("click").target'! !

!JQEventTest methodsFor: 'tests-accessing' stamp: 'lr 4/3/2010 11:08'!
testTimeStamp
	self
		assert: self newEvent timeStamp
		equals: 'arguments[0].timeStamp'.
	self
		assert: self clickEvent timeStamp
		equals: self function , '.Event("click").timeStamp'! !

!JQEventTest methodsFor: 'tests-accessing' stamp: 'lr 4/3/2010 11:09'!
testType
	self
		assert: self newEvent type
		equals: 'arguments[0].type'.
	self
		assert: self clickEvent type
		equals: self function , '.Event("click").type'! !

JQueryTest subclass: #JQueryClassTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQueryClassTest methodsFor: 'tests' stamp: 'lr 12/4/2009 22:12'!
testAlias
	| originalName |
	originalName := JQuery functionName.
	JQuery functionName: 'WhatElse'.
	[ self assert: self jQuery equals: 'WhatElse' ]
		ensure: [ JQuery functionName: originalName ]! !

!JQueryClassTest methodsFor: 'tests-creation' stamp: 'lr 11/28/2008 17:50'!
testAll
	self
		assert: (self jQuery all)
		equals: self function , '("*")'! !

!JQueryClassTest methodsFor: 'tests' stamp: 'lr 5/4/2009 19:33'!
testBasic
	self
		assert: self jQuery
		equals: self function! !

!JQueryClassTest methodsFor: 'tests-deprecated' stamp: 'lr 11/28/2008 17:50'!
testBrowser
	self
		assert: self jQuery browser
		equals: self function , '.browser'! !

!JQueryClassTest methodsFor: 'tests-creation' stamp: 'lr 5/4/2009 19:34'!
testClass
	self
		assert: (self jQuery class: 'foo')
		equals: self function , '(".foo")'! !

!JQueryClassTest methodsFor: 'tests-utilities' stamp: 'lr 1/14/2010 21:49'!
testContains
	self
		assert: (self jQuery contains: 1 in: #(1 2 3))
		equals: self function , '.contains([1,2,3],1)'! !

!JQueryClassTest methodsFor: 'tests-creation' stamp: 'lr 7/15/2010 07:16'!
testDocument
	self
		assert: (self jQuery document)
		equals: self function , '(document)'! !

!JQueryClassTest methodsFor: 'tests-utilities' stamp: 'lr 1/26/2010 07:49'!
testError
	self
		assert: (self jQuery error: 'Doomsday Device')
		equals: self function , '.error("Doomsday Device")'! !

!JQueryClassTest methodsFor: 'tests-creation' stamp: 'lr 11/28/2008 17:50'!
testExpression
	self
		assert: (self jQuery expression: '#foo')
		equals: self function , '("#foo")'.
	self
		assert: (self jQuery expression: 'div > p')
		equals: self function , '("div > p")'.
	self
		assert: (self jQuery expression: 'ul li.active')
		equals: self function , '("ul li.active")'
! !

!JQueryClassTest methodsFor: 'tests-creation' stamp: 'lr 11/28/2008 17:50'!
testExpressionContext
	self
		assert: (self jQuery expression: '#foo' context: 123)
		equals: self function , '("#foo",123)'! !

!JQueryClassTest methodsFor: 'tests-utilities' stamp: 'lr 6/3/2011 11:28'!
testHoldReady
	self
		assert: (self jQuery holdReady: false)
		equals: self function , '.holdReady(false)'! !

!JQueryClassTest methodsFor: 'tests-creation' stamp: 'lr 3/4/2010 22:44'!
testHtml
	self
		assert: (self jQuery html: [ :html | html div: 'foo' ])
		equals: self function , '("<div>foo<\/div>")'.
	self
		assert: (self jQuery html: [ :html | html div title: 'foo'; with: 'bar' ])
		equals: self function , '("<div title=\"foo\">bar<\/div>")'! !

!JQueryClassTest methodsFor: 'tests-creation' stamp: 'lr 5/4/2009 19:34'!
testId
	self
		assert: (self jQuery id: 'foo')
		equals: self function , '("#foo")'! !

!JQueryClassTest methodsFor: 'tests-utilities' stamp: 'lr 1/14/2010 21:50'!
testIsEmptyObject
	self
		assert: (self jQuery isEmptyObject: Dictionary new)
		equals: self function , '.isEmptyObject({})'! !

!JQueryClassTest methodsFor: 'tests-deprecated' stamp: 'lr 11/28/2008 17:50'!
testIsExplorer
	self
		assert: self jQuery isExplorer
		equals: self function , '.browser.msie'! !

!JQueryClassTest methodsFor: 'tests-deprecated' stamp: 'lr 11/28/2008 17:50'!
testIsMozilla
	self
		assert: self jQuery isMozilla
		equals: self function , '.browser.mozilla'! !

!JQueryClassTest methodsFor: 'tests-deprecated' stamp: 'lr 11/28/2008 17:50'!
testIsOpera
	self
		assert: self jQuery isOpera
		equals: self function , '.browser.opera'! !

!JQueryClassTest methodsFor: 'tests-utilities' stamp: 'lr 1/14/2010 21:50'!
testIsPlainObject
	self
		assert: (self jQuery isPlainObject: Dictionary new)
		equals: self function , '.isPlainObject({})'! !

!JQueryClassTest methodsFor: 'tests-deprecated' stamp: 'lr 11/28/2008 17:50'!
testIsSafari
	self
		assert: self jQuery isSafari
		equals: self function , '.browser.safari'! !

!JQueryClassTest methodsFor: 'tests-utilities' stamp: 'lr 10/17/2010 17:54'!
testIsWindow
	self
		assert: (self jQuery isWindow: Dictionary new)
		equals: self function , '.isWindow({})'! !

!JQueryClassTest methodsFor: 'tests-creation' stamp: 'lr 11/28/2008 17:50'!
testNew
	self
		assert: (self jQuery new)
		equals: self function , '(this)'.
	self
		assert: (self jQuery new id: 'foo')
		equals: self function , '("#foo")'! !

!JQueryClassTest methodsFor: 'tests-accessing' stamp: 'lr 1/14/2010 20:05'!
testNoop
	self
		assert: self jQuery noop
		equals: self function , '.noop'! !

!JQueryClassTest methodsFor: 'tests-utilities' stamp: 'lr 1/26/2010 07:47'!
testParseJSON
	self
		assert: (self jQuery parseJSON: '{ foo: 12 }')
		equals: self function , '.parseJSON("{ foo: 12 }")'! !

!JQueryClassTest methodsFor: 'tests-creation' stamp: 'lr 11/28/2008 17:50'!
testReady
	self
		assert: (self jQuery ready: (self javascript alert: 'Hello'))
		equals: self function , '(function(){alert("Hello")})'! !

!JQueryClassTest methodsFor: 'tests-creation' stamp: 'lr 4/28/2009 20:50'!
testScript
	self assert: (self jQuery script: [ :s | ]) = ''.
	self assert: (self jQuery script: [ :s | s add: s jQuery ]) = self function.
	self assert: (self jQuery script: [ :s | s add: (s jQuery: 'a') ]) = (self function , '("a")')! !

!JQueryClassTest methodsFor: 'tests-accessing' stamp: 'lr 1/31/2011 21:43'!
testSub
	self
		assert: self jQuery sub
		equals: self function , '.sub()'! !

!JQueryClassTest methodsFor: 'tests-agent' stamp: 'lr 1/14/2009 22:35'!
testSupport
	self
		assert: self jQuery support
		equals: self function , '.support'! !

!JQueryClassTest methodsFor: 'tests-creation' stamp: 'lr 11/28/2008 17:50'!
testThis
	self
		assert: (self jQuery this)
		equals: self function , '(this)'! !

!JQueryClassTest methodsFor: 'tests-utilities' stamp: 'lr 10/17/2010 17:59'!
testType
	self
		assert: (self jQuery type: true)
		equals: self function , '.type(true)'! !

!JQueryClassTest methodsFor: 'tests-utilities' stamp: 'lr 1/14/2010 21:49'!
testUnique
	self
		assert: (self jQuery unique: #(1 2 2 3))
		equals: self function , '.unique([1,2,2,3])'! !

!JQueryClassTest methodsFor: 'tests-deprecated' stamp: 'lr 11/28/2008 17:50'!
testVersion
	self
		assert: self jQuery version
		equals: self function , '.browser.version'! !

!JQueryClassTest methodsFor: 'tests-with' stamp: 'lr 3/4/2010 22:44'!
testWithBlock
	self
		assert: (self jQuery: [ :html | html heading: 'jQuery' ])
		equals: self function , '("<h1>jQuery<\/h1>")'! !

!JQueryClassTest methodsFor: 'tests-with' stamp: 'lr 11/28/2008 17:50'!
testWithNil
	self
		assert: (self jQuery: nil)
		equals: self function , '(this)'! !

!JQueryClassTest methodsFor: 'tests-with' stamp: 'lr 12/4/2008 22:34'!
testWithReady
	self
		assert: (self jQuery: (self javascript alert: 'Hello'))
		equals: self function , '(function(){alert("Hello")})'! !

!JQueryClassTest methodsFor: 'tests-with' stamp: 'lr 11/28/2008 17:50'!
testWithString
	self
		assert: (self jQuery: 'div > p')
		equals: self function , '("div > p")'! !

!JQueryClassTest methodsFor: 'tests-with' stamp: 'lr 11/28/2008 17:50'!
testWithSymbol
	self
		assert: (self jQuery: #foo)
		equals: self function , '("#foo")'! !

JQueryTest subclass: #JQueryInstanceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 1/14/2010 20:01'!
testAdd
	self
		assert: ((self jQuery: 'div') add: 'p')
		equals: self function , '("div").add("p")'.
	self
		assert: ((self jQuery: 'div') add: 'p' context: '#foo')
		equals: self function , '("div").add("p","#foo")'! !

!JQueryInstanceTest methodsFor: 'tests-classes' stamp: 'lr 11/28/2008 17:50'!
testAddClass
	self
		assert: ((self jQuery: 'p:last') addClass: 'selected')
		equals: self function , '("p:last").addClass("selected")'! !

!JQueryInstanceTest methodsFor: 'tests-modifying' stamp: 'lr 3/4/2010 22:44'!
testAfter
	self
		assert: ((self jQuery: 'p') after: [ :html | html strong: 'Hello' ])
		equals: self function , '("p").after("<strong>Hello<\/strong>")'.
	self
		assert: ((self jQuery: 'span') insertAfter: '#foo')
		equals: self function , '("span").insertAfter("#foo")'! !

!JQueryInstanceTest methodsFor: 'tests-chaining' stamp: 'lr 11/28/2008 17:50'!
testAndSelf
	self
		assert: ((self jQuery: 'div') find: 'p'; andSelf; addClass: 'border')
		equals: self function , '("div").find("p").andSelf().addClass("border")'! !

!JQueryInstanceTest methodsFor: 'tests-modifying' stamp: 'lr 3/4/2010 22:44'!
testAppend
	self
		assert: ((self jQuery: 'p') append: [ :html | html strong: 'Hello' ])
		equals: self function , '("p").append("<strong>Hello<\/strong>")'.
	self
		assert: ((self jQuery: 'span') appendTo: '#foo')
		equals: self function , '("span").appendTo("#foo")'! !

!JQueryInstanceTest methodsFor: 'tests-accessors-smalltalk' stamp: 'lr 9/13/2009 10:52'!
testAt
	self
		assert: ((self jQuery: 'div') at: 1)
		equals: self function , '("div").get(1)'! !

!JQueryInstanceTest methodsFor: 'tests-accessors-smalltalk' stamp: 'lr 9/13/2009 10:53'!
testAtAll
	self
		assert: ((self jQuery: 'div') atAll)
		equals: self function , '("div").get()'! !

!JQueryInstanceTest methodsFor: 'tests-attributes' stamp: 'lr 11/28/2008 17:50'!
testAttributeAt
	self
		assert: ((self jQuery: 'em') attributeAt: 'title')
		equals: self function , '("em").attr("title")'! !

!JQueryInstanceTest methodsFor: 'tests-attributes' stamp: 'lr 11/28/2008 17:50'!
testAttributeAtPut
	self
		assert: ((self jQuery: 'button:gt(1)') attributeAt: 'disabled' put: true)
		equals: self function , '("button:gt(1)").attr("disabled",true)'! !

!JQueryInstanceTest methodsFor: 'tests-attributes' stamp: 'lr 4/16/2010 08:08'!
testAttributes
	self 
		assert: ((self jQuery: 'img') attributes: (GRSmallDictionary new
				at: 'src'
					put: '/images/hat.gif';
				at: 'title'
					put: 'jQuery';
				at: 'alt'
					put: 'jQuery Logo';
				yourself))
		equals: self function , '("img").attr({"src":"/images/hat.gif","title":"jQuery","alt":"jQuery Logo"})'! !

!JQueryInstanceTest methodsFor: 'tests-modifying' stamp: 'lr 3/4/2010 22:44'!
testBefore
	self
		assert: ((self jQuery: 'p') before: [ :html | html strong: 'Hello' ])
		equals: self function , '("p").before("<strong>Hello<\/strong>")'.
	self
		assert: ((self jQuery: 'span') insertBefore: '#foo')
		equals: self function , '("span").insertBefore("#foo")'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 10/17/2010 17:47'!
testBindDo
	self
		assert: ((self jQuery: 'a') bind: 'click' do: (self javascript alert: 'Clicked'))
		equals: self function , '("a").bind("click",function(){alert("Clicked")})'.
	self
		assert: ((self jQuery: 'a') bind: 'click' data: Dictionary new do: (self javascript alert: 'Clicked'))
		equals: self function , '("a").bind("click",{},function(){alert("Clicked")})'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 11/28/2008 17:50'!
testChildren
	self
		assert: (((self jQuery: 'div')) children)
		equals: self function , '("div").children()'.
	self
		assert: ((self jQuery: 'div') children: 'p')
		equals: self function , '("div").children("p")'! !

!JQueryInstanceTest methodsFor: 'tests-effects' stamp: 'lr 1/14/2010 19:57'!
testClearQueue
	self
		assert: ((self jQuery: 'a') clearQueue)
		equals: self function , '("a").clearQueue()'.
	self
		assert: ((self jQuery: 'a') clearQueue: 'name')
		equals: self function , '("a").clearQueue("name")'! !

!JQueryInstanceTest methodsFor: 'tests-copying' stamp: 'lr 11/28/2008 17:50'!
testClone
	self
		assert: (((self jQuery: 'div')) clone)
		equals: self function , '("div").clone()'! !

!JQueryInstanceTest methodsFor: 'tests-copying' stamp: 'lr 11/28/2008 17:50'!
testCloneAll
	self
		assert: (((self jQuery: 'div')) cloneAll)
		equals: self function , '("div").clone(true)'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 1/14/2009 22:37'!
testClosest
	self
		assert: (((self jQuery: 'div')) closest)
		equals: self function , '("div").closest()'.
	self
		assert: ((self jQuery: 'div') closest: 'p')
		equals: self function , '("div").closest("p")'! !

!JQueryInstanceTest methodsFor: 'tests-filtering' stamp: 'TestRunner 1/14/2010 19:53'!
testCollect
	self
		assert: ((self jQuery: 'div') collect: [ :each | each parent ])
		equals: self function , '("div").map(function(){return ' , self function , '(this).parent()})'.
	self
		assert: ((self jQuery: 'div') collect: [ :each :index | each parents eq: index ])
		equals: self function , '("div").map(function(){return ' , self function , '(this).parents().eq(arguments[0])})'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 11/28/2008 17:50'!
testContents
	self
		assert: (((self jQuery: 'div')) contents)
		equals: self function , '("div").contents()'! !

!JQueryInstanceTest methodsFor: 'tests-accessors' stamp: 'lr 1/14/2009 22:38'!
testContext
	self
		assert: ((self jQuery: 'div') context)
		equals: self function , '("div").context'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 4/16/2010 08:08'!
testCss
	self
		assert: ((self jQuery: 'div') css: (Dictionary new
			at: 'border' put: '1px solid red';
			yourself))
		equals: self function , '("div").css({"border":"1px solid red"})'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 11/28/2008 17:50'!
testCssAt
	self
		assert: ((self jQuery: '#foo') cssAt: 'border')
		equals: self function , '("#foo").css("border")'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 11/28/2008 17:50'!
testCssAtPut
	self
		assert: ((self jQuery: 'p') cssAt: 'border' put: '1px solid red')
		equals: self function , '("p").css("border","1px solid red")'! !

!JQueryInstanceTest methodsFor: 'tests-accessors' stamp: 'lr 11/28/2008 17:50'!
testData
	self
		assert: ((self jQuery: 'div') dataAt: 'foo')
		equals: self function , '("div").data("foo")'.
	self
		assert: ((self jQuery: 'div') dataAt: 'foo' put: 123)
		equals: self function , '("div").data("foo",123)'.
	self
		assert: ((self jQuery: 'div') removeDataAt: 'foo')
		equals: self function , '("div").removeData("foo")'! !

!JQueryInstanceTest methodsFor: 'tests-data' stamp: 'lr 12/6/2008 10:29'!
testDataAt
	self
		assert: ((self jQuery: 'button') dataAt: 'foo')
		equals: self function , '("button").data("foo")'! !

!JQueryInstanceTest methodsFor: 'tests-data' stamp: 'lr 12/6/2008 10:29'!
testDataAtPut
	self
		assert: ((self jQuery: 'button') dataAt: 'foo' put: false)
		equals: self function , '("button").data("foo",false)'! !

!JQueryInstanceTest methodsFor: 'tests-effects' stamp: 'lr 1/14/2010 19:59'!
testDelay
	self
		assert: ((self jQuery: 'a') delay: 1)
		equals: self function , '("a").delay(1)'.
	self
		assert: ((self jQuery: 'a') delay: 2 queue: 'name')
		equals: self function , '("a").delay(2,"name")'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 2/20/2010 18:24'!
testDelegate
	self
		assert: ((self jQuery: 'table') delegate: 'td' on: 'hover' do: (self jQuery this toggleClass: 'hover'))
		equals: self function , '("table").delegate("td","hover",function(){' , self function , '(this).toggleClass("hover")})'.
	self
		assert: ((self jQuery: 'table') delegate: 'td' on: 'hover' data: 123 do: (self jQuery this toggleClass: 'hover'))
		equals: self function , '("table").delegate("td","hover",123,function(){' , self function , '(this).toggleClass("hover")})'! !

!JQueryInstanceTest methodsFor: 'tests-data' stamp: 'lr 1/14/2009 22:41'!
testDequeue
	self
		assert: ((self jQuery: 'div') dequeue)
		equals: self function , '("div").dequeue()'.
	self
		assert: ((self jQuery: 'div') dequeue: 'fx')
		equals: self function , '("div").dequeue("fx")'! !

!JQueryInstanceTest methodsFor: 'tests-modifying' stamp: 'lr 1/14/2010 19:57'!
testDetach
	self
		assert: ((self jQuery: 'p') detach)
		equals: self function , '("p").detach()'.
	self
		assert: ((self jQuery: 'p') detach: '#foo')
		equals: self function , '("p").detach("#foo")'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 1/14/2009 22:43'!
testDie
	self
		assert: ((self jQuery: 'a') die: 'click')
		equals: self function , '("a").die("click")'! !

!JQueryInstanceTest methodsFor: 'tests-accessors' stamp: 'TestRunner 1/14/2010 21:48'!
testDo
	self
		assert: ((self jQuery: 'div')
			do: [ :each | each remove ])
		equals: self function , '("div").each(function(){' , self function , '(this).remove()})'.
	self
		assert: ((self jQuery: 'div')
			do: [ :each :index | each text: index ])
		equals: self function , '("div").each(function(){' , self function , '(this).text(arguments[0])})'! !

!JQueryInstanceTest methodsFor: 'tests-modifying' stamp: 'lr 11/28/2008 17:50'!
testEmpty
	self 
		assert: (((self jQuery: 'div')) empty)
		equals: self function , '("div").empty()'.! !

!JQueryInstanceTest methodsFor: 'tests-chaining' stamp: 'lr 11/28/2008 17:50'!
testEnd
	self
		assert: ((self jQuery: 'p') find: 'span'; addClass: 'border'; end; addClass: 'highlight')
		equals: self function , '("p").find("span").addClass("border").end().addClass("highlight")'! !

!JQueryInstanceTest methodsFor: 'tests-accessors' stamp: 'lr 11/28/2008 17:50'!
testEq
	self
		assert: ((self jQuery: 'div') eq: 4)
		equals: self function , '("div").eq(4)'.
	self
		assert: ((self jQuery: 'div') eq: -1)
		equals: self function , '("div").eq(-1)'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 1/14/2010 19:54'!
testEventsAjax
	self
		assert: ((self jQuery: 'a') onAjaxSuccess: self mock)
		equals: self function , '("a").ajaxSuccess(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onAjaxComplete: self mock)
		equals: self function , '("a").ajaxComplete(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onAjaxSend: self mock)
		equals: self function , '("a").ajaxSend(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onAjaxStart: self mock)
		equals: self function , '("a").ajaxStart(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onAjaxStop: self mock)
		equals: self function , '("a").ajaxStop(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onAjaxError: self mock)
		equals: self function , '("a").ajaxError(function(){mock})'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 1/14/2010 19:55'!
testEventsDom
	self
		assert: ((self jQuery: 'a') onBlur: self mock)
		equals: self function , '("a").blur(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onChange: self mock)
		equals: self function , '("a").change(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onClick: self mock)
		equals: self function , '("a").click(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onDoubleClick: self mock)
		equals: self function , '("a").dblclick(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onError: self mock)
		equals: self function , '("a").error(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onFocus: self mock)
		equals: self function , '("a").focus(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onFocusOut: self mock)
		equals: self function , '("a").focusout(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onFocusIn: self mock)
		equals: self function , '("a").focusin(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onKeyDown: self mock)
		equals: self function , '("a").keydown(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onKeyPress: self mock)
		equals: self function , '("a").keypress(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onKeyUp: self mock)
		equals: self function , '("a").keyup(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onLoad: self mock)
		equals: self function , '("a").load(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseDown: self mock)
		equals: self function , '("a").mousedown(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseEnter: self mock)
		equals: self function , '("a").mouseenter(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseLeave: self mock)
		equals: self function , '("a").mouseleave(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseMove: self mock)
		equals: self function , '("a").mousemove(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseOut: self mock)
		equals: self function , '("a").mouseout(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseOver: self mock)
		equals: self function , '("a").mouseover(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseUp: self mock)
		equals: self function , '("a").mouseup(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onResize: self mock)
		equals: self function , '("a").resize(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onScroll: self mock)
		equals: self function , '("a").scroll(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onSelect: self mock)
		equals: self function , '("a").select(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onSubmit: self mock)
		equals: self function , '("a").submit(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onUnload: self mock)
		equals: self function , '("a").unload(function(){mock})'! !

!JQueryInstanceTest methodsFor: 'tests-filtering' stamp: 'lr 11/28/2008 17:50'!
testFilter
	self
		assert: ((self jQuery: 'div') filter: 'p')
		equals: self function , '("div").filter("p")'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 11/28/2008 17:50'!
testFind
	self
		assert: ((self jQuery: 'div') find: ':even')
		equals: self function , '("div").find(":even")'! !

!JQueryInstanceTest methodsFor: 'tests-accessors-smalltalk' stamp: 'TestRunner 1/14/2010 19:50'!
testFirst
	self
		assert: ((self jQuery: 'div') first)
		equals: self function , '("div").first()'! !

!JQueryInstanceTest methodsFor: 'tests-accessors' stamp: 'lr 9/13/2009 10:50'!
testGet
	self
		assert: ((self jQuery: 'div') get)
		equals: self function , '("div").get()'.
	self
		assert: ((self jQuery: 'div') get: 1)
		equals: self function , '("div").get(1)'! !

!JQueryInstanceTest methodsFor: 'tests-filtering' stamp: 'lr 1/14/2010 20:00'!
testHas
	self
		assert: ((self jQuery: 'div') has: ':odd')
		equals: self function , '("div").has(":odd")'! !

!JQueryInstanceTest methodsFor: 'tests-classes' stamp: 'lr 11/28/2008 17:50'!
testHasClass
	self
		assert: ((self jQuery: 'p') hasClass: 'selected')
		equals: self function , '("p").hasClass("selected")'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 11/28/2008 17:50'!
testHeight
	self
		assert: (((self jQuery: 'div')) height)
		equals: self function , '("div").height()'.
	self
		assert: (((self jQuery: 'div')) height: 17)
		equals: self function , '("div").height(17)'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 11/28/2008 17:50'!
testHover
	self
		assert: ((self jQuery: 'a') hover: 1 out: 2)
		equals: self function , '("a").hover(function(){1},function(){2})'! !

!JQueryInstanceTest methodsFor: 'tests-manipulating' stamp: 'lr 3/4/2010 22:44'!
testHtml
	self 
		assert: (((self jQuery: 'div')) html)
		equals: self function , '("div").html()'.
	self 
		assert: ((self jQuery: 'div') html: [ :html | html div ])
		equals: self function , '("div").html("<div><\/div>")'! !

!JQueryInstanceTest methodsFor: 'tests-accessors' stamp: 'lr 4/22/2010 14:49'!
testIndex
	self
		assert: ((self jQuery: 'div') index)
		equals: self function , '("div").index()'.
	self
		assert: ((self jQuery: 'div') index: JSStream this)
		equals: self function , '("div").index(this)'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 11/28/2008 17:50'!
testInnerHeight
	self
		assert: (((self jQuery: 'div')) innerHeight)
		equals: self function , '("div").innerHeight()'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 11/28/2008 17:50'!
testInnerWidth
	self
		assert: (((self jQuery: 'div')) innerWidth)
		equals: self function , '("div").innerWidth()'! !

!JQueryInstanceTest methodsFor: 'tests-filtering' stamp: 'lr 11/28/2008 17:50'!
testIs
	self
		assert: ((self jQuery: 'div') is: ':odd')
		equals: self function , '("div").is(":odd")'! !

!JQueryInstanceTest methodsFor: 'tests-accessors-smalltalk' stamp: 'TestRunner 1/14/2010 19:51'!
testLast
	self
		assert: ((self jQuery: 'div') last)
		equals: self function , '("div").last()'! !

!JQueryInstanceTest methodsFor: 'tests-accessors' stamp: 'lr 9/13/2009 10:54'!
testLength
	self
		assert: ((self jQuery: 'div') length)
		equals: self function , '("div").length'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 1/14/2009 22:43'!
testLive
	self
		assert: ((self jQuery: 'a') live: 'click' do: (self javascript alert: 'Clicked'))
		equals: self function , '("a").live("click",function(){alert("Clicked")})'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 11/28/2008 17:50'!
testNext
	self
		assert: (((self jQuery: 'div')) next)
		equals: self function , '("div").next()'.
	self
		assert: ((self jQuery: 'div') next: 'p')
		equals: self function , '("div").next("p")'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 11/28/2008 17:50'!
testNextAll
	self
		assert: (((self jQuery: 'div')) nextAll)
		equals: self function , '("div").nextAll()'.
	self
		assert: ((self jQuery: 'div') nextAll: 'p')
		equals: self function , '("div").nextAll("p")'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 1/14/2010 19:58'!
testNextUntil
	self
		assert: (((self jQuery: 'div')) nextUntil: 'p')
		equals: self function , '("div").nextUntil("p")'! !

!JQueryInstanceTest methodsFor: 'tests-filtering' stamp: 'lr 11/28/2008 17:50'!
testNot
	self
		assert: ((self jQuery: 'div') not: ':even')
		equals: self function , '("div").not(":even")'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 11/4/2011 20:56'!
testOff
	self
		assert: ((self jQuery: 'a') off: 'click')
		equals: self function , '("a").off("click")'.
	self
		assert: ((self jQuery: 'a') off: 'click' selector: 'div')
		equals: self function , '("a").off("click","div")'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 9/22/2009 09:45'!
testOffset
	self
		assert: (((self jQuery: 'div')) offset)
		equals: self function , '("div").offset()'.
	self
		assert: (((self jQuery: 'div')) offsetLeft)
		equals: self function , '("div").offset().left'.
	self
		assert: (((self jQuery: 'div')) offsetTop)
		equals: self function , '("div").offset().top'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 1/14/2010 19:54'!
testOffsetParent
	self
		assert: (((self jQuery: 'div')) offsetParent)
		equals: self function , '("div").offsetParent()'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 11/4/2011 20:55'!
testOnDo
	self
		assert: ((self jQuery: 'a') on: 'click' do: (self javascript alert: 'Clicked'))
		equals: self function , '("a").on("click",function(){alert("Clicked")})'.
	self
		assert: ((self jQuery: 'a') on: 'click' selector: 'div' do: (self javascript alert: 'Clicked'))
		equals: self function , '("a").on("click","div",function(){alert("Clicked")})'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'TestRunner 1/14/2010 19:52'!
testOneDo
	self
		assert: ((self jQuery: 'a') one: 'click' do: (self javascript alert: 'Clicked'))
		equals: self function , '("a").one("click",function(){alert("Clicked")})'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 11/28/2008 17:50'!
testOuterHeight
	self
		assert: (((self jQuery: 'div')) outerHeight)
		equals: self function , '("div").outerHeight()'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 11/28/2008 17:50'!
testOuterWidth
	self
		assert: (((self jQuery: 'div')) outerWidth)
		equals: self function , '("div").outerWidth()'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 11/28/2008 17:50'!
testParent
	self
		assert: (((self jQuery: 'div')) parent)
		equals: self function , '("div").parent()'.
	self
		assert: ((self jQuery: 'div') parent: 'p')
		equals: self function , '("div").parent("p")'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 11/28/2008 17:50'!
testParents
	self
		assert: (((self jQuery: 'div')) parents)
		equals: self function , '("div").parents()'.
	self
		assert: ((self jQuery: 'div') parents: 'p')
		equals: self function , '("div").parents("p")'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 1/14/2010 19:59'!
testParentsUntil
	self
		assert: ((self jQuery: 'div') parentsUntil: 'p')
		equals: self function , '("div").parentsUntil("p")'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 9/22/2009 09:45'!
testPosition
	self
		assert: (((self jQuery: 'div')) position)
		equals: self function , '("div").position()'.
	self
		assert: (((self jQuery: 'div')) positionLeft)
		equals: self function , '("div").position().left'.
	self
		assert: (((self jQuery: 'div')) positionTop)
		equals: self function , '("div").position().top'! !

!JQueryInstanceTest methodsFor: 'tests-modifying' stamp: 'lr 3/4/2010 22:44'!
testPrepend
	self
		assert: ((self jQuery: 'p') prepend: [ :html | html strong: 'Hello' ])
		equals: self function , '("p").prepend("<strong>Hello<\/strong>")'.
	self
		assert: ((self jQuery: 'span') prependTo: '#foo')
		equals: self function , '("span").prependTo("#foo")'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 8/29/2009 18:04'!
testPrevious
	self
		assert: (((self jQuery: 'div')) previous)
		equals: self function , '("div").prev()'.
	self
		assert: ((self jQuery: 'div') previous: 'p')
		equals: self function , '("div").prev("p")'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 8/29/2009 18:05'!
testPreviousAll
	self
		assert: (((self jQuery: 'div')) previousAll)
		equals: self function , '("div").prevAll()'.
	self
		assert: ((self jQuery: 'div') previousAll: 'p')
		equals: self function , '("div").prevAll("p")'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 1/14/2010 19:58'!
testPreviousUntil
	self
		assert: (((self jQuery: 'div')) previousUntil: 'p')
		equals: self function , '("div").prevUntil("p")'! !

!JQueryInstanceTest methodsFor: 'tests-attributes' stamp: 'lr 6/3/2011 11:25'!
testProperties
	self 
		assert: ((self jQuery: 'img') properties: (GRSmallDictionary new
				at: 'src'
					put: '/images/hat.gif';
				at: 'title'
					put: 'jQuery';
				at: 'alt'
					put: 'jQuery Logo';
				yourself))
		equals: self function , '("img").prop({"src":"/images/hat.gif","title":"jQuery","alt":"jQuery Logo"})'! !

!JQueryInstanceTest methodsFor: 'tests-attributes' stamp: 'lr 6/3/2011 11:24'!
testPropertyAt
	self
		assert: ((self jQuery: 'em') propertyAt: 'title')
		equals: self function , '("em").prop("title")'! !

!JQueryInstanceTest methodsFor: 'tests-attributes' stamp: 'lr 6/3/2011 11:24'!
testPropertyAtPut
	self
		assert: ((self jQuery: 'button:gt(1)') propertyAt: 'disabled' put: true)
		equals: self function , '("button:gt(1)").prop("disabled",true)'! !

!JQueryInstanceTest methodsFor: 'tests-data' stamp: 'lr 4/29/2009 23:08'!
testQueue
	self
		assert: ((self jQuery: 'button') queue)
		equals: self function , '("button").queue()'.
	self
		assert: ((self jQuery: 'button') queue: 'fx')
		equals: self function , '("button").queue("fx")'.
	self
		assert: ((self jQuery: 'button') queue: 'fx' do: (self jQuery: 'p') hide)
		equals: self function , '("button").queue("fx",function(){' , self function , '("p").hide()})'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 4/28/2009 20:54'!
testRegister
	self
		assert: ((self jQuery: 'a') onAjaxSuccess: self mock)
		equals: self function , '("a").ajaxSuccess(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onAjaxComplete: self mock)
		equals: self function , '("a").ajaxComplete(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onAjaxSend: self mock)
		equals: self function , '("a").ajaxSend(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onAjaxStart: self mock)
		equals: self function , '("a").ajaxStart(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onAjaxStop: self mock)
		equals: self function , '("a").ajaxStop(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onAjaxError: self mock)
		equals: self function , '("a").ajaxError(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onBlur: self mock)
		equals: self function , '("a").blur(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onChange: self mock)
		equals: self function , '("a").change(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onClick: self mock)
		equals: self function , '("a").click(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onDoubleClick: self mock)
		equals: self function , '("a").dblclick(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onError: self mock)
		equals: self function , '("a").error(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onFocus: self mock)
		equals: self function , '("a").focus(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onKeyDown: self mock)
		equals: self function , '("a").keydown(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onKeyPress: self mock)
		equals: self function , '("a").keypress(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onKeyUp: self mock)
		equals: self function , '("a").keyup(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onLoad: self mock)
		equals: self function , '("a").load(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseDown: self mock)
		equals: self function , '("a").mousedown(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseEnter: self mock)
		equals: self function , '("a").mouseenter(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseLeave: self mock)
		equals: self function , '("a").mouseleave(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseMove: self mock)
		equals: self function , '("a").mousemove(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseOut: self mock)
		equals: self function , '("a").mouseout(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseOver: self mock)
		equals: self function , '("a").mouseover(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onMouseUp: self mock)
		equals: self function , '("a").mouseup(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onResize: self mock)
		equals: self function , '("a").resize(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onScroll: self mock)
		equals: self function , '("a").scroll(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onSelect: self mock)
		equals: self function , '("a").select(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onSubmit: self mock)
		equals: self function , '("a").submit(function(){mock})'.
	self
		assert: ((self jQuery: 'a') onUnload: self mock)
		equals: self function , '("a").unload(function(){mock})'! !

!JQueryInstanceTest methodsFor: 'tests-modifying' stamp: 'lr 11/28/2008 17:50'!
testRemove
	self 
		assert: (((self jQuery: 'div')) remove)
		equals: self function , '("div").remove()'.
	self 
		assert: (((self jQuery: 'div')) remove: 'p')
		equals: self function , '("div").remove("p")'! !

!JQueryInstanceTest methodsFor: 'tests-attributes' stamp: 'lr 11/28/2008 17:50'!
testRemoveAttribute
	self
		assert: ((self jQuery: 'button') removeAttribute: 'disabled')
		equals: self function , '("button").removeAttr("disabled")'! !

!JQueryInstanceTest methodsFor: 'tests-classes' stamp: 'lr 11/28/2008 17:50'!
testRemoveClass
	self
		assert: ((self jQuery: 'p:even') removeClass: 'selected')
		equals: self function , '("p:even").removeClass("selected")'! !

!JQueryInstanceTest methodsFor: 'tests-data' stamp: 'lr 12/6/2008 10:29'!
testRemoveData
	self
		assert: ((self jQuery: 'button') removeDataAt: 'foo')
		equals: self function , '("button").removeData("foo")'! !

!JQueryInstanceTest methodsFor: 'tests-attributes' stamp: 'lr 6/3/2011 11:25'!
testRemoveProperty
	self
		assert: ((self jQuery: 'button') removeProperty: 'disabled')
		equals: self function , '("button").removeProp("disabled")'! !

!JQueryInstanceTest methodsFor: 'tests-modifying' stamp: 'lr 3/4/2010 22:43'!
testReplace
	self
		assert: ((self jQuery: 'p') replaceWith: [ :html | html emphasis: 'Hello' ])
		equals: self function , '("p").replaceWith("<em>Hello<\/em>")'.
	self
		assert: ((self jQuery html: [ :html | html div: 'Hello' ]) replaceAll: '.foo')
		equals: self function , '("<div>Hello<\/div>").replaceAll(".foo")'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 11/28/2008 17:50'!
testScrollLeft
	self
		assert: (((self jQuery: 'div')) scrollLeft)
		equals: self function , '("div").scrollLeft()'.
	self
		assert: (((self jQuery: 'div')) scrollLeft: 17)
		equals: self function , '("div").scrollLeft(17)'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 11/28/2008 17:50'!
testScrollTop
	self
		assert: (((self jQuery: 'div')) scrollTop)
		equals: self function , '("div").scrollTop()'.
	self
		assert: (((self jQuery: 'div')) scrollTop: 17)
		equals: self function , '("div").scrollTop(17)'! !

!JQueryInstanceTest methodsFor: 'tests-accessors' stamp: 'lr 1/14/2009 22:38'!
testSelector
	self
		assert: ((self jQuery: 'div') selector)
		equals: self function , '("div").selector'! !

!JQueryInstanceTest methodsFor: 'tests-navigating' stamp: 'lr 11/28/2008 17:50'!
testSiblings
	self
		assert: (((self jQuery: 'div')) siblings)
		equals: self function , '("div").siblings()'.
	self
		assert: ((self jQuery: 'div') siblings: 'p')
		equals: self function , '("div").siblings("p")'! !

!JQueryInstanceTest methodsFor: 'tests-accessors-smalltalk' stamp: 'TestRunner 1/14/2010 19:51'!
testSize
	self
		assert: ((self jQuery: 'div') size)
		equals: self function , '("div").size()'! !

!JQueryInstanceTest methodsFor: 'tests-filtering' stamp: 'lr 11/28/2008 17:50'!
testSliceFrom
	self
		assert: ((self jQuery: 'div') sliceFrom: 0)
		equals: self function , '("div").slice(0)'! !

!JQueryInstanceTest methodsFor: 'tests-filtering' stamp: 'lr 11/28/2008 17:50'!
testSliceFromTo
	self
		assert: ((self jQuery: 'div') sliceFrom: 2 to: 5)
		equals: self function , '("div").slice(2,5)'.
	self
		assert: ((self jQuery: 'div') sliceFrom: -1 to: -4)
		equals: self function , '("div").slice(-1,-4)'! !

!JQueryInstanceTest methodsFor: 'tests-manipulating' stamp: 'lr 11/28/2008 17:50'!
testText
	self 
		assert: ((self jQuery: 'p') text)
		equals: self function , '("p").text()'.
	self 
		assert: ((self jQuery: 'p') text: 'foo')
		equals: self function , '("p").text("foo")'! !

!JQueryInstanceTest methodsFor: 'tests-accessors' stamp: 'lr 1/14/2010 19:54'!
testToArray
	self
		assert: ((self jQuery: 'div') toArray)
		equals: self function , '("div").toArray()'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 11/28/2008 17:50'!
testToggle
	self
		assert: ((self jQuery: 'a') toggle: (1 to: 3))
		equals: self function , '("a").toggle(function(){1},function(){2},function(){3})'! !

!JQueryInstanceTest methodsFor: 'tests-classes' stamp: 'lr 1/14/2009 22:44'!
testToggleClass
	self
		assert: ((self jQuery: 'p') toggleClass: 'highlight')
		equals: self function , '("p").toggleClass("highlight")'.
	self
		assert: ((self jQuery: 'p') toggleClass: 'highlight' state: true)
		equals: self function , '("p").toggleClass("highlight",true)'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 11/28/2008 17:50'!
testTrigger
	self
		assert: ((self jQuery: 'a') trigger: 'click')
		equals: self function , '("a").trigger("click")'.
	self
		assert: ((self jQuery: 'a' ) triggerHandler: 'keypress')
		equals: self function , '("a").triggerHandler("keypress")'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 4/24/2009 20:48'!
testTriggers
	self
		assert: ((self jQuery: 'a') triggerBlur)
		equals: self function , '("a").blur()'.
	self
		assert: ((self jQuery: 'a') triggerChange)
		equals: self function , '("a").change()'.
	self
		assert: ((self jQuery: 'a') triggerClick)
		equals: self function , '("a").click()'.
	self
		assert: ((self jQuery: 'a') triggerDoubleClick)
		equals: self function , '("a").dblclick()'.
	self
		assert: ((self jQuery: 'a') triggerError)
		equals: self function , '("a").error()'.
	self
		assert: ((self jQuery: 'a') triggerFocus)
		equals: self function , '("a").focus()'.
	self
		assert: ((self jQuery: 'a') triggerKeyDown)
		equals: self function , '("a").keydown()'.
	self
		assert: ((self jQuery: 'a') triggerKeyPress)
		equals: self function , '("a").keypress()'.
	self
		assert: ((self jQuery: 'a') triggerKeyUp)
		equals: self function , '("a").keyup()'.
	self
		assert: ((self jQuery: 'a') triggerSelect)
		equals: self function , '("a").select()'.
	self
		assert: ((self jQuery: 'a') triggerSubmit)
		equals: self function , '("a").submit()'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 11/28/2008 17:50'!
testUnbind
	self
		assert: ((self jQuery: 'a') unbind: 'click')
		equals: self function , '("a").unbind("click")'! !

!JQueryInstanceTest methodsFor: 'tests-events' stamp: 'lr 2/20/2010 18:25'!
testUndelegate
	self
		assert: ((self jQuery: '#theone') undelegate)
		equals: self function , '("#theone").undelegate()'.
	self
		assert: ((self jQuery: '#theone') undelegate: 'tr' on: 'click')
		equals: self function , '("#theone").undelegate("tr","click")'	! !

!JQueryInstanceTest methodsFor: 'tests-modifying' stamp: 'lr 1/14/2010 20:00'!
testUnwrap
	self
		assert: ((self jQuery: 'p') unwrap)
		equals: self function , '("p").unwrap()'! !

!JQueryInstanceTest methodsFor: 'tests-manipulating' stamp: 'lr 11/28/2008 17:50'!
testValue
	self 
		assert: ((self jQuery: 'input') value)
		equals: self function , '("input").val()'.
	self 
		assert: ((self jQuery: 'input') value: 'bar')
		equals: self function , '("input").val("bar")'! !

!JQueryInstanceTest methodsFor: 'tests-css' stamp: 'lr 11/28/2008 17:50'!
testWidth
	self
		assert: (((self jQuery: 'div')) width)
		equals: self function , '("div").width()'.
	self
		assert: (((self jQuery: 'div')) width: 17)
		equals: self function , '("div").width(17)'! !

!JQueryInstanceTest methodsFor: 'tests-modifying' stamp: 'lr 3/4/2010 22:43'!
testWrap
	self
		assert: ((self jQuery: 'p') wrap: [ :html | html strong ])
		equals: self function , '("p").wrap("<strong><\/strong>")'.
	self
		assert: ((self jQuery: 'p') wrapAll: [ :html | html div ])
		equals: self function , '("p").wrapAll("<div><\/div>")'.
	self
		assert: ((self jQuery: 'p') wrapInner: [ :html | html span ])
		equals: self function , '("p").wrapInner("<span><\/span>")'! !

!JQueryTest class methodsFor: 'testing' stamp: 'jok 12/17/2008 10:17'!
isAbstract
	^ self name = #JQueryTest! !

!JQueryTest class methodsFor: 'accessing' stamp: 'lr 4/28/2009 19:37'!
packageNamesUnderTest
	^ #('JQuery-Core')! !

!JQueryTest methodsFor: 'accessing' stamp: 'lr 11/28/2008 17:49'!
function
	"Answers the name of the jQuery function. This can be either '$' or 'jQuery' or any other user chosen name. This makes sure the tests run in any case."

	^ JQuery functionName! !

!JQueryTest methodsFor: 'accessing' stamp: 'jf 7/19/2009 14:56'!
jQuery
	^ JQueryClass context: self renderContext! !

!JQueryTest methodsFor: 'accessing' stamp: 'lr 10/16/2008 00:53'!
jQuery: anObject
	^ self jQuery with: anObject! !

!GRPackage class methodsFor: '*jquery-tests-core' stamp: 'lr 2/17/2010 15:11'!
jQueryTestsCore
	^ self new
		name: 'JQuery-Tests-Core';
		description: 'Functional and unit tests for the JQuery-Core package.';
		addDependency: 'JQuery-Core';
		addDependency: 'Javascript-Tests-Core';
		addDependency: 'Seaside-Development';
		addDependency: 'Seaside-Tests-Functional';
		url: #seasideUrl;
		yourself! !

WAFileLibrary subclass: #JQAllFunctionalTestsLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQAllFunctionalTestsLibrary methodsFor: 'uploaded' stamp: 'lr 12/23/2009 12:53'!
backgroundPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 1 0 0 3 28 8 3 0 0 0 166 107 63 99 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 2 193 80 76 84 69 34 34 34 42 42 42 56 56 56 61 61 61 32 32 32 31 31 31 35 35 35 54 54 54 55 55 55 50 50 50 53 53 53 47 47 47 45 45 45 49 49 49 41 41 41 43 43 43 36 36 36 63 63 63 62 62 62 44 44 44 37 37 37 30 30 30 29 29 29 58 58 58 60 60 60 59 59 59 52 52 52 46 46 46 38 38 38 66 66 66 57 57 57 51 51 51 40 40 40 39 39 39 64 64 64 33 33 33 48 48 48 28 28 28 52 53 53 40 41 41 56 56 55 34 33 33 29 29 28 40 39 39 63 64 63 51 51 50 57 56 57 55 54 55 49 48 48 51 51 52 45 44 44 41 41 42 31 32 31 37 37 36 39 39 38 31 31 30 61 61 60 48 47 47 53 54 54 48 47 48 46 47 46 48 48 49 45 46 45 62 62 61 51 50 51 47 46 47 48 48 47 46 46 45 60 59 60 33 34 33 50 49 50 64 63 63 57 57 56 62 62 63 59 59 60 35 34 35 44 43 43 62 61 62 62 61 61 50 50 49 30 31 30 39 40 39 34 34 33 36 36 35 30 29 29 32 32 33 33 32 33 64 64 65 38 38 37 38 37 38 59 58 58 58 59 59 61 62 62 64 63 64 55 54 54 58 58 57 56 57 57 55 55 54 53 52 53 30 30 31 42 42 43 43 44 43 49 48 49 57 58 57 52 51 51 48 49 49 63 62 62 52 52 51 60 60 61 62 63 62 43 44 44 38 39 38 40 39 40 61 62 61 52 51 52 29 28 29 58 58 59 57 58 58 58 57 57 44 44 43 58 57 58 40 40 41 66 66 65 65 66 65 57 57 58 64 65 64 38 38 39 42 42 41 40 41 40 46 45 45 32 33 32 36 37 36 37 37 38 35 35 34 37 38 38 39 38 38 46 46 47 55 56 56 45 44 45 37 36 37 47 47 48 29 30 29 30 31 31 65 65 66 50 49 49 54 54 53 63 64 64 28 29 29 58 59 58 44 44 45 35 36 36 47 47 46 41 41 40 31 31 32 34 35 34 59 58 59 65 65 64 39 39 40 61 60 60 67 67 66 53 54 53 60 59 59 63 62 63 36 37 37 42 43 42 52 53 52 32 33 33 54 55 54 32 31 32 53 53 54 35 35 36 47 46 46 38 39 39 35 34 34 36 36 37 55 55 56 44 45 45 55 56 55 43 42 42 33 33 34 42 41 42 43 43 44 49 50 49 53 52 52 50 50 51 30 29 30 45 46 46 41 42 42 29 30 30 49 50 50 41 40 41 53 53 52 29 28 28 60 60 59 33 32 32 39 40 40 66 65 66 52 52 53 54 54 55 59 60 60 45 45 44 28 28 29 56 55 55 56 56 57 54 53 54 49 49 50 65 64 65 42 43 43 34 34 35 38 37 37 51 52 51 33 34 34 50 51 50 51 50 50 44 45 44 41 40 40 28 29 28 63 63 64 37 38 37 31 32 32 66 67 67 65 66 66 51 52 52 45 45 46 60 61 60 43 42 43 67 66 67 41 42 41 47 48 47 64 65 65 54 53 53 59 59 58 32 32 31 43 43 42 65 65 65 34 15 208 24 0 0 2 145 73 68 65 84 120 218 108 137 135 91 143 97 24 133 79 178 34 73 69 209 144 134 40 34 100 84 182 84 102 17 73 145 21 162 100 175 8 217 34 153 217 123 239 189 247 222 123 239 61 250 43 156 247 249 222 126 125 191 43 223 125 221 231 156 231 253 224 15 127 92 129 191 16 136 21 180 168 239 162 26 198 105 3 241 134 105 176 68 50 30 103 185 226 101 85 197 5 106 38 150 14 70 51 162 58 150 228 113 151 33 121 212 88 197 52 193 30 233 63 92 107 197 247 204 210 255 101 23 122 145 28 218 155 87 14 243 26 124 153 190 22 34 105 93 49 82 123 156 2 61 4 227 123 14 235 239 9 93 71 231 50 59 75 31 100 151 21 205 172 214 221 147 58 50 247 49 29 249 170 182 163 112 72 114 54 114 17 202 118 17 67 105 46 182 179 67 249 199 197 194 83 201 68 50 7 125 48 143 190 99 122 200 229 65 18 37 61 48 31 217 210 77 105 38 175 76 174 90 52 155 169 250 128 116 28 13 194 70 106 172 32 201 209 240 38 113 210 215 101 123 99 10 2 48 147 24 251 53 214 240 14 128 131 206 75 188 29 74 240 29 54 104 76 78 72 159 167 54 152 65 108 172 248 43 57 4 199 152 59 104 101 238 175 76 131 199 146 39 209 69 90 101 170 116 42 156 133 81 226 36 226 108 161 17 125 133 69 236 85 176 199 29 28 225 178 183 220 214 204 194 103 180 151 110 197 118 151 60 199 116 55 81 128 8 233 5 236 8 236 71 91 174 2 84 100 27 154 105 65 126 232 229 135 197 164 29 9 167 126 204 112 166 162 33 109 73 211 184 210 184 134 162 18 151 210 216 214 92 68 119 146 143 83 220 249 92 29 97 39 218 225 161 110 59 188 160 103 232 75 125 183 65 125 177 166 165 13 134 211 16 49 68 239 145 24 139 103 244 19 87 13 43 78 75 238 196 32 220 68 109 82 65 123 153 47 106 153 249 69 183 32 140 185 140 132 161 156 240 0 123 153 69 87 127 221 183 176 91 174 6 40 143 129 76 165 218 197 28 213 125 24 117 132 133 220 247 152 106 151 42 65 176 228 0 120 17 181 163 185 239 51 131 229 142 150 119 47 76 164 211 200 48 174 201 204 9 188 83 224 202 157 194 237 106 69 95 178 82 218 21 227 145 68 215 243 78 98 254 102 86 55 209 201 212 29 136 27 182 114 187 145 171 184 45 183 193 23 201 77 212 22 205 145 78 109 197 116 106 166 27 49 122 12 146 209 26 93 217 78 236 100 46 39 253 226 164 201 160 49 122 199 96 4 170 16 213 25 236 109 114 41 162 80 79 250 173 222 138 229 52 138 233 131 126 196 199 66 2 166 19 213 9 204 159 40 20 54 232 86 60 210 61 213 244 86 136 44 222 75 73 22 60 241 17 55 152 197 124 163 31 176 25 158 255 4 24 0 182 30 207 64 193 164 8 46 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQAllFunctionalTestsLibrary methodsFor: 'styles' stamp: 'lr 1/29/2010 09:04'!
defaultCss
	^ 'html { overflow-y: scroll; }
body { margin: 0; padding: 0; background: #434242 url(background.png) repeat-x; font-family: Helvetica,Arial,Verdana,sans-serif; font-size: 80%; line-height: 1.5; color: #222; }
a { text-decoration: none; color: #ff7200; outline: none; cursor: pointer; }
h1, h2, h3, h4, h5, h6 { border: 0; margin: 0; font-weight: normal; letter-spacing: 1px; }

#canvas { position: relative; margin: 0 auto; width: 1000px; }

#header h1.logo { float: left; margin: 50px 0; }
#header h1.logo a { display: block; width: 350px; height: 70px; background-image: url(logo.png); }
#header h1.logo a span { display: none; }

#menu { float: right; margin: 50px 0 10px 0; height: 50px; }
#menu .left, #menu .right { width: 15px; height: 50px; float: left; }
#menu .left { background-image: url(menuLeft.png); }
#menu .right { background-image: url(menuRight.png); }
#menu ul { background-image: url(menu.png); }
#menu ul, #menu ul li { float: left; margin: 0; padding: 0; height: 50px; list-style-type: none; }
#menu ul li a { padding: 0 15px; color: #bbb; line-height: 50px; font-size: 14px; }
#menu ul li a:hover { color: #fff; }

#content { position: relative; margin-bottom: 15px; }
#content { clear: both; background-color: white; }
#content .top, 
#content .bottom { height: 15px; background: url(frame.png); }
#content .head, .body { border: 1px solid #ddd; }
#content .head { height: 70px; border-bottom: none; }
#content .head h2 { float: left; margin: 10px; color: #ff7200; line-height: 50px; font-size: 30px; }
#content .head p { float: left; margin: 10px; padding-left: 20px; line-height: 50px; font-size: 20px; border-left: 1px solid #ddd; }
#content .head { padding: 10px; }

#content .tests { position: relative; padding: 20px; float: left; width: 180px; border-right: 1px solid #ddd; }
#content .tests h3 { font-size: 20px; margin-bottom: 6px; color: #ff7200; }
#content .tests ul, #content .tests ul li { padding: 0; margin: 0; list-style-type: none; }
#content .tests ul { margin-bottom: 20px; }
#content .tests ul li { line-height: 25px; border-bottom: 1px solid #eee; }
#content .tests ul li.active { background-color: #ddd; border-bottom: 1px solid #ccc; }
#content .tests ul li a { padding-left: 10px; color: #222; text-decoration: none; display: block; }
#content .tests ul li a:hover { background:#eee; }

#content .main { position: relative; padding: 20px; float: left; width: 735px; border-left: 1px solid #ddd; margin-left: -1px; }
#content .main h3 { font-size: 20px; margin-bottom: 10px; }
#content .main h4 { font-size: 16px; border-bottom: 1px solid #eee; margin-top: 20px; margin-bottom: 10px; }
#content .main .demo { position: relative; }
#content .main .code { font-family: "Bitstream Vera Sans Mono", Courier, monospace; font-size: 1.2em; line-height: 1.2; width: 735px; white-space: pre-wrap; white-space: -moz-pre-wrap !!important; white-space: -pre-wrap; white-space: -o-pre-wrap; word-wrap: break-word; }
#content .main .code .signature { font-weight: bold; }
#content .main .code .wa-tag { font-weight: bold; color: purple; }
#content .main .code .wa-attribute-key { font-weight: bold; color: black; }
#content .main .code .wa-attribute-value { color: blue; }
#content .main .code .wa-attribute-value a { color: blue; text-decoration: underline; }

.actions a { padding-right: 1em; }
#seastar { position: relative; }'! !

!JQAllFunctionalTestsLibrary methodsFor: 'uploaded' stamp: 'lr 12/23/2009 12:53'!
framePng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 3 232 0 0 0 15 8 3 0 0 0 64 212 21 113 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 0 18 80 76 84 69 12 12 12 10 10 10 43 43 43 9 9 9 60 60 60 25 25 25 93 80 49 20 0 0 0 65 73 68 65 84 120 218 236 211 1 17 0 32 8 4 176 7 181 127 101 107 112 220 214 97 233 11 44 215 201 3 150 139 232 32 58 32 58 32 58 32 58 32 58 32 58 32 58 32 58 136 14 136 14 136 14 140 139 94 7 88 174 190 0 3 0 59 215 24 198 35 74 194 2 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQAllFunctionalTestsLibrary methodsFor: 'uploaded' stamp: 'lr 12/23/2009 12:53'!
logoPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 1 94 0 0 0 70 8 3 0 0 0 179 7 12 106 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 3 0 80 76 84 69 253 83 0 255 145 0 89 53 25 106 106 106 181 32 7 213 99 6 255 149 0 77 77 77 255 97 0 255 137 0 131 69 19 244 68 0 255 141 0 255 185 0 171 84 12 241 51 0 255 105 0 233 37 0 232 34 0 255 172 0 103 58 23 116 63 21 91 90 90 255 168 0 48 39 32 44 35 29 46 46 46 255 170 0 185 89 11 255 93 0 255 178 0 69 30 23 248 66 0 255 126 0 255 175 0 63 62 62 255 166 0 130 31 14 255 134 0 70 43 22 255 124 0 199 107 7 239 53 0 225 225 225 198 76 7 255 128 0 144 73 17 255 132 0 255 176 0 255 180 0 255 112 0 255 130 0 167 38 9 143 32 12 185 52 8 157 79 14 241 118 2 255 164 0 120 121 121 255 152 0 255 116 0 255 162 0 255 122 0 220 35 2 255 159 0 90 30 20 61 44 29 255 89 0 255 110 0 75 48 27 200 58 6 241 57 0 255 102 0 241 62 0 255 160 0 255 155 0 255 118 0 166 166 166 246 62 0 200 94 9 116 65 20 109 30 16 245 74 0 199 94 8 156 84 13 241 124 2 95 36 20 255 100 0 199 88 7 255 119 0 255 108 0 238 45 0 249 88 0 241 109 2 250 72 0 252 78 0 255 182 0 250 93 0 255 156 0 48 48 48 250 76 0 28 29 28 250 102 0 60 61 61 115 53 20 251 106 0 234 40 0 185 74 10 237 41 0 227 99 3 227 114 4 42 30 27 196 36 6 244 57 0 207 33 3 253 103 0 48 38 31 53 28 24 196 41 6 184 93 9 253 125 0 92 92 93 252 101 0 250 99 0 47 38 31 156 33 10 127 62 15 155 31 10 30 31 31 31 31 30 33 34 33 31 30 31 33 33 34 34 33 33 32 33 33 33 33 32 33 32 32 33 32 33 32 32 33 32 33 32 34 34 34 30 30 30 31 32 31 32 31 31 30 30 31 31 32 32 31 31 32 32 31 32 30 31 30 32 32 31 34 33 34 33 34 34 34 34 33 31 30 30 255 114 0 136 136 136 196 196 196 240 240 240 210 210 210 181 181 181 227 104 4 151 151 151 137 137 137 165 165 165 91 92 91 195 195 195 122 122 122 180 180 180 255 115 0 211 211 211 150 150 150 196 195 195 195 195 196 48 48 47 92 92 91 195 196 195 196 196 195 166 165 166 195 196 196 136 136 137 165 166 165 47 48 48 196 195 196 137 137 136 91 91 91 121 122 122 61 61 61 61 62 62 211 210 211 29 29 29 136 137 136 29 30 30 30 29 30 181 180 180 121 121 121 255 188 0 151 150 151 151 151 150 47 47 47 181 181 180 136 136 135 137 136 136 210 210 211 210 211 211 166 166 165 180 181 181 181 180 181 91 92 92 92 91 92 121 122 121 47 48 47 62 61 62 155 73 12 28 27 27 227 89 4 211 92 5 251 110 0 235 39 0 48 47 48 135 135 135 56 38 23 56 37 24 136 137 137 137 136 137 27 28 28 253 126 0 165 165 166 165 166 166 166 165 165 183 80 8 185 80 10 180 181 180 241 97 2 253 128 0 92 91 91 141 71 15 252 116 0 252 118 0 30 30 29 253 120 0 253 123 0 107 35 16 123 43 15 61 62 61 62 61 61 150 151 151 134 37 16 252 110 0 247 94 0 233 45 1 156 74 12 241 48 0 32 32 32 31 31 31 33 33 33 255 255 255 218 21 222 222 0 0 44 118 73 68 65 84 120 218 180 124 9 120 28 103 153 102 75 194 150 237 24 31 146 141 28 199 118 34 203 8 77 180 150 99 25 48 30 31 24 199 158 56 135 147 129 176 155 77 130 18 136 129 97 51 48 12 76 128 25 200 46 93 125 84 117 117 87 31 85 221 93 125 88 242 149 203 33 9 199 112 153 48 97 130 25 60 231 206 185 87 102 47 246 190 239 115 150 170 242 188 239 247 215 37 89 33 243 60 243 108 39 82 119 87 253 255 119 188 223 251 189 223 95 10 15 153 94 181 145 207 54 122 189 172 86 109 181 178 126 53 175 245 170 217 106 21 87 91 141 150 214 107 104 90 163 215 104 224 54 190 242 106 175 213 107 53 242 13 31 223 180 42 62 102 177 24 111 216 163 85 27 85 173 129 143 90 43 175 249 120 175 54 26 90 163 138 93 61 92 210 26 88 136 37 62 46 107 249 70 182 135 207 249 106 175 215 195 247 106 171 209 240 125 44 171 230 101 83 11 75 90 154 166 101 113 201 111 192 59 54 86 243 88 139 207 126 182 129 93 252 130 91 61 248 203 251 136 184 215 104 181 122 220 204 224 90 217 106 30 206 90 141 30 162 200 246 26 85 44 202 106 62 220 33 252 44 150 105 217 70 182 133 192 122 89 252 66 50 8 204 167 139 22 54 51 245 70 163 149 197 134 22 0 105 96 119 181 7 167 45 113 134 172 97 175 90 197 117 220 224 189 124 21 166 180 6 22 107 248 152 103 218 121 128 211 0 148 173 124 53 3 67 189 106 75 64 104 225 118 21 118 17 110 181 213 3 234 226 164 170 245 180 22 224 71 190 85 128 84 197 91 131 72 115 5 12 192 28 236 231 145 1 44 192 36 113 67 49 144 110 213 239 225 179 54 252 150 159 203 19 31 96 213 67 173 176 86 3 20 85 45 255 150 183 92 30 6 120 61 160 81 165 47 184 193 34 84 178 197 10 194 0 146 71 169 27 89 108 207 2 206 172 175 105 121 68 155 173 50 89 84 1 246 27 226 136 190 72 15 68 142 213 112 133 45 121 65 2 212 104 229 129 103 30 94 125 86 202 71 84 12 25 128 160 122 62 10 141 186 86 125 94 65 18 13 228 11 27 164 11 120 195 156 242 170 60 0 160 229 195 153 79 116 65 57 216 206 107 168 69 139 24 34 140 172 159 205 146 56 40 5 200 208 19 0 81 172 106 70 56 4 27 189 60 108 52 24 165 239 99 183 112 17 54 1 122 182 229 247 180 205 255 97 240 149 170 144 22 32 249 172 180 223 99 94 26 201 216 32 4 45 13 16 193 15 114 37 252 90 54 15 94 180 134 166 175 93 187 246 204 86 45 143 149 61 77 112 246 171 91 127 250 169 179 215 194 215 51 191 245 115 13 230 9 223 249 22 54 231 179 160 35 59 135 36 2 132 104 33 225 77 149 204 242 171 196 158 144 33 164 22 0 243 89 6 178 180 74 230 231 145 59 27 4 237 72 10 177 161 124 246 79 195 71 134 173 44 99 149 230 97 248 72 6 152 176 33 64 18 31 221 215 98 237 129 62 82 174 102 97 2 78 177 22 151 217 8 85 66 150 111 145 238 232 7 82 172 69 210 162 129 170 132 74 3 150 72 150 12 129 59 178 7 65 160 160 189 12 28 130 214 136 39 155 135 73 210 23 187 129 118 15 29 78 140 208 76 89 45 191 174 63 59 251 255 126 61 175 161 14 190 244 48 16 33 13 145 12 152 3 163 216 15 188 233 179 199 66 130 101 89 118 233 83 33 134 96 9 28 179 141 91 173 173 95 90 184 182 232 245 165 173 20 128 22 192 106 245 40 71 112 2 254 161 216 192 11 81 195 17 140 129 252 89 165 3 154 159 87 29 141 24 41 14 173 6 113 195 53 54 104 3 110 253 22 114 1 181 89 179 70 30 148 70 246 121 252 2 154 200 56 203 53 90 158 186 161 137 129 30 243 7 92 13 81 16 42 66 214 151 112 168 105 224 27 96 68 92 148 42 141 45 15 103 168 63 26 9 107 125 34 224 179 166 8 22 201 147 124 96 9 237 179 152 90 53 131 216 16 71 158 170 1 117 66 57 97 10 133 166 122 66 205 224 130 112 109 62 116 105 118 246 248 219 208 183 40 37 178 195 101 162 144 71 253 53 4 163 177 4 154 6 133 98 52 32 22 3 132 155 214 80 132 224 112 158 108 34 123 27 67 75 192 197 235 236 86 116 140 198 100 233 143 76 160 218 128 58 32 22 84 216 7 43 153 81 149 29 194 108 208 152 212 127 149 24 96 145 4 124 97 16 242 36 239 252 188 79 53 192 38 24 224 21 172 67 148 210 194 146 26 212 4 136 231 217 225 0 62 207 134 107 81 106 88 151 42 75 133 190 240 53 106 87 150 194 3 170 231 243 121 244 125 139 92 135 119 80 93 235 113 26 176 211 164 133 96 147 51 1 110 122 194 118 236 206 251 25 202 5 218 31 222 1 42 186 12 188 65 100 88 198 196 160 188 0 177 213 251 220 161 67 160 239 223 249 117 208 210 247 113 163 71 5 3 217 80 62 64 41 111 232 108 84 19 208 103 217 178 40 48 97 153 142 0 188 140 92 177 16 28 255 135 215 150 121 61 135 62 241 249 15 10 207 224 33 115 89 146 144 213 194 20 163 66 112 146 33 19 38 132 250 161 135 201 4 36 204 140 33 155 108 177 60 73 9 137 130 239 42 89 142 42 0 45 8 164 207 193 160 113 170 0 101 212 25 223 57 202 179 72 23 126 40 62 72 59 203 241 205 249 164 145 155 130 1 209 96 57 0 185 240 18 112 3 60 108 107 48 81 141 44 165 116 176 140 72 154 29 150 23 26 65 249 65 65 164 163 101 80 69 141 3 20 81 101 57 191 209 160 24 6 112 171 177 104 89 145 191 27 31 188 231 158 254 165 217 79 252 8 55 89 20 220 98 237 145 10 228 95 84 189 213 82 218 130 206 4 8 45 150 0 64 13 95 75 216 203 182 244 123 254 151 174 45 251 122 139 207 173 40 47 66 231 169 195 167 46 249 4 140 97 147 103 136 7 222 171 162 160 72 143 236 241 229 5 222 182 124 105 23 228 135 140 16 60 46 82 71 101 178 129 39 192 201 103 210 232 113 159 19 139 144 177 28 192 9 173 8 16 73 154 44 29 85 101 10 0 10 118 51 0 71 182 44 91 94 114 20 135 104 0 108 66 136 26 207 88 45 154 229 76 193 110 78 245 44 201 69 109 207 50 4 64 156 129 174 137 38 145 142 26 85 8 195 64 204 80 77 53 114 185 165 253 236 145 7 143 92 58 116 15 212 1 197 151 46 33 107 249 211 34 99 171 44 93 158 104 139 232 193 139 207 201 157 215 222 18 161 55 237 103 217 62 126 235 202 242 232 94 123 14 129 105 212 51 141 85 242 5 57 78 113 218 82 153 139 198 114 106 245 132 2 148 35 168 104 131 249 113 57 135 9 155 16 69 20 188 169 96 85 217 201 126 211 120 114 226 58 98 206 50 231 69 116 129 4 7 12 89 1 34 82 187 176 65 19 86 245 40 47 236 31 186 3 157 176 69 9 14 244 13 253 196 9 36 65 178 137 217 22 190 84 64 163 38 230 185 1 197 97 145 50 220 77 137 242 165 239 25 20 231 178 228 68 6 251 76 224 115 71 166 198 47 61 56 14 117 240 153 61 149 77 225 170 181 164 148 64 162 199 42 193 27 133 157 155 52 14 162 151 99 109 224 61 68 248 114 74 119 167 159 73 139 48 162 212 122 18 22 126 24 121 94 113 83 34 64 111 11 76 45 242 72 99 120 45 25 12 190 226 147 188 105 84 6 95 49 35 172 141 36 225 147 219 210 234 114 93 168 45 26 148 23 220 179 61 149 57 202 194 142 87 168 162 16 228 183 226 170 216 36 135 16 159 52 174 31 58 141 156 115 144 67 68 165 166 180 205 43 89 142 119 68 144 225 23 9 144 181 1 21 178 90 86 57 132 49 56 17 203 83 71 38 119 31 58 178 250 158 79 188 194 59 26 155 44 36 88 181 21 198 140 242 146 27 82 104 201 140 9 250 207 41 236 126 90 230 12 174 60 147 156 22 94 198 149 203 9 192 151 129 79 47 68 52 43 161 170 104 243 98 168 21 66 213 11 11 207 180 73 178 86 88 4 9 56 27 37 46 145 249 241 45 106 129 47 224 135 133 8 163 33 85 196 65 200 79 30 73 229 3 160 110 169 204 101 0 0 114 85 44 184 167 198 41 79 217 94 136 154 68 172 252 32 102 66 227 83 159 200 55 63 159 97 145 152 74 86 45 80 174 253 36 70 244 203 166 169 241 129 201 67 83 3 123 142 255 163 48 110 149 137 172 166 39 10 69 150 188 80 213 20 44 164 169 183 242 96 246 220 229 124 136 120 124 144 184 246 91 74 52 19 173 184 34 20 243 181 20 90 13 105 178 60 143 79 121 197 153 108 200 79 133 48 15 27 60 131 9 76 225 46 78 5 77 24 199 243 65 94 84 53 166 179 146 25 212 145 159 121 47 31 102 169 201 108 202 250 49 225 181 168 80 89 213 254 92 195 175 60 76 228 21 163 26 28 127 113 25 33 53 202 4 15 79 190 210 18 94 200 228 133 239 121 38 155 15 187 129 105 242 41 45 171 226 242 215 77 173 62 56 121 104 252 177 149 179 127 171 26 22 65 139 81 160 207 158 159 212 68 66 87 93 43 119 95 246 163 186 249 254 116 34 181 162 88 254 214 24 222 51 217 116 93 243 177 250 198 133 148 36 242 234 70 43 90 150 247 211 241 228 35 50 133 245 207 199 32 73 255 250 234 49 36 44 80 228 34 230 123 62 12 94 193 161 8 41 221 238 167 114 165 203 208 159 22 171 87 88 87 159 226 239 135 199 136 112 75 102 105 115 105 49 115 163 87 245 93 227 7 15 79 30 218 125 224 192 212 223 255 136 150 90 178 168 214 190 226 91 200 179 124 62 29 83 248 158 144 247 101 117 181 229 39 240 42 110 166 172 45 10 35 236 171 188 127 221 43 155 79 251 73 17 207 95 84 131 208 70 54 175 210 212 252 69 24 229 83 94 252 191 240 43 187 52 216 164 8 81 48 153 55 182 178 105 106 242 192 24 224 29 27 93 251 208 63 246 255 18 175 231 34 44 159 138 47 61 147 130 119 25 84 151 125 229 175 79 234 141 55 253 101 95 218 27 34 189 236 43 227 215 174 191 88 139 175 213 241 243 254 169 149 163 99 171 47 237 30 219 121 84 169 67 242 114 174 223 91 79 253 246 175 156 133 16 108 13 239 188 156 154 99 209 226 133 4 94 101 107 235 153 233 107 211 130 181 138 97 248 185 133 107 103 135 23 197 184 245 202 83 207 136 204 124 229 169 161 40 96 177 255 20 150 14 69 70 206 14 203 157 203 184 56 253 212 214 212 246 33 148 244 223 92 86 1 218 203 228 225 164 226 79 252 54 83 232 44 77 185 29 238 179 99 3 181 4 222 232 154 35 70 235 252 85 115 98 135 120 255 133 221 7 118 222 4 120 71 119 140 141 255 171 87 210 64 214 150 96 157 92 97 120 117 231 27 234 15 14 252 230 56 254 153 228 20 236 68 17 167 70 155 130 238 108 234 91 173 94 87 179 111 97 171 228 80 163 143 203 207 165 207 203 211 195 202 22 110 13 171 82 253 15 124 58 171 54 193 109 56 59 159 170 113 133 96 246 84 74 158 36 202 24 227 197 12 169 167 112 119 228 167 22 37 41 23 156 8 106 94 174 215 194 47 245 37 181 202 16 107 155 144 42 123 53 71 249 172 215 149 177 90 125 211 212 218 209 219 70 87 95 218 55 186 99 199 202 13 111 171 198 21 171 215 157 84 53 235 113 104 53 113 80 75 180 246 42 46 182 29 63 254 35 217 151 194 248 106 254 213 69 132 118 226 228 95 228 126 252 19 157 147 175 168 142 194 191 215 61 245 93 166 179 118 205 175 63 19 125 223 26 109 114 218 113 195 40 138 217 142 61 20 119 75 45 98 101 77 98 111 70 41 40 158 58 181 244 55 164 100 135 21 247 195 50 71 184 59 53 5 121 45 228 167 194 163 93 87 107 34 246 218 126 200 88 254 226 223 43 171 13 60 229 163 42 63 251 174 241 163 59 118 140 78 246 119 143 238 221 187 171 255 111 7 95 37 244 213 240 69 139 109 91 108 214 107 77 129 93 213 30 5 106 70 120 14 51 134 122 114 74 24 82 224 213 109 255 114 50 236 28 46 138 224 120 129 125 84 175 213 34 194 159 169 171 212 182 158 189 238 121 111 97 107 19 182 236 248 1 252 114 92 198 51 117 231 55 18 120 165 8 78 115 58 238 22 226 97 43 218 193 53 97 102 236 181 122 179 46 208 224 78 189 93 35 244 17 148 245 16 113 219 193 229 182 195 20 157 80 8 28 50 173 214 142 116 165 70 234 56 176 231 103 106 97 111 208 28 75 230 173 249 169 191 58 57 249 83 209 235 23 198 199 15 222 182 23 240 206 238 222 249 193 189 183 13 28 127 224 239 253 21 190 126 230 157 159 253 197 145 145 119 191 233 61 213 58 161 106 43 6 137 115 207 175 123 78 90 107 235 226 44 57 55 40 252 153 94 114 238 245 9 82 172 31 223 175 137 74 57 17 82 151 109 143 25 213 158 91 230 121 250 138 202 42 218 58 28 243 251 74 221 121 33 54 111 43 254 198 14 191 11 98 2 19 54 161 211 6 60 194 0 233 144 166 47 25 213 229 31 4 73 180 145 27 74 99 215 235 138 24 77 86 223 110 43 153 173 171 70 247 106 33 117 107 82 16 27 117 194 174 76 221 163 107 64 45 188 107 183 223 191 111 207 228 228 228 234 213 3 3 3 43 249 186 123 108 239 7 5 222 125 59 249 126 247 228 212 61 179 199 79 110 127 244 222 245 175 141 240 245 158 150 180 177 210 38 120 106 215 108 18 17 213 141 82 57 11 223 126 179 22 167 253 21 38 97 59 96 67 34 199 103 85 141 255 118 114 142 64 238 9 225 255 39 160 69 82 103 150 253 115 133 74 43 220 186 144 250 51 146 239 191 24 125 110 147 143 237 90 243 92 248 253 27 162 126 109 135 144 55 155 77 167 230 1 62 18 140 64 171 118 36 110 100 167 7 90 54 177 23 132 64 200 210 162 158 226 99 141 28 175 19 101 199 246 218 236 54 180 3 100 132 249 213 232 209 111 103 154 236 137 26 93 3 32 108 120 215 238 125 123 246 172 30 56 120 96 116 199 222 189 31 252 224 155 241 34 172 123 102 39 119 238 221 113 219 206 209 177 3 71 239 62 56 176 111 246 67 143 40 124 223 244 138 48 95 218 132 12 96 143 217 8 162 230 252 175 232 24 86 147 206 136 251 250 55 106 94 91 53 87 45 62 151 125 195 241 200 130 168 117 47 55 29 218 136 180 99 154 57 3 237 248 156 113 246 204 153 175 196 211 13 217 120 94 61 220 250 204 139 201 0 109 251 95 141 217 235 176 135 107 201 31 65 68 20 234 109 132 77 88 108 64 2 116 129 161 199 182 106 147 153 118 205 3 214 64 15 96 182 237 166 237 52 165 24 117 194 236 180 209 233 142 67 90 81 95 148 254 58 77 44 197 45 64 89 227 93 196 236 100 176 191 217 180 197 72 19 155 90 239 26 223 189 123 247 190 125 147 3 71 71 247 2 218 31 252 224 7 111 126 115 8 239 142 29 59 71 111 26 219 117 248 232 221 3 227 159 127 223 250 141 194 222 55 189 170 92 32 69 191 205 126 115 68 184 208 27 17 118 87 188 118 211 105 38 83 108 8 165 245 154 210 131 169 115 25 77 196 217 111 69 36 78 34 189 191 207 249 94 115 206 164 14 201 142 29 119 3 8 226 56 209 214 175 164 220 164 224 69 80 72 52 182 240 130 104 43 198 21 0 108 146 13 158 35 34 11 236 154 94 77 157 37 28 12 66 145 138 186 13 42 8 98 190 215 244 185 212 73 157 180 192 247 54 232 89 183 109 135 141 235 97 77 27 205 105 163 5 128 119 166 78 45 135 144 212 154 182 77 117 121 255 248 248 248 190 61 128 120 247 228 202 3 59 63 24 193 187 111 118 114 116 231 206 209 81 160 123 247 192 190 135 50 247 254 248 181 145 141 27 129 240 123 95 65 13 1 86 77 196 10 211 194 70 251 52 25 120 220 164 117 52 95 122 138 213 188 38 188 129 24 195 169 131 3 162 110 70 242 60 13 115 30 248 17 97 117 6 109 213 78 14 201 223 7 251 29 39 222 108 219 112 58 180 84 51 190 129 26 218 49 149 109 208 18 62 167 227 225 234 120 118 83 33 44 61 14 153 244 154 162 97 136 171 105 35 31 219 147 147 145 71 46 56 252 197 38 117 112 143 147 166 233 217 28 112 118 221 22 41 6 125 41 117 182 237 57 54 240 70 39 66 68 160 60 181 102 166 205 194 54 229 50 75 210 238 125 110 106 124 28 218 187 103 124 124 106 92 16 166 56 140 141 31 223 51 54 58 122 211 174 187 86 238 185 244 192 237 143 222 242 169 91 111 189 131 234 240 197 31 209 62 228 170 109 35 56 212 176 230 176 132 142 211 76 210 135 253 122 51 166 222 2 78 12 117 175 77 136 147 201 86 111 219 168 75 180 230 107 117 199 35 91 22 98 173 32 107 98 4 95 174 179 147 237 232 43 240 177 189 37 178 124 118 8 156 241 188 120 180 33 190 182 93 143 197 198 86 231 8 121 174 224 228 169 19 218 182 199 184 29 232 172 77 225 199 167 26 221 34 90 135 88 115 190 0 51 7 76 108 203 84 179 107 54 26 4 212 65 243 163 20 205 38 36 202 246 80 37 142 67 15 25 240 228 128 203 144 21 104 97 179 142 11 104 180 234 154 41 224 58 0 129 221 51 117 228 200 145 221 107 31 3 174 119 61 120 124 252 232 174 163 43 247 244 79 110 223 190 253 246 15 124 232 151 62 250 129 59 31 31 121 247 123 62 210 194 80 135 76 217 24 62 180 228 65 120 234 160 158 23 143 173 23 72 234 186 19 15 253 223 196 106 204 93 142 142 184 191 231 61 158 73 253 111 69 108 197 116 68 127 253 73 116 219 179 217 183 95 139 160 227 208 174 121 17 86 103 61 15 233 190 152 60 105 156 185 60 140 57 130 30 111 182 35 131 211 152 181 184 246 47 227 83 153 7 40 106 236 178 26 135 18 181 23 8 98 34 52 73 98 198 2 234 51 4 12 60 98 34 131 170 13 140 161 21 160 61 210 245 249 129 201 82 20 168 205 248 5 252 0 47 212 194 35 36 124 111 102 40 40 32 59 132 219 227 232 247 218 118 245 196 138 169 169 201 187 119 141 237 122 108 237 238 7 15 29 58 116 100 114 96 245 236 67 199 199 199 103 79 174 90 181 125 213 134 35 147 107 215 78 254 159 27 54 142 188 233 51 175 248 172 10 90 7 229 105 163 9 124 138 12 136 130 159 240 9 225 218 15 57 87 155 241 129 243 218 25 220 69 155 16 129 120 218 93 104 226 162 231 39 143 10 94 189 217 76 142 30 72 16 242 190 16 47 6 56 205 152 250 223 66 185 106 181 24 221 223 67 42 160 155 211 4 232 181 232 160 240 85 180 134 99 95 13 45 44 92 69 180 196 3 24 114 124 225 23 36 147 12 5 58 109 194 135 8 217 33 208 210 90 187 222 198 201 2 253 87 179 1 116 173 78 153 97 130 60 135 97 140 129 81 74 71 28 160 239 161 14 234 240 4 53 167 210 214 50 48 135 62 244 136 49 164 132 51 190 230 223 184 31 172 61 56 54 186 115 116 215 193 213 83 151 102 103 103 143 63 180 97 195 201 147 15 60 112 242 248 238 149 135 41 191 255 241 206 141 35 111 253 81 15 13 69 42 241 80 142 28 121 18 39 204 14 176 138 177 27 178 25 240 68 34 179 112 139 0 176 209 73 157 93 225 221 139 229 4 90 130 248 155 63 140 180 2 229 247 235 195 201 204 226 148 104 95 136 14 34 128 42 81 162 175 161 155 49 97 155 109 121 172 140 58 104 30 243 199 105 71 5 57 131 37 232 222 54 161 32 38 64 22 60 4 254 194 59 178 18 124 104 59 32 34 152 13 137 160 74 163 221 219 140 218 81 194 230 17 49 240 150 190 219 142 221 228 82 124 34 140 244 68 49 3 163 189 26 14 102 54 173 160 89 168 41 224 61 100 202 169 110 154 123 112 124 229 216 78 188 110 58 188 114 207 33 133 238 201 217 221 3 119 65 41 198 238 90 249 159 238 28 249 244 205 175 248 68 142 92 98 72 82 39 70 215 38 27 188 248 164 240 93 48 162 222 78 70 207 86 132 208 102 32 205 100 218 13 227 187 231 69 233 191 104 51 254 102 61 82 206 43 232 144 166 29 171 235 4 107 227 121 243 209 93 104 77 140 220 194 85 17 61 210 27 178 25 43 242 175 130 203 142 29 21 252 170 68 11 130 241 76 75 30 58 194 99 224 231 73 28 128 9 218 194 32 248 47 186 19 107 241 80 129 53 124 60 128 41 140 93 174 3 236 16 5 50 172 102 11 97 61 201 29 194 40 98 128 241 215 204 240 138 240 139 252 193 26 158 144 109 47 123 227 253 135 30 92 187 107 231 109 120 141 142 29 220 253 16 209 157 58 184 235 166 81 80 250 192 202 127 112 199 198 47 126 242 85 48 150 101 110 51 35 156 156 169 188 30 61 147 62 237 8 187 5 30 114 107 201 100 59 75 108 144 18 78 64 201 180 107 51 48 231 84 212 253 168 63 198 174 23 131 47 121 126 63 22 234 175 190 240 194 252 252 175 198 119 29 180 237 63 15 191 156 98 4 72 132 233 180 19 15 47 34 105 251 187 209 26 72 151 3 0 68 212 200 4 143 76 5 30 56 97 249 244 212 228 93 1 26 66 32 11 106 108 71 112 16 21 161 88 120 60 126 241 6 37 141 195 6 160 65 52 108 129 16 131 134 241 218 36 51 216 75 243 40 16 197 65 10 40 125 97 123 213 53 151 46 77 238 186 109 199 14 60 75 140 173 125 8 232 62 48 126 120 108 236 38 156 30 86 126 116 61 102 26 61 200 11 93 192 166 226 97 86 46 217 44 119 156 217 57 244 23 234 245 173 184 123 165 238 136 191 230 252 94 116 237 171 148 152 68 78 174 120 28 149 73 195 243 216 217 110 79 47 255 223 152 23 208 166 181 248 153 229 138 207 241 210 172 137 12 38 231 137 175 0 134 246 15 147 118 66 147 74 24 100 22 201 197 39 94 47 4 84 189 43 18 192 138 124 113 120 80 199 114 188 41 121 38 196 196 215 86 43 155 204 156 39 91 133 128 250 129 245 122 70 217 106 178 203 165 231 218 109 5 90 211 127 219 28 206 186 128 119 199 206 195 83 39 31 154 234 175 218 48 176 107 108 12 3 239 111 220 241 217 207 188 138 249 234 53 189 16 82 49 64 135 142 39 245 196 199 223 140 133 14 194 223 110 38 255 89 194 11 155 206 174 37 211 206 19 178 68 95 255 164 45 65 199 157 205 242 215 175 190 206 127 194 63 69 56 226 67 218 4 89 228 137 54 214 82 130 50 207 140 66 119 231 60 106 26 155 221 103 77 235 132 169 233 41 82 42 184 154 164 76 91 52 140 172 117 66 64 218 4 207 33 188 144 8 145 19 155 217 202 189 38 103 89 136 156 232 107 8 107 38 130 147 210 194 176 194 175 196 119 112 246 208 1 194 59 186 122 195 201 61 119 15 28 95 117 232 177 93 187 14 220 181 246 134 135 63 83 85 164 15 249 26 21 222 22 81 83 23 227 51 43 103 182 151 122 128 80 171 65 173 212 115 28 194 180 227 147 214 66 24 220 191 136 180 66 194 25 122 29 120 39 104 44 81 162 40 120 197 186 8 222 175 54 19 3 151 195 174 19 25 21 5 109 10 65 216 50 81 42 2 74 136 28 63 80 64 219 130 156 84 47 234 91 105 251 90 188 84 74 197 108 155 241 146 140 232 14 244 202 139 96 14 227 195 119 237 19 179 71 247 238 221 187 227 224 67 39 167 142 142 237 26 120 96 213 190 163 120 34 254 119 235 223 254 74 180 204 137 55 196 47 213 113 241 73 225 170 24 78 30 32 146 141 169 105 39 51 37 77 53 30 207 207 38 224 123 158 119 102 121 116 175 72 87 47 98 105 148 128 151 110 128 166 119 46 165 253 225 10 37 8 118 2 87 148 66 152 84 132 69 189 25 46 168 219 75 50 141 13 241 40 186 200 183 250 150 81 149 106 39 230 106 177 89 255 175 131 189 123 247 30 62 116 178 127 16 170 187 107 247 246 85 171 239 62 184 242 159 173 255 155 213 116 41 218 222 50 175 161 228 208 207 87 116 138 66 162 241 43 153 118 202 196 185 68 62 24 226 213 20 63 219 201 65 97 145 238 254 254 101 101 42 181 117 81 52 41 216 183 198 194 254 23 120 133 180 14 37 56 185 212 78 129 238 197 12 94 30 1 153 111 153 212 133 242 146 5 55 110 24 191 105 7 158 135 79 82 116 113 102 56 58 123 251 170 201 129 181 227 119 126 250 149 55 12 240 76 106 148 167 78 81 209 247 229 174 197 127 16 80 95 151 52 252 194 245 6 146 215 146 173 241 235 74 2 111 24 208 244 114 219 75 222 255 175 87 134 160 150 82 192 86 18 111 31 219 176 26 199 176 181 39 79 78 202 145 97 116 116 224 246 71 62 180 103 114 252 125 35 55 251 73 100 165 235 67 44 37 216 157 89 12 206 181 51 229 74 232 197 75 73 47 95 87 19 57 89 84 160 115 98 112 248 218 98 131 138 11 97 220 233 173 165 228 126 37 46 209 133 248 88 114 70 249 150 16 74 225 175 40 243 202 178 56 151 35 88 82 181 40 45 229 98 121 89 126 18 222 82 165 28 238 45 87 210 32 123 222 191 222 112 112 116 244 224 67 171 142 60 198 19 3 224 61 240 95 238 253 212 23 166 142 124 96 227 59 122 250 210 44 35 27 101 21 104 106 146 45 130 242 242 117 242 17 129 18 255 185 76 229 80 94 172 21 177 120 15 199 94 43 242 1 191 43 233 173 122 26 135 203 177 141 176 60 11 127 156 230 130 233 85 74 33 69 248 110 192 94 41 4 58 134 113 17 195 83 40 150 82 117 74 222 42 33 6 186 68 102 0 94 175 84 18 235 165 10 46 149 213 102 217 123 227 3 253 163 99 143 29 90 117 124 229 129 3 196 119 108 215 225 129 15 60 124 235 231 31 252 194 195 162 14 37 241 36 53 41 71 206 203 10 238 74 76 54 94 212 83 7 7 160 83 145 102 169 196 114 124 78 249 252 122 138 173 180 29 53 252 211 0 193 43 95 72 27 228 235 233 11 243 243 95 159 168 92 71 116 21 22 185 91 209 189 167 99 120 195 71 150 11 101 175 100 2 72 133 98 132 147 66 57 105 222 138 220 172 152 114 179 84 18 142 151 201 194 152 127 224 36 183 87 20 0 165 84 201 116 124 48 202 58 249 93 169 148 50 196 70 12 26 81 203 84 20 245 203 31 91 53 126 248 174 241 85 39 87 31 61 124 248 177 129 201 181 7 143 62 182 242 151 239 24 185 243 151 62 127 43 212 161 162 74 97 74 46 68 64 42 198 74 85 22 139 30 2 40 39 143 191 97 219 78 60 29 195 39 195 6 245 137 228 228 235 138 54 19 139 181 98 62 54 200 188 42 161 3 60 3 35 142 82 162 68 10 24 192 197 156 244 20 123 23 146 99 92 69 34 165 83 29 75 168 140 33 60 58 113 22 102 233 102 136 150 105 50 167 178 220 44 177 42 44 9 0 210 67 26 17 126 161 84 9 85 43 151 34 10 151 137 142 89 46 153 225 104 43 149 162 14 40 233 52 133 141 229 159 95 53 121 112 207 170 85 227 7 143 222 189 250 120 230 209 15 127 224 151 7 6 86 127 225 241 141 55 124 232 206 145 119 40 241 173 24 176 99 72 180 192 213 144 182 42 151 1 240 169 69 103 86 47 129 183 194 4 174 2 143 233 180 54 48 178 72 158 159 174 232 149 114 217 252 163 232 88 129 242 192 65 252 183 53 69 160 136 150 151 43 105 101 255 3 47 168 132 201 149 77 182 100 180 236 235 97 185 79 145 106 8 83 87 233 86 202 166 80 176 100 4 76 129 120 32 118 67 232 39 29 105 134 45 202 26 50 71 3 183 133 243 229 178 154 81 210 245 36 36 171 82 198 78 160 108 150 66 229 199 226 12 119 145 112 97 103 151 81 210 146 232 198 141 219 79 238 217 115 114 251 165 129 131 3 15 110 127 244 145 91 238 93 127 199 255 253 175 123 166 222 55 242 248 13 55 140 168 179 3 74 86 145 124 244 146 228 83 22 133 49 208 71 201 243 45 13 27 67 41 246 98 201 239 44 122 236 34 5 140 132 173 72 140 44 137 164 247 20 136 82 46 189 20 79 54 19 81 150 244 115 49 188 165 212 86 33 91 89 194 167 148 86 74 49 123 195 245 195 166 81 97 196 165 74 80 210 3 174 21 32 128 79 137 173 111 176 148 136 190 164 64 209 13 53 144 74 236 206 50 236 41 168 75 102 89 180 35 212 67 198 139 122 81 115 202 138 167 6 249 45 4 230 201 1 112 150 40 230 248 173 171 45 162 22 31 219 190 97 106 195 246 147 187 87 143 63 240 232 35 239 188 249 35 127 237 179 31 223 120 231 71 239 129 50 60 124 199 70 170 131 58 111 32 9 4 160 35 94 24 48 80 61 252 227 25 241 153 181 34 174 18 120 121 119 241 3 216 211 37 201 56 146 147 223 41 49 220 242 68 114 82 48 17 232 191 79 78 25 102 69 55 255 56 182 111 32 239 248 239 194 148 184 18 106 141 107 204 201 211 35 120 195 102 154 103 242 101 61 240 76 54 26 34 51 68 60 13 105 104 160 202 189 6 120 194 205 166 142 2 4 34 210 212 5 216 44 83 205 75 10 214 64 47 227 118 197 51 117 52 108 73 164 149 34 24 170 6 171 165 163 5 74 149 12 43 136 2 152 229 74 80 38 23 61 224 196 205 149 159 223 190 97 195 246 237 179 247 108 200 60 114 203 127 255 72 190 217 108 189 99 100 228 207 222 247 161 247 189 54 242 240 227 35 239 168 151 3 158 57 74 129 137 178 153 6 24 7 163 102 57 208 61 93 215 163 166 92 144 158 9 140 47 167 158 97 141 202 183 211 232 206 235 112 6 144 162 217 53 111 152 72 33 62 55 176 253 205 160 18 171 203 31 152 176 95 138 0 157 22 94 68 91 79 5 106 92 85 76 48 172 164 3 167 248 236 28 218 42 7 158 1 107 68 86 71 19 3 76 158 198 42 144 6 131 114 93 54 9 10 16 32 117 240 174 163 12 216 97 40 229 3 190 32 191 206 6 169 176 133 188 0 22 204 138 105 18 221 10 63 211 51 89 14 76 160 2 101 211 12 50 101 98 34 106 21 24 240 88 2 180 101 246 252 141 183 223 190 42 147 217 190 10 224 254 204 205 255 185 9 102 87 218 55 191 123 100 227 173 55 220 58 50 242 218 200 167 95 69 33 168 189 38 92 178 102 21 142 55 93 15 16 113 201 251 94 140 29 61 123 122 2 239 25 163 98 60 189 136 188 1 18 66 22 209 120 90 248 38 13 157 138 239 163 114 0 36 54 240 109 163 164 235 87 35 225 254 167 84 50 61 218 250 29 208 203 48 64 94 82 48 64 251 151 38 22 245 201 52 194 44 129 186 200 85 32 243 12 221 32 164 88 136 55 48 3 145 232 232 67 146 20 213 33 77 3 96 97 202 108 168 84 100 194 81 2 2 148 24 187 96 3 8 66 81 204 178 41 117 5 215 129 118 137 156 38 217 76 64 145 49 40 35 16 3 64 44 130 14 170 115 184 5 31 123 244 209 15 63 242 225 15 223 114 239 167 222 254 73 95 246 148 141 250 39 223 52 50 242 248 250 199 71 54 142 140 220 108 195 114 201 208 3 3 181 64 206 8 182 172 62 6 165 32 226 222 247 68 149 42 222 233 36 199 223 158 40 255 105 234 1 247 28 74 13 198 27 165 248 193 227 215 190 243 244 111 255 110 66 110 143 224 199 51 10 103 5 93 159 56 155 234 5 64 16 31 250 74 28 50 38 210 50 81 122 153 210 139 224 125 22 237 9 174 130 219 160 16 122 64 175 24 212 90 38 94 34 102 70 96 234 252 29 152 6 19 70 42 232 77 0 7 188 57 252 16 37 247 7 148 100 30 58 0 87 69 42 132 29 104 56 19 98 193 78 164 57 104 8 59 168 172 103 74 68 29 85 194 27 106 65 199 232 85 221 48 223 121 203 45 247 222 123 239 167 214 255 217 127 123 21 30 41 175 176 103 250 111 29 25 25 225 127 127 31 121 107 27 124 6 89 209 35 24 102 64 25 165 227 215 50 66 170 196 15 169 38 72 80 66 186 175 243 199 218 107 11 47 97 99 64 143 175 179 224 130 41 147 54 161 255 194 252 124 170 21 16 83 37 134 158 252 48 192 62 146 48 128 218 129 66 139 124 161 254 232 177 178 176 130 194 26 176 245 16 111 153 231 13 68 1 200 117 80 132 231 7 106 92 80 50 3 114 6 162 12 75 176 136 102 199 22 104 11 128 68 3 80 126 101 100 153 28 235 1 89 93 41 235 38 224 64 29 12 216 49 202 65 38 16 48 117 176 29 98 17 112 92 18 170 160 242 206 245 235 215 255 248 199 15 127 246 230 150 3 130 202 100 4 136 166 247 158 119 203 255 122 100 228 173 26 90 205 12 12 244 32 167 1 26 2 17 194 120 128 237 241 156 255 83 120 144 84 46 188 14 122 191 251 18 150 163 232 75 120 150 188 254 8 104 33 156 151 150 187 247 252 105 88 55 204 139 17 209 209 131 224 144 46 13 14 16 168 15 233 229 23 13 206 95 157 16 25 204 190 66 82 26 228 167 14 70 130 106 58 112 6 129 41 145 0 143 162 81 1 220 32 118 9 150 76 17 79 30 241 169 35 60 108 160 237 168 11 232 20 208 23 30 77 214 150 252 6 211 116 200 4 204 153 25 212 129 176 33 44 172 1 60 40 8 23 5 255 251 227 31 255 248 107 175 189 227 239 250 216 235 17 58 172 193 118 175 254 201 183 11 188 239 173 98 196 7 112 16 128 214 21 234 184 193 46 192 176 13 226 131 194 180 110 80 229 65 252 137 215 65 239 218 60 180 190 194 164 22 255 69 44 214 222 9 6 166 39 39 177 52 27 135 117 210 200 136 74 119 145 164 97 39 147 185 100 20 186 54 189 252 42 132 42 192 188 2 149 128 42 120 64 37 22 58 96 49 127 49 88 192 2 194 153 204 217 224 20 131 49 74 45 215 19 51 156 230 200 66 36 139 95 40 2 60 194 26 186 128 7 61 128 110 16 64 124 130 66 210 87 41 195 181 216 164 118 64 222 209 23 38 199 220 39 127 113 100 228 211 239 169 182 9 41 22 195 107 32 196 14 140 250 123 65 224 47 126 164 137 104 12 10 167 64 202 234 193 168 33 122 31 241 233 28 114 9 100 4 7 223 123 61 124 79 1 16 208 62 126 38 86 188 124 41 158 141 8 30 62 131 225 235 54 78 15 163 169 128 145 25 21 102 2 237 141 99 138 73 41 100 160 224 159 183 200 17 116 0 4 4 35 176 77 90 93 196 0 13 70 105 208 133 170 64 11 208 243 68 134 123 88 132 145 4 254 154 80 97 157 244 193 96 65 202 60 45 241 76 129 197 0 28 58 141 133 162 53 192 17 15 34 40 185 14 70 147 177 58 224 13 88 7 162 67 136 120 114 168 80 172 131 252 205 55 191 210 107 6 68 200 228 118 136 72 133 209 233 122 243 213 155 63 83 109 195 25 146 193 114 248 192 188 46 87 4 95 57 39 70 9 127 155 52 65 121 201 163 83 175 135 239 80 32 108 56 253 124 10 137 111 154 225 167 63 68 148 101 233 136 239 44 45 203 55 33 27 12 45 18 158 83 28 230 200 72 136 166 42 94 49 211 255 89 163 76 110 176 135 145 135 33 103 11 42 0 192 16 234 1 116 131 227 138 40 148 169 22 32 48 134 100 89 50 32 170 40 164 46 165 11 132 79 144 88 190 25 28 105 196 144 51 54 96 151 27 212 144 146 72 73 128 131 89 32 47 221 16 217 52 185 153 84 199 143 103 139 105 137 86 23 117 209 121 18 132 164 4 77 110 85 47 118 9 197 153 251 2 213 3 65 116 10 248 21 73 72 221 50 135 22 143 183 231 159 143 37 83 76 6 167 163 162 252 218 16 230 182 194 236 217 128 226 202 237 70 48 145 214 135 115 95 166 225 18 27 47 36 246 252 75 166 17 134 47 66 22 72 167 165 202 17 34 79 6 242 113 129 247 105 186 204 207 148 105 248 128 74 233 66 93 201 69 193 199 252 116 105 19 102 75 125 21 234 243 115 69 152 73 220 40 179 196 29 123 113 132 22 36 41 176 28 109 209 75 143 223 117 17 18 249 76 69 14 187 45 228 132 252 72 160 242 37 144 78 147 79 82 68 246 77 220 200 129 20 19 255 82 125 2 125 248 226 252 60 145 127 126 254 212 119 38 140 211 209 255 102 134 62 116 170 254 151 191 61 63 127 238 226 48 139 85 9 158 61 55 127 97 34 140 194 147 42 235 167 135 254 201 169 121 46 25 58 29 36 46 245 96 248 212 252 169 103 165 142 64 170 162 171 192 21 76 9 188 127 40 101 210 37 65 30 248 161 57 106 20 7 138 1 66 2 35 100 153 36 206 204 66 106 98 60 25 97 126 178 42 164 56 119 194 132 167 226 240 196 86 37 133 165 97 100 84 156 106 116 177 34 2 168 169 108 25 81 9 133 164 242 174 43 83 162 31 149 4 238 32 172 183 216 125 54 162 97 132 185 18 104 38 99 132 169 243 125 56 122 214 10 196 148 138 74 143 187 34 8 53 93 23 191 40 109 89 45 146 126 10 217 21 38 97 70 196 144 44 204 196 130 25 43 206 124 57 34 197 178 175 82 88 144 16 64 133 100 37 190 173 38 63 161 230 193 143 71 1 185 105 232 137 5 89 177 152 168 88 149 145 201 20 149 70 38 170 25 246 71 194 208 232 131 158 142 40 253 197 48 18 139 201 41 236 66 178 44 241 136 214 144 94 196 199 103 213 233 42 194 92 242 55 141 20 134 225 171 28 6 23 152 139 32 89 12 86 136 78 116 49 180 19 159 71 158 141 168 126 253 102 85 29 61 162 142 252 68 149 144 150 208 227 214 76 239 45 167 62 203 50 117 56 51 245 112 208 73 12 153 159 16 241 50 47 253 245 191 39 123 231 83 41 45 89 165 155 233 64 135 207 205 95 252 102 138 0 201 155 249 198 81 24 203 47 91 124 41 10 101 250 39 103 105 38 56 45 179 196 88 106 213 188 222 165 190 244 182 50 153 249 73 105 228 222 8 237 160 144 250 92 140 62 196 15 169 111 104 182 184 248 211 137 193 229 151 158 24 60 246 19 98 56 22 222 124 242 196 162 120 10 252 188 176 180 210 215 57 94 38 145 235 179 44 190 254 202 159 140 81 134 247 23 57 203 21 150 88 41 46 31 16 86 20 23 185 140 28 61 27 79 182 160 187 40 138 220 117 246 114 139 46 220 223 239 3 223 98 33 220 208 9 183 110 58 223 239 247 247 39 246 11 139 80 42 108 234 207 229 196 207 249 126 124 191 24 90 143 134 236 194 233 235 145 201 133 191 139 234 78 97 41 128 57 1 134 247 139 201 142 130 92 226 154 165 176 170 176 149 95 184 207 169 77 153 176 50 185 196 123 49 252 44 95 93 90 12 215 202 13 249 82 84 119 187 57 181 144 78 59 188 202 139 241 1 246 28 173 22 148 75 1 171 16 37 17 122 207 165 82 205 9 78 107 212 93 117 51 12 103 115 191 127 63 0 62 17 174 47 166 75 201 10 204 244 239 47 242 234 96 191 159 163 155 156 202 146 184 76 68 161 92 12 84 169 139 105 14 117 67 102 133 89 133 64 199 37 47 32 247 110 82 171 248 110 81 174 118 121 93 246 20 210 118 165 101 36 172 16 94 121 199 34 4 152 75 117 66 46 94 94 136 217 156 83 245 99 226 180 44 232 194 150 27 26 147 21 67 201 233 244 162 50 205 28 10 221 4 70 55 23 193 91 204 89 73 72 197 96 127 127 157 162 108 46 33 103 167 16 204 245 103 138 199 192 235 142 106 151 34 151 119 152 123 81 242 118 131 65 89 223 93 211 191 47 41 78 16 76 92 72 30 179 65 222 66 161 195 194 184 113 130 110 76 212 66 12 79 78 165 152 43 88 5 69 79 1 191 16 130 216 81 165 45 22 67 36 36 97 233 245 176 53 115 133 176 172 110 204 62 192 91 192 18 233 132 156 16 191 216 101 105 36 24 1 172 203 123 65 215 149 106 23 187 29 228 86 228 253 184 213 11 29 85 49 92 201 61 123 109 81 78 41 18 22 220 32 215 81 185 229 146 214 10 41 195 173 235 230 250 231 215 4 155 86 244 251 235 58 193 177 185 253 155 251 131 44 195 32 21 227 88 127 110 75 238 196 54 240 120 75 80 228 146 109 79 22 130 153 243 253 243 155 184 239 201 206 137 21 253 251 183 245 103 2 94 155 219 44 83 51 253 255 36 115 145 205 156 19 202 230 66 178 133 17 0 1 75 222 152 46 226 67 21 130 142 202 152 107 1 13 86 0 24 183 83 136 217 95 80 85 37 0 22 211 195 178 2 83 203 169 45 210 237 4 149 94 50 68 173 72 120 11 133 98 216 234 0 88 41 140 197 155 82 240 66 81 88 225 178 247 186 133 68 234 115 145 168 116 85 1 83 73 93 44 128 215 69 213 90 93 185 137 221 93 86 182 203 114 130 168 162 50 221 98 7 159 187 193 147 16 128 185 77 155 250 253 251 250 253 205 93 116 124 191 191 137 198 1 239 138 39 130 19 79 230 142 205 245 87 128 201 1 52 4 75 102 172 253 253 243 43 250 115 64 190 191 165 11 160 207 115 253 254 254 28 176 39 167 210 143 120 207 43 218 230 44 18 200 117 21 247 58 129 75 32 32 10 0 167 136 226 119 66 57 44 20 194 164 92 97 171 43 236 193 218 14 215 177 245 58 132 83 146 239 134 122 149 43 90 48 80 40 90 164 75 81 210 45 40 225 201 20 129 150 242 40 89 118 187 22 1 237 134 2 193 254 239 88 194 81 150 201 85 136 230 114 22 200 12 144 225 16 144 73 247 184 144 151 206 175 164 255 20 134 34 185 12 86 97 217 205 113 93 14 212 119 195 126 201 209 36 220 83 3 114 110 225 4 180 179 115 190 63 147 187 191 63 211 33 81 103 64 36 236 4 110 231 79 32 170 117 253 109 208 143 153 226 249 254 102 247 254 254 154 46 88 125 162 63 7 197 62 15 196 251 79 226 231 24 160 62 241 36 224 69 39 165 255 84 54 145 43 116 64 175 28 85 211 165 168 240 99 1 145 3 149 176 215 11 225 120 83 115 189 128 88 133 161 185 78 183 3 68 45 161 59 26 154 129 131 15 69 233 183 78 87 4 198 226 186 32 228 160 244 103 81 149 8 28 206 101 10 170 54 174 91 236 116 17 133 234 32 192 106 41 95 28 202 221 98 81 234 21 242 27 31 97 56 199 111 64 76 216 153 195 118 26 74 224 157 63 77 11 208 200 174 11 137 69 213 101 74 184 74 62 25 91 142 5 1 196 93 210 193 133 34 175 233 223 239 2 159 99 238 249 254 26 192 188 6 150 97 190 144 59 6 62 130 152 197 185 254 102 235 62 160 191 105 77 176 6 208 98 233 186 96 230 4 72 188 206 5 242 46 72 93 92 3 168 193 246 34 162 73 255 221 82 80 112 93 233 162 142 91 112 201 18 132 111 117 195 67 18 18 12 71 190 91 20 129 117 129 106 167 168 178 182 56 199 16 38 181 155 132 10 10 221 98 114 32 234 118 145 151 165 208 145 193 212 37 83 44 222 192 111 192 27 88 93 86 65 182 224 86 206 234 88 157 156 48 20 78 164 38 93 56 180 44 96 225 22 113 139 128 117 149 80 116 64 98 172 38 213 221 142 91 236 186 133 137 80 28 166 159 85 42 66 149 239 50 80 36 231 186 22 152 192 86 0 164 221 162 37 81 176 175 152 18 174 172 235 239 207 109 238 207 117 183 40 236 182 112 152 231 220 174 229 62 9 42 207 113 186 241 117 34 120 114 102 14 239 185 46 20 98 219 150 160 0 34 7 43 250 51 144 147 109 128 153 175 109 46 18 74 254 247 129 167 129 74 7 185 3 88 34 198 179 133 171 24 138 194 82 162 208 139 212 83 42 110 142 89 145 125 69 46 42 160 71 201 71 80 167 136 156 165 24 192 189 131 208 217 4 104 68 80 8 230 128 163 180 114 177 203 89 108 145 116 57 118 52 100 33 211 65 162 224 57 160 180 216 12 29 57 177 0 66 151 154 15 204 80 43 148 174 40 144 2 29 80 207 178 100 162 187 29 142 77 57 90 160 134 69 226 232 22 49 175 249 87 25 139 83 189 0 145 130 133 14 91 176 192 201 208 97 155 177 125 44 0 32 210 98 97 54 192 52 91 36 183 162 191 57 0 13 115 160 95 135 29 15 190 184 197 226 150 109 51 110 1 248 14 2 249 153 153 153 77 214 22 76 177 153 254 138 174 245 4 212 121 155 85 196 173 28 126 10 36 246 249 254 54 172 65 97 58 185 211 23 195 63 254 184 86 120 4 128 57 58 84 71 30 48 163 139 81 0 106 1 118 248 193 4 3 153 145 23 82 237 90 22 23 160 227 100 254 96 222 129 137 232 79 215 101 171 90 64 174 128 144 129 101 199 2 130 52 3 9 237 22 169 64 180 155 235 82 49 161 55 248 84 200 160 121 81 17 84 56 71 126 89 93 25 149 248 224 114 244 128 60 236 99 228 79 149 66 59 129 162 116 1 44 187 148 120 136 13 72 141 194 2 39 151 240 243 8 134 235 157 14 103 24 79 31 84 25 56 98 129 139 84 95 20 146 36 42 114 166 185 110 129 157 99 185 96 138 181 133 186 0 26 22 129 93 7 84 12 16 84 199 234 238 239 223 87 116 113 244 125 114 63 181 99 255 160 133 10 80 16 10 155 214 20 64 214 99 84 108 20 100 75 97 174 63 248 4 161 222 188 95 20 53 135 164 56 156 186 5 52 36 0 11 136 18 18 134 215 174 16 195 149 57 205 54 46 90 224 47 146 148 35 100 135 231 1 68 133 244 64 56 180 49 136 214 33 45 93 30 151 48 193 96 149 149 112 121 19 149 0 86 16 101 202 42 135 35 168 100 9 190 162 66 72 54 131 228 33 176 232 113 64 2 176 92 244 123 209 101 181 186 168 27 78 128 86 145 233 163 191 92 22 193 5 58 184 1 54 119 168 19 22 184 193 158 128 74 240 4 192 27 192 22 13 143 60 96 174 40 51 19 5 129 248 226 66 0 227 188 139 13 44 185 197 226 81 7 193 117 23 24 205 21 45 136 108 103 5 186 29 29 111 177 104 5 247 190 254 10 203 218 214 191 63 0 59 1 237 12 217 250 4 166 27 180 162 67 153 197 105 183 0 41 182 56 221 240 189 139 235 0 179 40 71 126 184 35 210 28 40 28 172 93 182 14 248 197 33 128 104 144 34 2 37 25 208 97 156 52 200 148 44 14 164 183 16 57 40 202 243 3 87 226 182 197 129 195 1 197 102 118 41 220 16 204 46 111 1 80 57 186 117 168 65 22 41 103 201 25 216 69 243 130 189 192 183 131 144 68 71 160 174 5 252 203 10 243 90 199 37 91 225 177 128 206 183 168 42 192 186 67 58 34 118 178 130 24 98 89 135 82 66 206 179 10 150 208 26 227 5 116 71 97 97 194 98 100 232 53 168 47 18 224 48 238 16 96 138 51 0 70 82 72 122 166 127 159 229 206 245 239 91 215 159 123 194 98 183 91 108 140 226 126 156 203 86 80 114 239 235 159 199 231 99 128 112 27 84 119 16 239 51 219 250 251 169 216 238 12 158 153 113 106 43 224 218 186 21 124 54 113 25 28 122 30 153 83 251 216 118 174 32 208 85 215 16 80 135 26 107 17 96 139 69 96 183 130 150 236 62 100 21 144 218 184 204 112 169 137 132 193 162 22 131 233 216 71 170 176 205 201 95 158 111 59 60 95 129 74 192 27 95 216 218 192 50 71 187 185 12 150 65 95 44 240 156 140 42 138 36 129 86 196 210 45 74 253 11 236 173 128 206 104 144 35 169 67 121 225 89 154 84 46 80 236 139 168 6 197 136 86 200 127 20 9 55 72 163 2 59 131 71 57 236 66 126 93 166 130 228 113 11 221 211 165 252 23 0 187 139 209 180 217 178 160 2 56 133 65 80 207 119 45 73 175 176 133 231 134 21 0 123 211 28 207 197 5 144 187 15 25 126 162 3 140 251 235 182 64 114 7 45 192 58 135 135 10 75 174 109 123 2 58 135 144 208 19 44 39 17 101 58 28 100 93 130 234 42 239 22 174 242 120 137 24 11 148 87 48 174 195 1 139 202 224 95 164 6 138 81 6 104 1 115 8 157 73 77 6 227 41 54 160 54 89 73 59 72 183 64 155 128 18 151 208 32 240 9 222 145 200 152 127 86 6 152 33 0 120 177 168 75 156 149 88 26 176 196 29 62 112 144 161 128 28 141 3 68 25 86 151 163 128 150 81 81 87 104 130 0 10 60 135 96 33 54 6 20 25 22 223 226 44 150 68 192 208 46 11 143 38 224 163 6 98 236 112 186 73 88 140 31 187 45 235 137 19 172 206 19 131 39 120 245 196 22 16 11 241 177 10 131 131 199 248 238 110 25 28 236 82 176 6 143 117 78 28 3 56 39 6 143 97 142 60 113 2 137 28 27 180 186 131 32 102 1 215 216 120 46 116 11 140 195 144 64 118 93 202 48 233 38 132 237 242 161 64 208 151 188 16 91 135 47 124 234 138 168 0 28 118 172 8 4 34 195 68 67 103 81 212 144 32 140 8 48 124 114 37 227 121 140 102 107 42 73 199 59 200 75 218 240 140 76 143 0 254 207 5 24 0 97 113 68 172 38 12 48 79 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQAllFunctionalTestsLibrary methodsFor: 'uploaded' stamp: 'lr 12/23/2009 12:53'!
menuLeftPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 15 0 0 0 50 8 3 0 0 0 180 236 113 11 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 0 222 80 76 84 69 17 17 17 34 34 34 35 35 35 36 36 36 15 15 15 25 25 25 14 14 14 37 37 37 4 4 4 147 147 147 38 38 38 12 12 12 13 13 13 57 57 57 33 33 32 64 64 64 10 10 10 99 99 99 39 39 39 31 30 30 31 30 31 47 47 47 7 7 7 54 54 54 30 29 30 118 118 118 40 40 40 27 28 28 30 30 31 31 32 32 145 145 145 107 107 107 8 8 7 24 25 24 31 31 30 32 33 33 58 58 58 39 39 38 27 26 27 46 46 46 30 30 29 91 91 91 120 120 120 27 27 26 29 28 28 5 5 5 111 111 111 8 8 8 11 11 11 41 41 41 86 86 86 25 26 25 32 32 31 62 62 62 81 81 81 27 27 28 33 32 32 63 63 63 32 32 32 16 16 16 23 23 23 33 33 33 22 22 22 20 20 20 27 27 27 21 21 21 28 28 28 19 19 19 26 26 26 18 18 18 31 31 31 30 30 30 24 24 24 29 29 29 62 228 111 48 0 0 0 213 73 68 65 84 120 218 100 199 233 86 130 64 24 6 224 47 129 81 3 4 215 108 181 212 108 81 91 180 213 17 55 144 97 238 255 134 204 14 39 231 237 123 254 61 164 234 221 250 200 241 171 143 87 229 61 106 52 116 98 117 78 31 130 102 237 248 7 93 232 236 251 233 227 174 152 163 182 243 94 13 106 197 191 127 222 78 124 235 128 50 63 176 204 235 254 89 193 64 234 164 0 191 111 30 153 40 125 253 119 43 50 145 138 240 122 6 248 83 192 190 81 128 125 165 1 123 178 1 236 206 10 176 103 9 96 159 59 128 22 25 96 95 207 1 251 114 1 216 227 53 96 223 46 1 127 12 216 229 22 144 36 188 144 4 132 141 39 79 154 232 198 21 112 37 67 97 31 208 229 208 13 61 227 95 111 3 183 245 226 137 28 85 122 179 243 184 245 28 186 94 254 40 170 164 83 251 122 92 250 181 19 96 0 165 119 135 155 102 231 56 126 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQAllFunctionalTestsLibrary methodsFor: 'uploaded' stamp: 'lr 12/23/2009 12:53'!
menuPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 1 0 0 0 50 8 3 0 0 0 170 37 65 184 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 0 81 80 76 84 69 37 37 37 15 15 15 18 18 18 21 21 21 31 31 31 34 34 34 28 28 28 147 147 147 25 25 25 4 4 4 38 38 38 22 22 22 35 35 35 19 19 19 32 32 32 16 16 16 29 29 29 26 26 26 23 23 23 36 36 36 20 20 20 33 33 33 17 17 17 30 30 30 14 14 14 27 27 27 24 24 24 144 24 218 124 0 0 0 53 73 68 65 84 120 218 20 193 133 1 128 0 12 0 160 217 221 237 255 135 138 16 85 180 241 219 236 45 60 28 205 189 156 45 125 92 172 227 117 181 51 115 119 48 245 116 50 241 182 249 4 24 0 126 28 2 157 240 228 168 44 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQAllFunctionalTestsLibrary methodsFor: 'uploaded' stamp: 'lr 12/23/2009 12:53'!
menuRightPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 15 0 0 0 50 8 3 0 0 0 180 236 113 11 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 0 225 80 76 84 69 17 17 17 34 34 34 35 35 35 36 36 36 15 15 15 14 14 14 25 25 25 37 37 37 4 4 4 147 147 147 38 38 38 64 64 64 12 12 12 13 13 13 30 31 31 10 10 10 31 30 31 57 57 57 24 24 25 56 56 56 8 8 8 39 39 39 99 99 99 7 7 7 33 33 32 28 27 28 111 111 111 118 118 118 15 14 15 25 26 26 91 91 91 81 81 81 32 32 33 46 46 46 32 31 32 30 31 30 26 27 27 47 47 47 62 62 63 33 32 33 26 26 27 120 120 120 30 30 31 60 60 60 5 5 5 49 49 49 29 30 29 41 41 41 30 29 30 145 145 145 11 11 11 29 30 30 28 29 28 84 84 84 33 32 32 40 40 40 107 107 107 27 26 26 31 32 32 32 32 32 16 16 16 23 23 23 33 33 33 22 22 22 20 20 20 27 27 27 21 21 21 28 28 28 19 19 19 26 26 26 24 24 24 18 18 18 31 31 31 30 30 30 29 29 29 76 251 210 109 0 0 0 213 73 68 65 84 120 218 100 199 215 86 194 64 20 5 208 11 97 66 73 163 23 81 41 74 17 123 23 25 66 75 66 38 255 255 65 10 178 96 142 119 191 109 202 239 60 223 212 75 230 219 164 88 188 162 194 175 218 192 186 108 127 25 211 7 215 165 236 65 175 115 102 149 85 124 124 182 102 213 135 225 19 25 39 165 247 66 75 191 97 85 34 74 107 30 111 21 60 93 73 40 165 187 87 248 207 152 124 93 234 223 125 69 51 144 176 199 128 95 129 13 123 2 86 236 27 16 178 175 128 201 30 130 136 221 4 115 138 192 130 125 14 214 236 11 176 100 95 131 128 125 9 182 236 1 224 223 2 137 39 73 64 10 124 70 144 212 57 4 23 118 153 50 39 194 147 175 218 29 207 190 158 145 56 112 94 170 246 184 255 241 119 199 246 170 141 160 245 237 119 41 183 119 215 56 191 112 71 205 166 255 35 192 0 8 189 137 38 112 226 108 17 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQAllFunctionalTestsLibrary methodsFor: 'uploaded' stamp: 'lr 12/5/2009 09:53'!
seastarPng
	^ #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 1 0 0 0 1 0 8 6 0 0 0 92 114 168 102 0 0 0 25 116 69 88 116 83 111 102 116 119 97 114 101 0 65 100 111 98 101 32 73 109 97 103 101 82 101 97 100 121 113 201 101 60 0 0 87 197 73 68 65 84 120 218 236 125 9 188 100 85 121 231 255 220 170 122 91 191 215 77 119 35 59 136 128 205 218 178 11 118 3 130 10 178 37 97 162 147 168 209 160 19 162 97 81 3 24 84 140 147 104 116 38 139 97 50 137 26 205 226 2 113 9 163 145 100 4 19 21 205 204 40 140 68 193 196 45 104 34 35 32 13 77 211 219 219 234 85 213 189 103 238 114 78 213 119 191 58 231 220 91 245 170 94 191 247 250 156 95 223 95 85 215 123 175 150 91 247 251 127 255 239 255 45 71 72 41 225 151 95 126 237 159 43 240 167 192 47 191 60 0 248 229 151 95 30 0 252 242 203 47 15 0 126 249 229 151 7 0 191 252 242 203 3 128 95 126 249 229 1 192 47 191 252 242 0 224 151 95 126 121 0 240 203 47 191 60 0 248 229 151 95 30 0 252 242 203 47 15 0 126 249 229 215 138 90 213 94 255 64 8 225 207 218 210 45 125 178 37 185 15 242 152 95 126 117 46 136 62 26 251 170 254 180 45 91 163 167 255 47 131 186 30 16 252 242 0 176 10 12 159 223 6 14 67 143 12 12 193 3 129 95 30 0 86 168 225 235 35 48 60 38 201 173 62 2 5 2 244 49 225 65 192 47 15 0 43 207 227 39 198 92 33 0 16 16 32 8 24 3 136 216 109 200 64 32 242 108 192 47 15 0 43 199 235 87 136 193 87 213 255 43 12 4 4 161 253 218 240 91 234 190 102 2 33 251 191 103 3 126 121 0 88 198 198 31 16 67 175 189 243 20 108 252 149 99 112 229 198 17 92 49 26 224 148 154 192 225 201 47 134 18 211 179 45 60 252 227 25 124 229 127 60 134 47 254 151 31 224 145 248 225 134 50 120 125 52 213 115 106 32 160 12 192 131 128 95 230 139 177 215 212 129 79 3 14 220 248 43 255 245 52 28 24 27 254 13 27 71 241 134 248 193 181 57 115 53 220 127 166 129 135 62 242 8 254 224 150 127 198 183 227 255 206 41 227 111 169 219 166 2 128 22 11 19 60 8 172 242 213 79 26 208 3 192 210 3 0 53 254 234 3 151 226 244 51 214 227 147 21 129 35 139 12 159 223 255 167 157 184 253 249 95 198 127 143 239 206 196 199 188 50 254 6 1 132 136 0 129 7 1 15 0 30 0 150 129 241 11 29 231 63 112 25 206 56 115 61 238 78 189 126 15 134 79 239 239 90 192 35 87 124 13 215 222 255 12 30 87 108 96 129 128 128 6 2 173 13 248 112 192 3 64 110 249 82 224 165 167 254 105 204 255 249 11 113 236 153 27 98 227 23 177 241 11 195 111 150 188 191 126 20 207 249 252 121 248 208 89 235 113 108 252 223 169 248 24 143 143 209 68 83 80 71 149 232 12 252 153 252 218 207 151 7 128 165 5 129 64 51 128 23 31 138 15 229 60 255 34 64 96 195 8 142 254 194 5 248 227 152 77 28 19 255 119 50 62 198 8 8 84 209 157 86 244 203 47 15 0 75 236 253 219 12 224 145 171 240 115 99 21 108 113 250 98 155 225 91 126 247 192 17 60 251 111 183 226 191 196 255 59 136 128 192 8 97 2 21 6 66 126 249 229 1 96 137 227 255 84 252 59 124 13 222 214 151 161 23 48 130 195 199 113 226 255 125 49 110 76 34 3 18 10 140 16 0 168 176 247 227 151 7 0 191 150 104 165 30 248 27 151 227 180 90 128 147 23 67 249 93 160 113 206 6 92 246 91 39 225 162 248 238 58 5 2 156 5 84 188 241 251 229 1 96 223 48 128 202 166 181 120 245 162 141 221 230 191 213 99 55 110 194 245 155 215 225 232 248 238 26 22 10 84 125 40 224 151 7 128 165 55 252 118 8 48 81 197 214 129 120 124 129 238 110 2 117 127 93 13 27 63 116 38 174 38 161 192 24 186 179 2 194 135 2 126 121 0 88 66 32 120 215 105 88 63 146 208 255 30 40 125 33 180 88 254 110 203 70 92 252 206 147 112 62 178 76 195 24 209 3 104 90 208 3 128 7 0 191 150 8 0 130 159 59 10 167 246 252 87 174 251 182 196 158 250 249 205 155 112 237 41 107 113 100 124 119 194 179 0 191 60 0 236 227 48 224 160 81 60 111 160 226 159 128 185 95 144 134 2 103 165 161 192 1 132 5 84 45 32 224 151 7 0 191 6 108 248 185 255 7 65 106 136 189 139 124 174 105 128 1 156 114 222 214 56 20 248 205 147 112 158 15 5 252 242 0 176 180 75 114 19 14 37 57 223 139 84 250 203 178 128 100 189 37 14 5 54 175 195 17 232 100 5 170 228 240 89 1 15 0 126 13 145 250 183 167 250 172 31 197 185 133 130 159 40 169 7 72 116 247 22 90 170 253 147 80 224 79 207 196 107 13 161 64 21 249 73 68 30 0 60 0 248 53 44 64 136 52 3 40 227 217 203 132 2 244 119 42 196 156 13 207 27 135 2 47 121 231 73 216 162 66 129 81 228 27 134 124 40 224 1 192 175 37 214 4 236 134 95 182 109 71 178 223 175 184 125 249 205 155 112 29 11 5 124 129 144 7 0 191 150 204 248 7 84 232 211 5 0 52 20 208 166 108 0 25 82 32 68 67 1 10 0 62 53 232 1 192 175 37 227 1 162 64 57 8 44 32 96 2 0 202 0 104 239 31 91 170 64 40 201 10 172 131 207 10 120 0 240 167 96 31 208 127 151 6 32 152 9 22 233 5 116 55 0 14 2 129 249 111 110 56 14 175 67 86 38 60 1 243 240 16 207 2 60 0 248 181 79 25 129 201 4 77 245 0 156 5 232 48 160 106 0 1 181 14 26 197 17 255 112 126 59 20 24 69 247 240 16 15 2 30 0 252 90 114 13 128 211 127 87 145 143 105 35 48 65 24 0 205 244 27 94 243 146 131 113 213 235 143 193 233 232 100 5 70 144 159 29 224 67 1 15 0 126 13 200 248 83 146 62 94 193 137 133 230 196 233 127 17 11 136 44 90 128 54 254 17 152 119 127 136 127 247 119 78 198 13 42 20 88 227 67 1 15 0 126 13 153 1 164 3 64 139 232 63 53 185 34 63 108 99 1 130 232 0 197 161 192 127 82 44 64 79 16 162 21 130 126 130 144 7 0 191 150 60 238 167 212 223 84 19 192 69 192 200 17 6 212 8 193 55 152 113 28 10 252 92 28 10 156 137 108 142 224 8 236 169 65 191 60 0 248 53 20 195 183 209 127 90 224 227 98 1 122 183 64 254 119 85 66 234 181 89 27 222 143 10 5 54 168 80 192 166 5 248 2 33 15 0 126 13 200 252 237 63 225 230 102 19 2 133 65 7 144 22 22 48 66 124 123 181 251 185 84 40 144 164 6 233 28 193 42 252 48 81 15 0 126 45 33 11 224 165 192 252 112 193 72 8 179 24 88 35 32 160 19 126 134 111 93 101 5 146 80 96 10 221 169 65 31 10 120 0 240 107 17 38 95 174 16 136 23 1 85 88 24 224 90 182 108 64 133 132 1 9 8 232 218 63 67 133 161 33 20 168 249 80 192 3 128 95 139 91 210 233 187 203 136 128 54 255 203 195 0 46 6 210 148 32 21 3 245 45 12 161 192 121 93 161 64 205 135 2 30 0 252 90 36 225 191 121 115 108 84 69 244 63 128 189 24 40 96 230 103 130 25 10 2 46 49 112 76 29 21 115 40 112 197 161 56 17 230 45 198 124 40 224 1 192 175 126 214 43 143 197 230 66 152 224 195 61 232 253 138 37 12 160 181 0 90 7 40 35 6 106 16 48 16 250 15 158 214 14 5 38 224 179 2 30 0 252 90 188 6 16 201 18 229 192 185 249 65 134 16 160 90 96 114 145 2 1 91 24 80 69 71 222 27 67 167 21 136 173 163 38 176 233 179 231 226 23 75 134 2 126 121 0 240 171 72 7 104 201 18 198 194 133 192 10 122 203 6 132 150 48 128 2 64 141 176 128 113 226 227 25 40 197 97 192 207 95 113 8 78 80 161 0 109 25 54 205 14 240 203 3 128 95 46 211 22 101 231 0 152 106 0 122 13 3 104 93 128 77 12 164 76 96 28 93 253 2 163 1 198 255 244 116 188 9 249 182 97 219 220 0 15 2 197 176 110 59 60 0 236 15 12 64 38 12 192 85 207 207 187 255 248 255 181 201 85 93 175 66 24 128 41 35 64 59 4 71 24 0 140 117 95 142 71 198 161 192 223 156 139 87 160 51 82 124 132 129 64 197 107 1 86 67 15 96 111 237 90 54 128 224 1 96 137 46 14 153 111 217 49 103 1 132 133 250 155 68 65 87 24 96 18 3 233 223 215 12 0 96 209 3 46 63 4 63 127 101 150 21 152 130 125 142 224 254 202 2 248 103 55 113 184 138 227 8 12 32 186 164 231 211 3 192 210 94 44 229 199 128 85 12 244 159 94 86 54 38 17 50 16 160 207 95 101 161 128 9 4 106 249 247 152 132 2 31 60 213 25 10 236 79 32 96 243 218 129 65 109 169 178 51 78 147 177 53 242 184 9 20 92 131 224 60 0 172 24 99 39 247 101 153 111 66 20 132 2 212 231 186 194 128 22 9 3 92 3 67 106 132 212 39 0 176 70 153 120 96 13 5 214 57 66 129 213 10 0 46 47 111 51 122 122 102 105 210 117 212 112 203 25 85 217 226 239 129 172 170 183 213 225 196 252 252 139 59 118 109 58 147 191 251 210 50 109 243 197 27 128 36 186 75 132 155 150 231 208 66 32 7 1 193 32 63 32 127 43 217 223 37 207 61 71 254 78 170 80 224 16 220 255 249 39 81 87 191 213 66 62 239 80 81 255 23 101 240 110 133 128 55 12 222 216 214 179 105 226 110 176 24 51 87 107 34 242 141 133 200 39 116 37 187 245 0 176 194 46 162 212 140 34 250 152 201 68 76 221 127 1 123 22 78 18 109 151 68 139 132 1 145 33 20 160 239 80 183 8 211 203 80 31 11 249 80 224 3 167 225 77 159 255 123 220 172 126 194 47 216 136 189 130 92 161 6 15 75 60 206 33 152 27 127 229 179 192 121 135 199 71 76 166 54 199 110 253 240 216 189 159 200 159 120 26 248 230 60 240 196 143 128 47 191 6 248 34 57 151 252 0 3 139 161 156 83 15 0 75 68 29 165 44 104 7 22 22 225 79 255 60 50 68 138 161 133 81 240 48 32 178 92 222 21 114 89 141 16 115 14 21 11 104 229 95 227 168 113 108 250 236 57 120 197 203 190 129 143 198 255 109 24 88 128 28 182 199 218 7 94 62 176 41 52 191 11 28 125 30 112 197 90 96 235 36 112 113 153 23 158 2 206 74 212 212 131 128 159 253 33 48 243 239 192 167 47 3 254 68 113 174 186 58 243 244 245 35 2 209 3 63 175 30 0 150 250 178 147 150 75 207 68 34 41 3 168 176 136 179 98 0 0 144 75 37 180 152 39 191 252 181 182 32 25 0 132 202 196 231 242 239 57 9 5 78 154 194 151 190 63 141 121 6 19 20 106 150 91 40 80 102 16 187 139 135 181 213 252 216 203 111 61 42 62 13 107 226 219 56 136 63 97 145 198 55 121 60 112 205 183 129 23 125 12 120 215 31 1 223 138 31 158 101 87 64 99 152 192 234 1 96 137 52 0 39 24 216 196 191 10 242 219 127 113 205 88 228 227 244 220 106 26 72 186 180 132 30 166 168 52 249 219 73 245 183 243 157 247 57 22 135 2 127 115 14 126 253 132 47 227 29 202 99 153 244 128 229 16 10 44 214 203 167 133 215 87 7 216 112 181 192 21 207 138 112 233 184 196 11 130 44 29 58 208 21 51 136 99 174 5 254 52 62 153 55 125 8 248 70 252 208 94 118 254 228 176 128 213 3 192 112 47 62 81 250 183 139 134 128 104 145 142 106 205 174 75 129 198 243 210 32 6 114 83 208 245 1 250 117 198 25 139 104 116 254 236 248 41 156 118 219 41 184 248 166 239 226 239 72 40 32 45 161 192 82 129 192 192 188 252 199 38 240 188 205 1 46 91 23 226 210 90 132 19 101 104 198 206 65 174 248 212 79 220 8 220 246 24 112 237 221 192 119 226 135 246 32 47 209 54 8 96 121 0 88 1 12 160 247 48 192 164 5 208 16 128 30 122 11 143 168 0 0 104 70 64 90 184 137 32 108 67 55 12 209 112 160 69 158 67 173 235 142 193 27 62 242 40 30 252 238 222 148 31 232 223 168 17 38 160 61 150 92 66 195 239 203 203 95 179 6 27 94 53 134 243 14 19 184 124 34 194 185 213 8 135 39 70 31 137 225 27 62 7 129 152 86 189 61 6 128 55 145 115 23 145 111 67 58 56 159 7 128 101 40 0 114 162 221 27 3 224 207 194 141 191 130 188 94 108 18 2 109 97 128 48 132 33 21 22 14 80 227 111 169 232 84 253 126 146 21 248 204 217 184 233 132 123 113 171 10 56 52 92 208 188 194 176 66 1 177 88 47 127 219 179 240 236 23 141 225 242 13 192 165 177 209 159 147 26 124 148 138 181 86 76 93 138 117 8 112 194 251 128 151 189 5 248 4 9 228 90 200 167 89 61 0 172 180 53 81 77 183 229 54 47 83 197 56 101 0 21 3 11 208 165 35 13 199 165 160 47 159 38 186 51 2 194 34 8 106 22 16 49 38 208 84 71 157 133 2 155 113 201 77 223 105 135 2 212 107 85 25 35 138 22 121 209 22 237 165 100 219 81 65 7 75 213 251 159 139 203 15 17 216 186 86 224 165 213 16 135 71 9 181 87 158 190 48 88 91 66 73 243 92 224 162 248 230 30 5 185 11 12 4 6 202 2 60 0 44 81 108 58 82 197 145 214 139 202 228 175 232 165 29 161 187 238 44 40 33 4 70 204 55 135 22 33 144 179 12 206 2 198 8 144 52 243 82 212 117 207 137 67 129 159 164 161 64 157 4 29 252 85 66 67 192 34 123 48 120 206 172 184 183 167 103 163 125 118 254 228 104 60 251 133 83 216 122 72 5 151 77 1 23 183 13 94 197 244 182 218 197 220 169 44 91 223 40 12 127 223 167 121 30 6 108 58 6 56 244 199 192 78 2 2 21 116 111 247 234 1 96 133 137 130 230 175 78 56 72 171 48 136 117 180 148 183 210 131 14 192 253 176 112 4 46 84 126 162 130 98 2 0 51 44 20 56 43 14 5 190 146 102 5 154 176 231 27 66 194 49 100 143 102 101 139 233 105 143 100 122 123 215 41 216 124 206 90 188 114 82 226 5 73 154 174 109 240 36 101 154 180 102 75 225 198 206 228 65 33 236 63 23 194 242 59 234 23 211 238 175 69 152 232 127 4 78 253 61 224 17 152 203 132 181 84 235 67 128 21 98 252 210 121 33 184 154 71 169 130 32 13 32 80 69 167 44 216 21 6 132 37 116 0 147 40 24 41 6 16 186 67 129 47 110 193 175 94 114 31 62 0 115 222 65 127 66 42 16 242 220 182 109 74 162 41 166 111 211 251 95 63 2 235 175 63 2 87 172 175 225 252 3 42 184 36 126 219 83 73 28 47 149 209 83 227 212 134 239 252 162 132 249 157 8 117 78 218 134 79 124 177 144 29 192 149 234 83 45 134 1 36 107 19 240 108 116 250 5 230 48 164 205 90 61 0 44 21 8 184 164 155 138 195 235 83 55 197 139 81 233 152 48 105 185 162 67 11 8 152 252 171 109 95 1 174 7 104 97 145 148 10 95 252 44 92 245 141 11 48 122 206 255 198 251 44 220 166 133 124 66 83 150 240 250 70 229 254 75 103 224 121 155 198 113 193 193 53 252 66 204 64 78 202 189 119 105 247 232 165 165 219 32 221 199 17 50 49 120 37 14 166 70 45 217 233 34 198 46 169 241 15 64 43 8 179 179 63 10 243 0 22 12 10 8 60 0 44 209 178 94 20 54 175 47 44 4 152 55 145 86 97 46 11 230 58 0 173 9 144 68 87 112 93 78 154 5 140 176 80 32 100 226 162 90 207 95 143 203 158 120 41 158 253 51 223 192 59 190 181 27 143 170 87 168 171 219 150 65 204 138 28 193 80 219 240 223 122 52 214 95 125 24 206 63 108 4 87 76 4 216 82 19 56 188 148 138 80 20 195 19 142 17 84 179 239 40 53 124 101 204 154 69 4 58 140 32 236 73 70 12 4 34 242 243 193 173 10 236 131 88 37 220 137 96 15 0 203 40 246 207 143 4 115 73 91 128 189 223 223 212 132 170 47 17 27 0 72 98 172 182 6 33 24 152 0 101 26 32 161 64 196 0 96 54 127 209 31 58 138 147 238 59 15 159 120 112 55 62 119 243 247 112 251 125 187 176 77 129 64 67 29 35 232 174 76 232 250 148 119 108 198 81 47 92 143 43 215 87 177 101 178 130 151 114 47 223 135 242 146 61 20 168 248 191 170 94 76 116 232 186 84 144 148 26 179 22 12 91 201 64 199 236 185 34 117 254 52 152 211 223 147 3 206 29 78 103 231 172 232 170 241 34 224 114 119 252 165 52 0 110 224 166 241 26 60 91 64 229 47 157 14 180 45 74 255 93 101 193 166 75 75 3 64 13 221 245 1 186 6 112 62 255 231 35 1 38 206 93 143 95 250 199 45 184 234 135 51 248 135 187 158 196 93 191 249 48 190 173 130 134 6 186 11 91 210 243 116 255 185 120 193 49 227 184 60 54 250 75 219 94 30 37 223 167 237 124 170 243 19 168 248 63 49 86 161 60 183 203 240 83 227 143 1 46 72 234 2 100 22 10 104 143 159 252 94 10 12 138 25 12 35 61 248 29 224 113 194 217 108 215 150 15 1 86 16 8 216 67 128 192 64 199 3 152 75 104 76 12 128 235 0 220 48 34 131 14 96 242 189 210 194 6 232 235 141 48 48 105 145 231 102 171 22 96 205 201 83 248 249 228 184 241 24 60 53 221 196 195 219 27 120 120 119 3 143 111 91 192 163 7 142 96 242 232 49 28 127 64 21 39 174 171 225 249 137 128 183 168 150 23 214 76 149 158 70 109 248 234 243 10 73 226 245 136 80 119 109 204 68 169 208 108 65 202 124 72 144 24 191 6 128 190 248 96 137 207 247 49 224 71 228 204 74 118 120 6 176 210 194 128 53 53 156 99 253 105 133 9 123 2 238 253 3 40 104 208 36 145 43 29 72 197 64 94 177 31 56 46 80 19 19 161 197 169 90 23 216 235 142 70 39 42 56 56 142 223 15 62 120 20 23 24 141 92 246 113 86 77 237 211 74 19 73 141 87 65 175 160 198 175 192 79 40 111 159 124 6 209 234 164 5 83 80 16 196 219 107 195 111 101 140 32 57 146 251 189 10 125 52 107 80 244 183 15 3 223 87 76 169 206 0 128 59 22 15 0 43 68 3 40 254 141 138 73 57 128 57 69 23 128 101 191 225 78 7 74 166 1 180 28 58 128 52 48 0 237 93 37 9 5 120 247 96 160 64 160 57 164 51 201 199 162 213 96 30 203 65 50 229 2 134 247 26 42 227 111 41 160 16 25 197 79 126 150 211 3 116 40 160 140 62 140 131 151 104 65 177 132 94 46 0 202 230 100 57 179 253 2 240 77 21 88 53 28 176 13 15 0 171 97 241 174 63 147 6 192 71 122 69 204 32 116 81 208 124 129 14 224 106 17 118 165 4 193 152 2 213 3 120 47 193 94 21 233 203 1 156 23 94 246 76 67 30 62 116 139 215 7 42 111 46 20 197 23 164 185 73 83 247 118 177 142 50 206 182 6 160 40 126 20 155 95 216 200 140 63 185 237 217 248 73 40 210 246 252 5 231 101 15 176 251 143 129 7 149 188 90 55 240 45 63 15 96 213 113 132 162 49 144 166 217 129 124 179 144 50 221 129 90 180 179 13 13 133 69 3 0 236 173 195 96 225 75 162 17 76 19 255 85 54 85 71 189 122 13 221 181 14 85 116 143 72 55 165 49 5 49 110 237 241 181 209 147 159 129 106 3 90 11 80 138 127 164 188 125 24 155 95 56 159 1 65 47 102 39 116 150 33 200 131 75 153 26 129 191 1 190 132 172 240 103 15 242 243 22 40 151 241 0 176 106 66 1 219 68 120 97 161 231 93 125 109 204 51 54 28 0 208 66 247 12 31 174 3 152 66 1 105 209 44 192 60 47 221 121 104 94 49 129 58 99 30 60 197 200 135 100 87 45 177 125 5 230 50 105 155 196 170 169 190 174 220 131 50 66 242 187 26 32 18 154 47 27 202 227 215 179 163 53 151 121 254 158 132 190 248 185 131 74 230 249 181 241 183 117 132 168 56 85 184 29 216 246 59 192 125 202 248 117 15 0 133 237 16 131 105 172 242 0 176 132 70 47 10 169 46 205 183 219 168 56 55 70 190 229 68 13 197 233 64 106 252 166 76 188 40 184 207 171 18 171 76 195 160 41 201 81 116 202 134 117 193 80 19 221 13 80 85 22 219 7 76 20 117 13 74 229 0 64 74 114 117 21 164 144 204 240 8 205 215 241 125 122 36 94 63 241 246 137 225 207 101 63 235 201 235 39 213 131 53 229 249 21 232 180 11 131 162 114 117 2 239 6 238 84 252 105 143 130 208 38 186 39 46 13 116 52 152 7 128 229 162 3 240 88 214 69 201 121 227 171 54 162 90 193 235 68 204 32 67 216 7 134 74 195 125 19 8 64 209 126 211 126 3 180 0 137 102 254 77 224 71 99 250 10 186 83 161 244 51 75 38 170 241 207 40 12 100 153 106 0 202 227 167 199 130 50 250 249 204 235 71 117 5 16 37 205 75 211 253 212 248 149 247 215 236 162 93 111 80 194 95 255 3 112 239 61 192 191 33 235 0 220 75 188 63 149 111 7 62 159 196 3 192 190 100 1 130 197 253 166 2 32 91 44 110 219 52 164 104 88 104 139 129 128 105 239 0 88 140 223 5 94 60 20 104 34 95 58 236 74 61 154 102 32 152 182 78 55 165 13 35 71 200 66 114 252 218 227 183 233 126 61 51 252 182 215 159 85 128 80 182 97 89 100 198 94 25 81 94 95 211 126 218 31 32 213 235 22 120 255 159 0 143 92 155 245 255 239 138 143 221 232 206 0 216 178 0 30 0 86 2 8 124 233 74 108 182 2 128 73 249 119 205 209 161 20 58 48 132 2 174 190 0 137 252 48 239 214 128 46 41 219 110 120 122 62 144 126 141 176 67 205 109 226 93 215 99 69 53 3 252 119 248 116 99 5 118 218 219 203 121 117 204 41 195 159 201 188 127 81 172 47 57 221 143 13 63 24 205 12 63 168 144 186 131 168 83 29 24 149 168 20 140 223 82 253 53 192 199 149 241 63 173 188 127 157 1 0 247 254 30 0 86 210 154 170 225 128 66 13 192 228 249 101 129 71 54 9 130 65 193 229 161 253 73 195 18 6 44 102 128 151 169 99 49 98 178 149 235 18 150 142 251 38 22 98 250 63 41 85 150 218 248 235 234 80 222 62 154 205 60 126 114 68 5 117 11 146 125 7 9 213 175 140 102 0 208 246 252 74 236 75 68 71 221 57 24 181 202 233 8 55 1 127 246 56 240 100 124 119 7 137 253 23 212 209 28 166 247 247 0 48 60 218 159 51 133 177 74 186 177 166 221 248 3 11 16 184 74 71 5 139 161 169 24 88 47 208 1 26 196 59 82 122 30 192 220 134 220 107 45 190 48 196 236 129 1 0 56 24 244 235 227 120 143 66 83 125 198 133 142 225 75 101 248 250 54 161 254 165 71 150 170 178 224 196 227 87 198 148 247 215 21 135 164 193 89 23 17 233 6 162 34 234 255 151 192 103 190 144 149 252 238 80 177 255 28 49 126 202 213 66 15 0 43 23 12 42 135 77 24 246 5 52 49 128 160 36 19 144 48 119 7 214 8 11 40 154 18 100 235 14 132 193 40 203 240 226 178 106 136 75 96 236 103 89 182 52 75 12 31 202 240 211 99 54 59 210 88 191 105 96 24 14 144 75 189 253 136 50 252 68 236 171 117 148 254 118 142 63 234 46 36 114 173 7 227 127 239 5 190 22 223 125 70 29 179 6 207 207 107 54 253 214 96 43 68 244 3 49 203 224 128 81 92 106 252 250 184 10 206 69 65 233 48 30 105 161 255 53 20 119 137 55 152 193 80 49 112 49 99 38 6 5 22 189 24 63 223 202 76 155 208 124 102 240 80 134 31 205 100 26 128 243 188 240 247 24 159 211 234 152 50 126 5 174 1 49 126 221 39 128 176 99 252 97 163 184 112 40 201 247 191 28 248 164 242 250 137 247 159 86 188 173 78 248 75 107 152 158 223 3 192 112 65 160 109 206 223 124 25 206 175 5 164 181 149 3 0 47 124 1 236 105 64 105 0 6 202 2 104 201 172 171 145 52 66 62 193 212 42 113 137 201 30 152 193 98 129 67 150 248 125 190 105 73 171 35 157 37 148 63 5 128 25 69 251 103 149 22 32 75 62 55 148 192 167 133 62 93 213 87 33 77 61 164 64 87 3 65 98 248 105 150 33 114 139 126 177 241 127 24 153 218 255 140 186 157 35 180 191 193 184 153 7 128 21 230 253 115 90 248 73 235 113 139 245 130 55 149 181 154 42 220 76 5 57 48 176 0 10 2 101 119 13 42 35 49 201 1 25 112 63 221 127 28 112 104 106 177 73 128 140 120 126 234 253 19 80 224 6 217 30 232 97 120 137 84 213 159 136 111 21 0 164 57 126 86 164 213 158 6 20 118 102 3 36 198 175 139 138 92 235 230 76 244 123 10 153 226 191 75 25 127 3 230 170 191 161 237 10 236 1 96 56 194 95 78 146 139 189 255 11 199 43 120 129 245 47 104 25 108 5 246 17 93 69 67 47 248 124 0 30 6 152 12 180 129 124 99 80 175 173 38 195 248 189 34 6 66 187 25 185 225 235 178 227 57 101 248 115 5 169 61 195 235 5 227 202 240 71 73 85 31 29 189 174 231 8 180 58 109 197 145 110 19 86 77 67 69 162 223 61 153 232 183 93 209 255 25 116 218 126 121 231 31 133 107 120 0 88 57 113 127 74 236 111 61 29 7 158 122 96 186 237 179 121 233 198 25 218 229 70 69 192 50 41 64 94 87 31 144 231 53 237 26 68 87 203 64 255 77 3 187 101 129 48 40 135 12 14 166 188 190 54 149 58 49 124 109 252 180 9 73 150 3 150 212 235 79 118 140 63 53 124 42 244 161 19 231 67 205 14 72 61 127 179 211 60 20 22 116 64 50 209 207 100 252 182 237 214 225 1 96 249 83 126 238 135 107 183 158 137 15 84 5 142 176 198 204 227 202 80 41 101 55 165 225 128 226 116 27 173 171 167 199 66 9 143 26 25 34 206 74 73 227 239 197 192 251 249 123 174 240 147 244 94 219 240 231 137 241 55 58 254 178 139 222 91 54 68 17 49 221 15 198 178 67 27 63 170 164 143 95 43 252 66 101 15 84 8 16 169 201 64 186 121 72 182 10 69 191 79 41 202 79 69 191 121 116 151 251 14 61 238 247 0 48 24 111 79 77 149 206 163 169 237 253 21 124 112 77 85 41 255 38 163 72 140 94 79 124 167 157 112 129 69 248 43 3 2 188 22 223 164 3 240 189 122 34 118 201 217 46 59 233 184 237 71 28 44 195 32 248 198 164 11 204 235 171 88 63 53 252 58 74 231 244 219 64 144 148 241 78 101 223 131 24 83 30 191 70 4 63 194 62 218 194 158 32 169 62 213 64 212 110 23 182 172 70 71 244 211 149 126 123 8 92 217 202 125 129 37 218 136 204 3 64 121 131 55 197 251 188 20 103 100 239 53 248 192 84 21 191 104 253 10 147 223 158 48 48 128 160 68 220 111 18 1 109 5 65 174 48 64 118 174 206 28 3 224 97 128 236 209 147 247 82 75 224 2 38 83 172 95 103 94 127 158 152 145 109 88 150 229 28 166 94 127 92 25 254 88 246 29 8 214 204 163 195 36 73 226 125 109 252 58 222 79 60 127 84 16 247 223 152 23 253 116 155 175 139 250 47 229 134 196 30 0 74 24 189 109 123 170 92 22 254 166 211 176 241 221 103 227 253 169 231 119 125 125 227 10 0 52 3 168 26 4 64 233 96 1 46 112 48 13 11 117 233 0 92 118 210 151 96 80 50 102 239 21 32 138 232 126 145 215 159 35 0 48 103 151 199 114 111 129 154 147 142 245 199 179 239 65 168 2 31 109 252 105 154 79 253 141 22 16 233 252 127 169 213 126 213 76 148 22 21 57 36 186 143 118 42 253 158 118 136 126 188 24 91 46 229 197 94 245 134 94 232 237 77 219 117 230 140 255 59 191 136 43 79 88 143 223 201 197 252 166 43 50 49 248 53 10 0 52 253 167 213 123 189 210 127 211 187 164 153 128 106 193 223 53 97 223 59 208 21 62 20 81 127 89 210 219 243 230 29 218 167 208 32 166 66 5 190 57 245 190 123 24 150 157 14 252 76 226 251 53 217 121 23 138 125 9 213 204 195 167 247 128 26 191 36 211 130 8 237 111 205 186 171 253 18 209 239 119 242 149 126 51 200 23 251 52 247 133 232 183 191 3 64 145 119 55 109 209 65 163 236 118 188 255 177 23 227 232 45 135 224 252 163 38 241 171 237 237 169 108 23 162 80 6 63 169 14 26 255 87 145 223 229 23 61 134 2 124 59 47 58 153 167 168 42 48 36 126 40 114 144 208 162 178 217 178 76 192 244 60 212 240 181 215 111 24 68 62 58 33 175 72 94 160 33 64 98 224 147 202 227 171 243 158 120 125 56 140 63 61 181 33 153 230 211 34 211 130 230 179 14 66 23 245 119 136 126 11 140 246 23 169 47 30 0 134 232 229 109 59 241 1 221 229 57 169 209 127 255 85 184 226 192 49 156 63 85 195 150 177 10 78 44 69 218 2 229 241 233 49 166 98 244 17 228 247 123 237 165 19 207 86 17 72 229 200 17 2 0 182 231 92 64 126 84 152 110 223 165 233 72 151 183 237 167 161 199 212 188 211 36 230 65 189 254 130 50 254 30 167 13 167 163 192 198 179 120 63 241 244 105 232 53 170 232 190 74 191 182 135 118 242 207 25 170 83 166 197 190 70 222 243 39 131 67 108 212 223 32 250 233 254 126 222 228 179 207 226 254 213 14 0 46 47 111 58 120 47 94 219 232 191 124 21 54 111 58 0 231 111 28 197 101 19 53 156 219 83 254 91 27 224 24 139 249 199 136 248 87 113 196 219 54 111 239 26 219 197 118 195 105 51 129 150 227 125 47 32 159 132 226 58 64 63 76 0 14 97 206 208 171 159 75 237 205 51 202 223 107 253 190 202 178 164 222 126 188 115 206 133 154 82 36 20 235 210 94 191 189 101 155 46 235 213 163 193 35 18 243 47 100 99 194 52 0 184 10 140 136 232 183 3 157 50 95 234 253 57 245 199 190 50 254 213 2 0 101 69 59 147 193 231 38 208 189 233 52 172 123 211 169 184 124 195 40 206 91 55 130 75 2 129 181 61 41 216 186 20 119 84 29 218 203 211 251 180 94 95 192 62 147 223 102 244 54 77 192 84 16 164 71 115 21 141 11 231 35 195 35 131 24 216 11 19 144 22 69 158 231 244 169 215 159 103 2 223 124 129 128 105 187 18 214 40 195 215 10 255 72 231 60 136 10 51 126 42 64 42 207 47 85 24 64 103 5 182 141 127 175 155 250 51 209 239 25 34 250 45 56 68 191 104 95 26 79 117 21 26 189 169 185 214 182 133 68 229 190 95 192 150 99 15 192 21 83 85 188 96 188 170 104 125 47 213 109 188 6 127 140 128 64 149 92 128 124 182 189 40 160 245 174 120 223 246 55 60 29 24 144 48 32 116 196 237 117 101 56 218 56 245 123 148 61 8 121 69 34 31 31 71 198 115 250 218 235 219 82 123 69 126 178 70 66 172 209 78 122 79 159 127 65 194 35 161 207 91 148 55 191 118 153 175 22 252 234 153 241 39 148 191 57 157 129 64 129 232 247 117 216 43 253 150 133 232 183 82 1 160 95 47 207 27 110 171 239 191 8 207 190 252 104 92 22 123 249 173 235 70 241 146 194 139 219 102 244 148 98 87 153 240 54 66 254 95 49 24 190 105 4 119 89 47 95 6 4 2 150 9 40 218 61 216 52 126 66 150 204 6 160 132 200 23 162 187 107 143 151 240 106 175 223 207 126 123 227 10 192 38 149 241 143 146 239 129 110 23 38 28 108 134 238 11 208 80 98 95 93 197 252 177 241 183 102 236 113 191 18 253 62 173 12 63 1 128 189 228 19 186 202 124 61 0 12 217 203 87 174 61 21 235 95 127 10 206 59 98 10 151 197 180 254 220 180 53 183 172 103 227 30 134 26 58 223 151 143 199 221 52 31 111 218 200 162 204 134 28 174 184 223 4 6 1 17 240 120 101 160 171 71 221 52 31 32 52 124 3 69 158 95 50 145 47 34 164 183 97 136 245 41 221 111 160 124 183 160 36 223 73 98 252 83 232 46 174 34 77 86 130 11 154 81 247 107 233 190 254 72 121 254 212 251 207 100 71 107 79 167 12 216 160 161 82 209 111 135 65 244 163 77 215 75 94 233 183 146 0 96 96 94 254 174 159 197 230 179 14 198 229 7 142 227 165 163 137 90 223 171 135 151 204 139 210 142 189 26 186 55 228 160 165 188 244 49 211 120 235 34 161 15 14 3 183 61 22 25 24 10 21 3 71 148 146 110 91 161 193 79 133 200 143 234 46 155 247 231 101 188 52 214 231 149 124 51 234 177 176 132 177 243 207 60 134 78 90 117 60 175 242 75 245 29 8 14 184 22 210 77 43 252 210 253 1 84 145 79 226 245 155 123 221 93 126 239 5 238 120 60 235 238 123 26 249 222 254 5 152 135 123 236 243 184 127 185 0 128 107 250 125 79 94 254 131 47 193 209 47 58 2 91 15 157 192 101 107 98 47 95 17 169 79 40 111 240 250 103 21 135 23 231 134 93 101 134 102 218 182 42 176 124 218 94 83 126 189 158 85 190 163 14 47 11 54 189 230 188 162 209 60 29 24 160 156 55 142 208 221 188 67 91 118 235 6 227 239 103 35 81 147 215 31 39 98 107 208 73 239 229 100 54 233 120 223 161 218 31 64 109 14 18 170 49 225 154 1 216 62 255 255 0 238 254 43 224 187 202 243 239 66 119 153 239 178 19 253 150 3 0 136 65 120 249 111 191 6 151 31 186 6 91 215 143 226 165 181 10 163 245 69 241 41 12 49 243 40 137 221 77 6 31 48 67 183 13 243 160 155 124 20 157 129 162 152 191 215 101 219 52 196 86 22 76 95 79 251 42 90 152 195 199 148 73 71 6 128 199 250 77 162 238 83 161 207 85 208 83 84 237 72 99 253 241 142 218 159 43 170 50 121 125 199 249 106 123 254 134 50 126 101 248 73 220 223 220 109 143 251 31 138 255 189 21 184 87 197 252 59 8 159 177 141 245 90 22 162 223 190 4 0 83 213 29 223 19 199 100 78 169 185 253 221 85 120 222 230 3 177 53 166 245 151 78 214 112 142 149 142 150 249 63 207 149 115 209 174 102 48 244 138 229 221 21 77 243 45 123 86 250 137 249 109 33 4 63 163 213 130 111 90 50 175 61 202 194 0 91 186 82 18 193 176 9 115 25 47 87 248 155 61 196 248 122 141 16 133 95 87 82 78 16 175 79 187 31 133 195 235 243 151 209 27 134 144 141 66 82 213 127 111 22 247 219 102 251 37 162 223 175 167 251 120 182 139 125 166 209 157 239 95 150 162 223 82 3 128 105 127 23 78 235 185 41 165 95 229 13 167 97 195 155 78 199 229 27 198 112 222 1 99 184 196 74 235 203 24 62 111 148 161 170 124 141 221 186 232 188 107 132 183 43 168 145 14 175 223 107 204 95 134 45 152 206 236 72 193 185 139 144 175 10 108 160 123 19 80 238 245 249 120 174 38 49 252 5 34 240 233 121 183 189 166 246 116 94 95 31 218 227 143 51 198 86 101 44 165 136 100 43 207 47 53 245 39 198 31 238 201 188 127 114 223 162 151 214 111 0 110 127 44 223 225 55 71 62 121 19 75 48 206 123 37 0 128 128 125 104 6 175 173 79 143 251 95 137 173 199 174 195 21 177 135 223 50 94 195 9 86 197 185 236 69 196 13 190 90 34 166 55 121 123 1 243 192 142 34 47 236 218 245 166 151 174 185 162 77 59 109 103 222 164 7 184 116 0 173 210 143 146 204 1 21 69 5 19 211 248 108 62 74 249 105 243 78 171 15 189 163 166 188 189 54 126 237 245 245 44 5 202 216 2 34 134 150 121 13 22 247 39 35 196 211 205 66 84 186 175 181 155 52 2 177 63 125 15 112 199 55 211 221 188 140 162 95 131 5 82 203 74 241 95 42 0 16 14 63 148 139 166 63 114 9 142 126 209 145 184 34 246 240 91 215 141 224 226 210 158 193 165 14 155 114 224 85 135 160 231 242 246 189 80 123 89 66 226 180 1 70 175 67 52 202 48 33 211 123 47 42 59 110 48 239 31 144 171 132 3 128 97 19 142 46 195 95 232 81 191 208 239 115 130 24 63 143 245 249 12 133 192 193 172 44 198 47 35 178 65 104 189 179 75 80 184 151 24 63 72 99 81 94 244 251 14 58 27 121 204 50 218 79 149 144 101 41 250 13 27 0 120 39 29 223 186 178 250 253 95 198 149 135 77 226 138 137 216 203 91 199 101 247 106 244 182 180 92 197 226 237 43 5 20 191 159 88 190 151 223 119 21 253 20 1 130 236 241 125 152 216 139 237 249 66 162 218 211 106 64 222 28 196 197 62 90 209 87 166 160 71 58 188 254 26 22 235 107 227 215 241 62 175 173 112 165 37 13 117 12 82 213 38 200 133 142 241 39 222 63 137 249 211 124 127 195 204 58 147 74 63 131 232 103 234 240 91 214 162 223 48 1 192 70 60 171 239 120 62 54 198 241 252 117 235 71 241 202 156 209 203 69 190 82 80 64 235 43 6 229 190 194 130 15 46 67 150 53 102 137 254 54 209 112 109 124 41 28 158 94 148 208 62 164 229 253 209 111 164 136 77 44 16 106 13 18 231 211 173 189 104 61 63 47 229 109 244 0 88 244 115 39 70 174 83 123 170 111 223 40 244 241 20 95 153 243 194 0 78 42 0 208 59 3 39 162 95 154 242 155 237 140 12 163 123 2 38 162 223 141 192 231 148 232 247 140 18 253 230 13 162 223 80 247 241 91 206 0 192 147 79 169 105 254 214 57 56 240 250 83 113 253 198 113 188 62 109 172 25 196 171 112 94 97 243 238 38 111 95 68 245 81 194 139 148 5 5 9 119 51 242 98 183 196 234 5 68 121 0 22 22 232 0 117 2 0 33 242 243 5 169 247 167 74 127 63 5 61 250 10 92 67 60 191 158 152 52 202 188 126 21 238 194 164 18 113 191 30 236 209 174 244 83 113 127 26 251 239 37 198 79 222 243 66 94 244 163 149 126 218 248 77 162 31 86 130 241 15 10 0 76 51 241 107 255 252 42 92 120 242 129 120 127 69 224 72 39 125 239 197 219 187 182 196 94 108 92 191 88 131 31 132 241 14 106 156 118 100 137 139 171 37 222 111 168 46 235 0 249 146 224 128 0 0 85 251 235 112 215 23 184 188 254 56 137 243 215 24 20 254 17 246 189 138 62 53 20 45 250 17 234 159 108 21 150 28 105 220 191 139 77 245 37 64 240 222 76 244 123 20 249 141 60 40 237 95 246 197 62 195 4 0 193 52 247 180 66 254 153 215 227 29 27 198 212 142 56 46 35 145 37 84 4 147 241 155 42 5 2 216 231 250 216 58 212 132 133 150 23 181 232 246 194 2 128 114 27 97 14 106 214 62 221 142 155 70 161 129 67 8 228 207 221 36 96 80 35 231 50 98 58 65 179 192 223 185 98 253 9 66 247 73 223 126 87 122 175 98 9 207 202 10 167 178 99 252 96 249 254 112 47 137 251 41 245 87 198 255 25 217 174 244 163 51 253 104 147 207 178 236 240 219 23 12 160 189 59 221 204 181 248 240 154 26 94 209 147 66 206 99 85 83 93 160 43 37 39 13 71 84 16 75 211 139 58 176 188 23 219 99 194 17 211 139 2 175 87 166 166 158 190 207 94 106 30 184 225 71 236 156 216 84 115 211 235 47 16 170 111 138 255 123 241 113 20 132 198 136 209 107 170 63 110 80 248 77 94 191 200 208 77 51 9 232 24 111 181 85 120 186 61 248 180 42 246 49 196 253 201 205 67 18 15 221 146 137 126 59 208 233 237 231 29 126 251 100 150 255 114 1 128 46 234 255 212 53 120 227 154 106 108 252 69 116 90 58 212 106 56 140 204 116 177 219 46 96 91 241 78 96 16 254 68 143 134 222 235 239 218 52 0 155 136 87 22 36 248 121 224 181 248 180 62 31 6 53 191 8 8 180 208 39 80 126 15 0 219 229 63 194 60 62 245 250 124 102 66 0 119 3 85 47 45 201 148 250 107 227 87 212 63 57 120 190 63 1 129 237 18 219 222 44 219 149 126 186 189 183 110 240 252 173 149 108 252 131 10 1 82 146 246 205 95 192 233 7 141 39 33 83 73 207 47 44 134 111 242 216 252 194 229 183 17 185 96 104 13 123 197 64 127 77 3 193 164 129 30 7 142 208 68 244 0 14 210 1 102 210 18 26 20 49 1 233 96 62 33 204 83 126 66 184 231 229 23 49 130 94 141 158 122 125 61 16 149 143 68 31 69 247 176 20 87 186 82 88 206 149 180 159 11 169 124 181 84 212 63 53 254 233 172 226 79 182 136 241 171 191 105 72 212 175 15 113 251 99 178 171 210 143 3 192 138 20 253 6 5 0 220 28 170 167 108 196 239 21 22 99 200 130 152 217 116 27 57 180 1 219 132 63 56 188 188 75 12 164 191 35 217 45 53 232 160 4 107 9 88 168 1 71 24 32 74 24 166 40 48 74 74 251 121 121 46 143 84 151 234 82 173 17 175 63 70 40 63 157 214 83 117 120 125 233 0 76 20 248 220 176 51 217 167 109 252 202 251 183 118 102 41 192 46 209 47 62 222 29 226 142 127 146 109 209 47 81 252 117 135 223 2 57 155 43 86 244 27 52 3 72 191 182 187 175 196 209 163 21 108 233 41 238 183 209 56 81 66 110 180 25 173 41 56 49 85 194 153 12 29 5 30 94 88 12 91 148 124 127 112 120 48 91 19 80 81 76 109 11 7 76 67 55 105 166 186 87 177 177 215 199 4 139 245 181 231 167 57 253 17 228 51 57 69 70 95 116 30 76 231 160 161 26 125 8 245 79 42 253 18 48 144 92 244 139 143 59 67 220 115 71 152 19 253 102 87 155 232 55 12 13 32 56 231 16 188 186 47 239 223 11 48 148 21 154 224 80 241 69 1 143 41 2 16 88 192 38 40 193 100 96 240 228 210 16 38 8 203 227 54 0 49 136 94 214 58 125 91 174 126 144 64 80 65 126 252 57 29 131 110 106 224 17 37 190 75 233 184 78 44 2 112 219 251 207 171 99 54 163 253 209 30 178 213 23 49 254 111 69 120 232 45 205 118 165 223 51 232 148 249 174 42 209 111 16 0 208 53 91 127 162 130 243 75 25 35 122 0 6 44 226 239 164 67 37 47 163 166 187 126 198 211 139 60 44 224 94 44 40 121 46 4 123 46 19 8 4 200 15 233 176 205 235 139 96 158 187 63 76 239 15 66 239 39 28 66 159 109 43 244 162 22 104 83 38 37 114 235 32 105 173 255 2 137 251 119 103 35 191 120 186 111 123 132 109 111 92 192 93 200 111 228 65 155 124 90 171 69 244 27 180 6 144 30 49 253 63 185 48 5 134 30 64 161 95 144 232 97 187 168 190 7 136 216 178 15 97 1 128 148 189 111 171 22 164 243 254 96 208 26 108 239 179 168 33 117 16 143 233 118 227 113 116 55 239 140 163 51 115 65 151 102 139 146 207 107 243 252 37 189 127 98 186 114 78 133 0 123 51 234 207 61 127 114 251 71 77 220 253 152 76 199 122 237 32 138 63 141 251 27 171 69 244 27 116 8 144 222 198 223 255 218 82 113 63 134 112 234 122 109 156 89 44 24 244 178 239 93 63 247 185 161 146 153 245 61 61 199 48 61 189 73 236 27 71 113 122 175 2 247 104 180 94 66 71 27 8 40 51 109 15 249 152 87 12 96 143 193 248 227 245 253 16 63 184 189 137 239 43 239 175 141 127 193 34 250 201 149 46 250 13 90 4 204 88 64 217 47 79 12 217 224 23 203 2 250 53 246 97 0 65 175 159 117 80 213 133 189 158 95 62 14 189 198 132 62 83 3 143 235 185 109 26 136 233 124 71 22 6 160 204 86 106 6 176 87 233 1 188 209 39 190 189 163 153 110 224 57 173 140 127 158 9 126 166 252 137 196 42 90 193 34 205 48 189 157 111 225 7 206 28 51 28 148 173 215 163 232 121 251 213 3 228 50 54 254 65 26 250 32 128 144 211 127 58 57 153 15 83 53 149 242 246 90 4 37 75 92 71 232 208 255 92 252 95 55 168 254 234 57 230 37 234 183 55 240 48 178 42 191 57 34 147 154 10 125 60 0 24 112 58 253 255 108 2 0 174 47 168 103 85 161 196 209 143 16 136 30 192 96 144 198 63 40 198 179 88 67 31 180 247 7 204 229 218 166 10 203 50 155 136 150 1 126 87 234 143 136 159 185 44 192 66 158 254 235 251 223 11 211 235 182 142 78 153 47 157 101 172 61 191 92 109 113 255 32 24 64 142 136 61 53 135 251 74 123 104 211 151 106 27 6 110 235 254 171 50 138 73 99 205 26 163 165 188 169 132 118 9 242 215 116 109 118 177 24 227 95 106 234 191 88 239 143 1 2 141 40 96 106 101 29 5 47 118 146 118 16 144 58 11 160 71 126 69 196 248 209 185 255 84 152 166 251 120 172 207 91 123 87 173 241 15 34 4 72 239 255 183 127 193 61 97 148 198 81 189 121 126 27 40 152 128 192 54 233 167 70 64 96 132 8 80 116 128 164 110 55 165 125 231 19 236 254 4 186 7 80 242 177 211 60 135 93 53 120 64 12 208 248 251 245 248 75 25 38 208 148 35 39 203 145 227 122 40 122 76 150 4 13 27 11 208 101 190 44 246 167 247 191 30 226 223 208 189 123 79 232 248 20 171 110 45 70 4 108 103 164 255 242 7 120 250 150 83 113 199 166 3 112 93 225 69 211 79 145 144 173 205 87 192 92 150 91 84 161 87 36 22 242 26 124 67 172 105 188 56 35 139 183 10 217 239 71 228 53 66 131 174 44 177 244 236 160 95 32 160 189 7 116 215 251 38 58 123 18 186 230 17 150 41 242 1 236 157 159 145 225 59 136 212 67 45 116 181 249 210 251 162 51 208 188 9 115 145 207 170 246 254 139 5 0 122 169 55 143 255 52 254 96 239 127 194 197 83 53 60 215 106 232 101 226 118 83 107 112 96 49 102 91 79 64 224 208 13 92 29 135 101 54 187 180 137 85 252 82 161 134 93 22 72 66 242 183 174 11 93 18 195 226 126 106 177 236 160 87 160 208 3 68 76 123 33 54 97 238 195 232 245 245 249 121 118 49 0 234 158 132 157 254 39 183 66 230 218 164 34 3 76 175 250 85 93 164 241 75 130 154 179 183 255 16 111 127 253 137 248 120 45 136 73 116 191 41 64 142 254 166 122 253 128 1 6 15 23 138 30 115 181 0 219 60 83 153 78 61 151 64 101 3 17 254 88 104 185 12 77 183 212 240 67 3 128 208 61 250 34 3 203 24 148 94 208 128 125 118 3 253 219 106 137 160 83 192 190 119 2 28 128 200 222 155 96 3 67 165 161 0 200 194 106 87 45 221 31 36 0 240 203 63 85 79 111 248 26 190 49 221 196 27 110 126 30 62 156 130 64 175 40 111 227 23 92 20 164 115 234 35 226 93 36 3 5 219 196 223 178 128 32 11 66 153 50 10 53 122 100 14 46 166 96 186 229 113 55 37 178 45 66 110 245 16 43 137 225 232 5 243 176 151 244 210 207 85 67 247 76 2 81 32 160 22 197 255 145 69 67 170 170 205 66 13 244 95 202 46 195 23 216 15 215 98 25 64 68 34 217 228 152 127 251 55 112 127 51 196 117 215 159 140 119 109 24 197 209 3 43 254 9 145 223 250 154 214 197 87 10 12 211 20 82 184 82 86 182 185 3 182 134 157 126 24 130 233 130 143 74 128 132 73 244 50 137 113 77 228 59 2 5 241 214 101 43 6 123 13 19 230 97 30 80 194 9 53 103 2 101 118 70 54 209 127 139 200 40 180 241 39 199 136 10 5 12 12 96 179 192 17 6 49 220 54 38 214 3 128 67 12 20 228 114 219 251 159 191 137 175 255 253 99 120 195 159 108 197 27 207 56 16 87 58 233 94 47 23 157 100 175 168 179 1 250 66 211 115 236 43 14 111 205 187 250 202 238 237 103 27 242 81 180 157 215 160 210 131 178 164 250 173 41 127 141 8 113 194 16 176 245 43 34 22 253 124 30 238 242 25 125 203 11 132 108 233 87 147 248 23 21 196 255 234 185 147 93 130 197 152 218 45 184 209 205 0 142 145 56 12 89 110 199 182 43 132 240 0 80 158 9 180 200 137 155 190 239 41 252 219 153 127 131 223 254 221 115 240 181 95 58 14 87 31 177 6 39 246 37 254 184 212 7 253 170 188 70 32 98 186 1 5 5 1 123 45 130 40 105 252 174 25 130 18 229 203 94 203 2 158 235 150 103 27 72 47 124 46 76 210 231 170 170 128 161 172 161 11 11 179 114 253 125 242 252 211 200 87 209 243 163 134 252 220 191 162 97 169 182 212 34 251 127 226 253 165 80 198 95 83 44 96 60 43 9 230 12 224 24 129 227 208 169 34 225 219 197 160 64 34 94 21 75 72 217 219 231 18 66 152 204 131 110 61 161 11 66 117 127 216 186 248 216 248 238 179 112 254 235 54 225 85 49 16 156 208 23 174 150 41 56 225 219 127 241 125 3 232 108 249 170 225 43 183 165 171 202 110 24 34 250 20 62 109 151 88 17 123 48 53 194 208 137 64 116 199 58 189 107 207 172 186 45 99 200 188 111 63 100 186 66 17 115 9 212 21 160 183 249 26 35 7 31 10 18 148 84 255 93 183 10 252 210 226 31 53 246 171 181 35 254 248 79 196 167 33 62 194 70 103 83 208 40 204 50 4 239 13 113 219 159 203 116 14 192 83 234 236 204 160 179 211 65 195 144 37 88 182 171 87 91 30 20 0 240 8 219 84 175 151 124 253 201 190 47 235 127 246 217 56 254 109 167 226 170 147 54 224 172 117 53 108 24 204 39 55 188 19 90 159 238 2 133 138 5 251 3 3 229 31 134 241 247 219 49 105 18 199 40 3 48 237 212 59 135 78 213 123 209 150 90 122 19 78 58 177 71 50 65 113 1 197 221 136 64 190 16 107 156 128 0 157 253 79 65 216 213 248 83 2 0 210 78 192 57 53 249 119 103 124 42 182 199 111 245 167 241 237 46 98 252 201 109 252 251 143 133 248 183 11 128 91 227 191 140 33 34 29 1 166 183 252 210 77 65 124 6 192 170 2 128 65 237 12 68 71 115 134 134 200 53 84 39 116 230 239 126 130 93 241 145 180 95 30 112 219 185 120 225 69 135 225 156 19 15 192 233 163 149 244 210 88 60 19 224 187 215 208 114 224 26 139 145 171 48 143 205 14 44 244 30 139 52 234 94 126 167 76 191 3 23 206 104 187 45 21 72 5 220 41 77 126 95 207 242 171 177 8 89 18 250 174 67 140 186 195 52 244 99 115 142 80 64 63 103 149 189 87 215 224 143 168 56 11 144 134 0 241 115 6 163 241 17 131 77 101 50 219 246 59 106 229 195 128 35 128 227 222 0 156 253 97 224 75 138 1 104 245 196 213 209 224 67 0 199 37 25 48 153 199 84 184 59 65 252 66 194 12 166 62 114 1 94 186 229 96 156 125 252 58 156 54 16 38 0 38 246 209 87 231 183 21 152 75 124 3 216 71 135 247 19 34 244 3 38 69 113 186 201 91 210 93 123 231 9 253 215 77 175 11 14 227 215 223 14 165 234 212 48 117 181 95 131 48 139 89 152 183 0 231 64 51 130 124 57 182 126 13 58 29 56 48 0 153 44 233 253 137 46 164 89 64 186 239 95 236 249 155 79 199 111 247 201 248 109 239 200 64 64 51 128 116 18 112 124 134 126 6 184 246 71 192 143 208 25 4 74 195 128 21 193 2 246 101 8 0 139 156 38 24 16 112 115 27 33 151 65 10 6 39 29 128 67 110 222 140 45 87 30 133 75 15 26 111 167 105 122 103 2 182 240 128 54 10 241 198 33 254 14 233 197 88 129 189 34 177 76 136 176 88 227 47 210 8 56 223 106 34 191 93 247 52 57 90 14 0 208 49 59 221 172 163 202 12 146 62 127 29 249 102 218 34 118 81 81 207 63 65 220 0 31 32 66 207 187 73 252 179 25 62 185 159 182 3 207 171 253 255 246 196 111 247 153 236 168 199 68 191 57 173 180 0 18 213 255 24 248 246 75 128 119 40 45 96 47 58 163 192 233 60 192 101 93 40 180 92 0 128 94 234 166 18 28 147 28 167 205 144 182 238 76 94 126 36 142 125 221 38 188 224 146 195 113 241 218 26 54 14 44 68 128 1 8 56 32 240 210 86 170 88 187 88 129 24 176 241 151 249 108 210 194 0 244 198 157 51 196 251 79 195 61 145 121 45 49 208 81 38 212 233 69 247 29 208 35 52 102 213 115 215 75 100 11 4 186 27 179 76 219 130 5 125 104 0 132 5 68 13 53 13 72 77 3 110 198 222 127 65 49 129 228 103 252 210 255 8 240 71 239 1 254 14 217 84 96 202 2 22 96 110 15 246 0 208 35 27 48 237 232 199 183 246 212 145 231 40 185 76 38 175 57 30 167 188 246 185 184 232 148 13 56 35 39 30 202 69 130 66 128 252 52 27 62 220 162 234 200 26 148 213 11 122 17 4 139 166 27 163 68 182 160 73 140 83 11 127 123 137 95 179 253 221 152 2 0 125 214 71 153 72 199 107 63 155 196 60 180 185 104 29 61 44 208 27 232 232 240 73 228 199 137 141 24 52 1 19 11 112 129 128 222 14 76 141 4 79 182 1 75 64 64 3 64 99 119 247 121 76 66 129 159 5 222 240 67 32 254 215 222 16 100 30 230 169 192 210 3 64 127 64 192 153 1 7 4 19 24 232 89 179 201 165 50 117 219 243 113 193 69 135 225 249 39 174 115 136 135 189 206 10 212 52 159 183 254 114 17 145 167 20 77 96 80 198 248 77 179 240 202 110 62 234 2 1 157 6 92 32 6 169 61 255 46 216 211 119 129 62 187 234 24 39 180 156 50 0 186 73 40 7 129 57 162 53 204 160 179 201 168 75 27 24 81 175 71 219 178 71 152 38 192 193 167 68 8 160 65 42 73 9 38 32 144 76 5 110 238 206 194 128 70 18 10 60 153 253 140 47 21 10 220 170 66 129 105 116 246 6 160 131 66 150 101 40 176 156 1 192 5 4 48 72 110 85 3 32 84 137 94 144 92 38 83 39 31 128 131 111 62 5 231 109 61 24 103 111 90 91 32 30 150 5 4 193 160 135 222 86 13 226 97 96 0 4 81 210 248 135 33 6 70 76 160 211 222 127 143 186 181 25 100 242 153 214 41 99 164 34 93 13 221 99 188 249 222 3 13 98 34 179 236 117 27 40 174 114 172 118 51 1 73 206 185 168 162 123 18 84 84 2 12 162 206 166 160 41 11 72 64 96 103 6 0 11 59 178 91 211 249 252 44 240 103 191 1 124 154 132 2 58 45 184 64 160 111 217 133 2 43 1 0 56 16 184 244 2 42 191 85 152 70 175 71 79 182 203 76 18 241 240 183 79 199 197 47 60 4 231 31 52 166 196 67 217 7 32 72 67 120 64 105 233 40 242 245 4 182 218 130 192 17 14 200 130 159 1 197 73 39 155 71 213 6 89 39 116 60 49 254 157 234 242 181 253 237 164 162 255 26 0 52 212 218 134 122 82 67 163 154 195 2 209 29 102 201 81 52 227 32 232 128 128 28 35 194 32 57 191 162 226 0 1 219 125 85 24 148 128 64 194 2 146 172 64 82 15 176 144 48 129 216 188 91 179 221 167 54 9 5 174 7 110 190 55 102 3 36 43 160 63 221 190 218 104 109 85 1 128 139 21 216 192 192 166 25 232 16 161 157 86 188 252 8 28 243 230 19 241 226 115 15 194 214 46 241 176 159 169 193 1 51 254 49 116 79 35 50 137 135 21 152 51 201 162 68 56 96 10 15 138 222 51 165 255 154 142 239 85 151 240 46 216 103 6 84 148 225 31 64 4 192 113 198 116 108 96 197 235 46 26 68 24 212 64 160 69 200 176 32 148 17 202 251 199 231 87 78 144 111 86 177 1 161 222 139 232 17 4 82 22 176 160 88 192 76 166 7 36 26 64 202 4 182 171 17 98 108 109 3 126 184 21 184 41 190 251 164 33 43 176 44 67 129 149 10 0 92 146 179 9 136 92 47 16 140 160 210 242 99 189 27 221 218 107 54 225 228 215 30 135 139 206 218 136 173 163 129 65 47 232 101 252 149 64 126 252 88 141 221 55 133 11 60 175 189 152 114 97 27 237 167 222 191 165 46 83 74 195 119 21 168 255 201 123 222 224 160 255 69 89 14 190 43 113 131 144 230 57 194 68 166 29 33 129 30 216 17 101 244 95 142 17 33 82 29 186 182 63 101 3 38 113 208 18 6 232 234 192 112 33 203 8 36 169 193 4 0 82 38 16 179 128 230 30 243 41 254 34 240 137 95 75 147 3 237 221 130 234 134 172 64 180 92 66 129 213 0 0 69 33 2 28 153 4 234 123 107 200 79 7 204 196 195 179 113 193 133 135 224 156 147 214 225 180 210 96 96 19 220 244 171 208 252 245 40 242 27 96 22 237 121 47 10 66 128 178 239 73 223 167 234 191 78 203 105 239 239 138 197 215 146 67 151 235 210 156 188 43 124 161 239 153 111 74 90 39 76 64 191 159 105 245 127 195 103 72 91 118 85 126 94 170 61 6 229 120 214 204 147 156 103 161 192 86 104 93 32 32 111 197 100 248 44 76 209 161 64 75 49 129 198 46 197 2 158 206 210 130 166 80 224 58 224 45 95 1 254 25 157 205 66 235 200 247 9 44 155 80 96 53 1 64 89 48 176 205 14 14 24 24 140 16 141 121 50 21 15 79 194 249 91 159 133 179 54 37 149 135 139 221 76 68 3 193 40 129 29 215 48 81 151 241 247 218 27 64 197 191 38 139 193 247 40 0 216 13 251 52 160 170 162 254 58 255 191 134 120 255 106 65 248 98 122 175 116 30 1 13 9 104 53 162 214 214 163 110 239 175 155 116 82 32 16 228 253 40 32 72 64 64 140 50 16 16 37 64 64 167 5 19 38 80 87 130 160 214 3 118 100 25 2 25 25 67 129 135 227 80 224 45 44 20 152 95 142 161 192 106 5 0 19 16 12 74 60 156 188 242 8 60 231 181 199 98 235 5 7 227 188 103 141 226 200 158 88 0 95 85 22 128 232 87 26 101 161 65 0 123 53 97 175 89 0 234 125 181 26 175 189 237 30 226 183 108 204 97 141 2 128 41 228 11 128 120 236 95 166 4 90 26 66 130 6 9 9 104 67 210 52 209 5 152 247 167 32 16 37 45 190 138 149 164 189 253 227 10 0 70 212 81 205 198 127 57 117 1 82 27 16 41 61 32 156 203 42 2 19 195 111 236 204 68 193 112 206 124 202 239 3 62 247 106 224 3 42 43 64 187 5 151 85 40 176 218 1 96 144 226 97 149 144 245 118 136 112 249 225 120 206 59 78 193 149 49 67 56 179 93 108 212 207 94 130 154 111 240 186 247 81 6 2 189 24 191 107 68 153 206 203 243 220 255 46 5 0 182 58 253 10 241 254 83 236 125 86 11 244 138 34 0 163 32 64 107 5 244 251 211 2 165 74 21 234 218 124 19 8 164 158 89 149 133 37 0 16 104 54 16 159 203 96 68 105 3 129 154 3 8 135 30 128 108 82 112 164 82 131 41 11 152 201 64 32 77 11 238 52 11 130 201 250 77 224 173 159 4 190 174 206 234 204 114 204 10 236 111 0 208 143 120 24 24 152 129 246 205 180 12 121 237 175 30 135 19 175 219 132 43 78 92 135 51 218 122 65 47 96 160 211 90 83 68 92 27 71 62 141 216 107 189 128 107 54 127 147 120 127 77 255 119 169 91 91 10 110 76 1 192 58 2 84 180 252 183 140 241 187 216 1 77 19 82 113 112 62 159 165 144 9 253 158 45 6 1 89 205 216 64 176 38 99 3 193 132 2 0 205 4 42 234 176 129 128 214 26 90 89 24 144 134 2 123 51 38 208 80 130 96 107 214 124 158 99 108 120 236 44 224 6 100 109 195 203 50 20 216 159 1 160 72 47 208 247 121 107 79 64 116 130 192 32 30 166 196 248 182 51 240 194 11 15 198 243 79 95 143 23 244 172 15 76 25 4 54 74 177 251 41 22 50 169 255 13 230 253 247 42 194 186 224 0 169 117 232 20 255 76 50 239 31 244 224 253 139 152 0 173 28 212 76 64 215 41 36 134 31 131 84 180 59 27 226 145 120 103 105 1 129 72 181 56 107 16 8 20 27 72 90 126 147 176 32 208 115 0 133 10 9 76 227 194 84 168 161 89 128 14 5 210 180 224 46 213 45 216 52 159 246 255 3 220 117 117 22 10 108 95 142 161 192 190 156 7 176 92 150 105 54 108 136 238 76 59 159 53 172 7 139 81 63 90 83 62 116 226 166 7 211 47 252 11 39 175 195 33 55 157 128 243 94 124 48 46 120 246 26 108 42 21 18 204 192 60 120 68 192 93 44 212 203 39 230 165 185 58 19 208 114 128 7 239 127 48 213 45 184 94 83 192 60 31 81 24 184 25 111 160 226 253 20 244 124 237 86 251 250 73 69 253 37 153 237 31 169 126 126 21 199 7 49 112 5 77 213 239 223 204 210 135 9 8 4 53 38 14 242 145 225 241 227 129 130 253 72 133 17 213 113 85 49 56 149 1 129 9 204 207 7 174 122 21 112 255 39 83 89 32 215 34 204 119 114 88 49 179 3 86 27 3 88 172 120 104 74 41 210 180 162 142 236 167 222 121 10 158 255 150 227 113 125 97 161 145 46 179 221 160 188 45 87 218 203 228 217 93 58 64 196 68 54 90 248 227 202 253 39 159 100 61 9 79 214 88 196 191 178 2 96 153 204 6 109 85 86 105 66 169 234 4 82 239 191 39 219 202 59 218 153 213 239 83 207 47 25 19 72 46 219 196 251 39 131 62 82 54 160 6 127 164 183 181 204 192 211 112 128 106 3 244 84 208 218 128 121 37 8 234 172 192 206 236 49 211 122 6 120 252 53 192 45 255 154 205 14 208 249 12 190 165 248 62 9 5 124 8 176 248 48 193 36 30 242 145 163 58 217 55 25 135 4 71 220 185 21 111 59 110 18 103 22 10 131 147 202 224 14 64 126 52 86 145 22 32 10 120 14 141 173 117 211 207 238 236 74 197 130 229 253 4 132 254 79 162 83 131 63 82 66 252 235 37 28 112 49 22 21 14 72 21 10 164 26 192 140 2 129 228 216 149 21 237 200 208 1 2 145 10 1 98 48 171 40 16 168 168 144 32 32 108 64 168 9 193 252 125 68 186 101 56 54 246 214 156 2 0 93 37 184 211 156 22 76 214 131 192 23 95 14 252 161 10 5 166 209 153 134 176 96 16 4 229 114 6 128 0 251 223 178 13 149 210 190 137 38 212 116 180 74 235 218 180 137 61 245 208 46 252 235 115 63 143 155 126 176 7 95 45 100 1 115 228 217 90 140 56 162 15 29 128 54 229 232 119 76 39 245 184 58 241 232 142 202 35 6 234 47 135 8 189 20 82 85 78 191 83 161 17 255 127 109 124 196 32 41 98 176 20 83 100 158 127 212 185 223 254 127 164 68 188 157 89 236 158 220 79 143 233 12 60 210 46 192 186 10 41 90 230 80 64 131 67 58 62 44 126 63 149 49 117 56 6 212 157 1 92 242 70 224 60 165 236 140 34 95 250 197 91 167 150 245 218 31 1 128 3 1 159 94 31 34 95 211 214 48 0 130 46 109 73 128 96 219 73 95 192 173 15 239 197 189 214 17 93 80 207 102 210 140 35 184 119 32 42 10 5 232 158 182 13 242 14 35 139 241 11 195 229 234 106 94 234 245 140 242 247 103 27 154 194 26 190 197 68 38 238 137 201 204 240 131 24 0 130 24 8 42 27 179 223 107 143 244 142 186 55 249 72 41 252 174 204 107 39 241 123 10 10 51 153 162 31 41 181 63 245 244 77 5 4 228 219 214 32 144 176 133 10 209 3 170 19 170 208 200 178 174 1 174 63 30 56 146 200 167 180 210 163 23 69 197 3 192 50 5 131 208 34 175 53 24 16 36 50 223 83 39 124 1 111 219 221 76 218 201 13 52 93 255 159 2 192 98 178 198 52 254 231 141 56 250 0 236 141 63 116 26 47 191 92 7 117 54 93 194 32 77 149 86 84 137 175 82 242 83 133 127 50 3 130 4 0 18 54 16 108 200 210 126 92 20 164 183 137 113 39 0 208 84 106 126 58 0 100 54 59 18 165 63 45 3 110 168 237 194 91 249 157 131 161 178 6 237 33 162 35 25 3 168 77 218 207 73 140 81 27 222 3 92 173 130 58 94 229 193 199 155 10 15 0 43 59 68 160 140 128 150 182 208 204 246 51 111 251 23 220 212 140 226 136 214 197 2 232 225 138 18 69 129 114 33 13 162 90 131 132 24 174 198 159 17 11 97 133 35 108 232 53 68 41 115 150 201 52 99 81 37 32 48 161 0 96 42 59 42 138 13 36 224 96 202 12 180 193 32 84 169 188 157 89 44 159 28 105 247 223 92 118 68 154 9 52 8 8 144 77 100 82 38 16 40 45 65 135 2 163 246 143 112 38 112 241 127 6 94 170 66 1 62 232 124 69 132 2 30 0 202 179 130 200 17 34 164 250 192 135 255 29 223 253 222 30 252 181 149 5 132 232 46 25 137 44 134 103 219 20 147 11 105 52 191 174 189 127 228 16 255 104 250 207 70 255 109 239 1 5 66 103 191 240 170 13 80 131 192 152 170 246 75 216 192 90 5 2 49 11 168 198 71 176 78 245 8 216 64 32 202 232 127 162 228 55 52 8 76 103 44 32 1 129 36 92 72 217 64 83 137 128 10 44 83 43 85 161 64 192 244 0 225 176 146 87 1 191 22 135 2 71 145 80 160 198 64 96 89 135 2 30 0 250 7 4 218 0 171 229 183 217 91 191 139 63 107 69 113 88 224 154 216 75 97 68 22 24 59 44 63 227 211 121 105 145 141 205 64 43 200 15 249 48 117 41 202 2 143 93 150 29 216 222 179 201 248 217 60 255 180 221 119 84 149 253 78 16 16 136 153 64 117 99 124 172 207 222 179 180 128 0 148 46 208 208 32 48 157 221 106 54 16 206 119 116 129 148 9 68 68 241 215 161 128 202 32 36 161 128 139 5 196 150 62 241 1 224 102 21 10 76 160 123 90 196 178 14 5 60 0 44 14 8 186 72 248 23 182 225 137 127 221 139 79 57 141 57 132 115 111 251 66 70 192 39 241 232 25 0 11 22 241 79 255 159 183 41 151 141 251 101 73 134 82 230 247 93 155 123 16 3 132 242 194 186 228 183 162 195 129 117 25 19 168 30 152 81 117 206 4 232 74 12 92 139 131 58 59 144 130 128 6 0 197 4 210 17 226 250 57 68 167 80 40 5 128 154 98 1 14 65 240 24 224 180 223 204 66 129 41 146 21 24 97 48 235 1 96 21 107 5 185 98 215 191 126 60 157 39 103 223 226 170 31 163 226 208 67 185 7 85 35 108 153 136 138 65 248 163 19 21 22 179 61 120 153 237 206 93 211 124 57 40 64 25 92 141 20 248 168 92 127 53 102 3 149 181 25 8 212 14 204 138 128 210 151 136 186 199 124 167 111 161 149 229 247 211 220 126 146 29 80 179 1 211 253 2 230 85 150 160 153 137 131 26 152 133 98 75 9 27 105 135 2 35 110 243 125 53 240 134 77 157 80 64 151 84 209 145 170 203 50 20 240 0 48 56 54 208 54 201 247 252 0 63 156 105 166 163 165 205 202 183 201 251 75 184 183 2 143 24 131 8 153 20 185 96 16 255 232 235 142 56 36 42 217 199 167 134 227 125 195 160 87 112 250 31 57 244 0 157 162 83 186 128 208 64 160 122 0 82 22 144 128 64 76 186 71 98 16 168 174 115 95 201 169 46 160 167 2 239 238 100 7 82 113 144 105 2 105 177 145 182 212 74 103 238 64 2 2 65 213 25 10 140 127 48 27 33 182 162 66 1 15 0 131 3 2 125 155 18 243 157 77 60 96 244 234 145 35 214 183 121 125 105 49 126 90 248 83 71 126 230 30 127 46 58 157 200 53 232 179 172 0 88 150 5 72 7 253 119 237 250 67 83 116 164 80 39 45 255 85 33 65 98 248 201 81 219 144 1 129 40 232 108 73 171 253 246 40 93 64 213 9 132 36 28 72 83 132 97 231 60 234 26 1 93 31 144 104 1 174 66 216 36 20 248 80 74 6 210 26 75 219 86 39 203 10 0 170 222 118 7 106 252 161 250 146 195 48 194 46 163 49 11 139 151 228 63 55 117 214 81 249 145 231 254 93 226 31 157 93 200 149 127 46 254 137 62 238 187 68 195 178 71 17 8 168 141 92 3 3 123 146 170 194 48 1 138 164 42 48 172 219 193 43 169 253 79 195 133 86 167 48 168 146 120 253 154 242 240 65 30 168 117 165 96 170 7 140 102 127 19 46 216 47 134 11 129 159 127 49 112 159 154 40 172 97 186 134 124 221 103 136 101 210 48 228 25 192 224 86 142 164 63 89 199 247 156 10 122 84 160 13 68 22 201 145 138 127 13 162 1 180 28 12 66 79 215 173 160 123 179 207 94 224 173 236 253 50 198 94 228 253 121 200 192 140 49 205 213 39 154 64 124 212 98 127 59 146 176 128 245 177 203 61 40 126 108 202 253 217 18 35 78 66 130 116 32 200 116 135 9 180 52 19 224 153 129 128 136 130 163 238 180 96 18 10 188 11 120 51 178 206 143 73 22 10 44 187 2 33 207 0 134 196 6 142 28 199 9 86 124 143 28 33 65 153 201 63 92 253 111 56 140 95 239 118 196 183 58 227 169 63 219 125 219 167 20 112 239 4 28 161 184 166 161 76 8 192 65 128 20 13 233 159 87 5 169 235 215 115 2 171 89 53 160 109 194 79 170 11 204 170 121 3 97 102 244 9 168 72 213 73 72 247 37 20 200 247 12 36 32 208 154 183 95 4 135 1 155 226 80 224 149 106 162 112 3 249 61 5 35 203 25 243 0 176 138 66 129 110 104 151 6 3 227 42 185 176 24 160 48 208 127 42 0 54 28 90 130 109 58 113 96 120 63 40 48 120 148 244 246 97 247 229 45 139 206 73 17 8 80 176 16 89 197 94 58 10 76 213 243 235 16 64 223 234 54 224 4 4 108 3 62 116 189 0 84 151 97 53 185 85 169 82 193 179 35 186 103 160 150 137 133 129 18 13 123 12 5 120 253 231 62 15 5 60 0 12 206 248 169 73 117 58 51 249 87 91 84 35 47 144 203 137 231 140 205 20 251 215 97 239 252 3 186 27 127 168 30 45 75 104 0 46 131 229 135 186 188 37 167 239 234 121 36 157 131 168 14 97 211 13 162 2 54 160 11 118 68 71 176 11 245 115 10 228 10 122 18 225 47 116 120 236 176 209 161 252 85 85 82 28 208 57 131 180 90 49 17 5 171 25 83 136 28 221 156 73 40 240 187 192 219 207 6 126 141 4 107 161 225 172 5 216 135 179 4 61 0 12 102 117 237 235 43 108 148 60 114 252 223 165 166 83 227 167 26 128 75 252 163 109 191 116 14 97 96 121 77 151 208 103 152 179 223 85 143 16 118 234 235 37 51 86 73 38 46 8 90 125 24 228 213 40 97 3 26 19 211 208 94 121 164 123 12 84 27 96 180 56 184 39 43 7 182 245 248 167 41 64 181 171 113 69 133 5 129 158 51 40 178 26 3 33 153 14 209 114 176 139 120 109 4 142 248 56 112 205 213 192 251 73 40 192 147 162 173 125 201 2 60 0 12 22 4 236 198 104 50 38 91 140 44 44 30 183 101 48 126 151 248 71 7 144 210 194 159 162 189 7 132 37 252 136 12 32 68 196 72 185 208 137 167 211 167 11 243 6 46 85 6 66 136 78 56 34 212 172 102 97 24 145 214 53 215 47 50 159 43 161 244 141 64 133 85 137 177 86 37 97 24 186 225 168 146 85 2 186 116 129 180 105 40 1 129 86 22 235 7 116 79 66 214 183 144 128 64 123 106 177 101 145 49 98 95 39 44 128 23 130 239 179 80 192 3 192 224 53 128 116 77 84 45 27 148 22 237 238 43 24 43 16 134 216 159 210 255 16 246 182 95 190 41 73 197 17 118 216 30 227 157 15 124 58 194 66 102 248 250 86 46 228 55 246 72 141 141 110 209 18 144 91 85 228 163 233 186 142 221 53 48 72 116 242 238 130 135 8 236 92 166 70 26 169 162 33 245 179 138 242 218 250 249 180 72 152 148 5 219 60 119 58 95 160 222 153 68 148 3 1 245 115 161 222 87 242 120 84 205 74 137 93 235 70 224 141 49 0 252 235 114 12 5 60 0 12 158 1 8 21 3 30 233 100 1 69 76 1 204 0 185 199 173 195 189 221 23 77 60 153 230 212 148 141 249 185 238 160 139 142 212 86 153 233 40 175 121 117 232 20 90 72 166 249 234 167 170 34 55 129 72 144 204 68 106 248 234 61 166 158 181 210 97 5 122 211 15 169 88 132 86 228 141 153 8 29 247 235 57 140 99 10 8 72 88 32 68 39 36 136 26 118 115 75 1 66 245 25 84 70 186 65 0 100 144 136 78 27 22 132 2 175 83 19 133 77 32 64 89 192 146 102 6 60 0 12 153 9 228 30 225 165 183 174 16 192 52 244 131 214 254 187 198 126 9 228 219 126 3 152 75 127 93 247 67 2 60 148 113 232 209 227 137 225 239 85 134 79 68 180 246 33 217 255 235 234 86 116 192 73 232 93 127 245 161 192 33 109 2 82 148 29 149 78 159 126 78 225 39 131 222 19 47 47 201 121 164 101 188 1 77 23 82 32 8 178 26 128 116 55 32 233 208 5 200 252 129 128 238 71 40 59 97 74 242 58 178 233 54 219 36 20 120 37 240 127 63 5 124 13 157 193 161 182 158 80 15 0 43 156 9 8 39 221 23 48 167 211 76 33 0 175 252 227 141 63 38 225 48 96 241 127 21 197 101 39 46 227 167 94 95 109 59 150 204 242 55 26 126 209 17 102 13 56 82 147 94 245 94 245 230 30 233 28 128 106 103 39 96 189 235 79 80 35 181 249 1 217 4 36 32 121 87 229 79 37 49 114 61 254 219 54 124 37 249 157 164 49 200 230 193 83 93 32 126 191 149 168 35 12 202 32 255 247 201 107 232 144 193 181 222 6 252 198 131 192 99 15 119 102 66 181 12 161 0 150 82 15 240 0 176 148 188 192 86 2 108 227 15 38 225 173 76 227 15 23 255 92 83 127 132 37 228 160 59 252 206 19 227 223 147 141 240 166 213 114 93 222 62 66 215 144 14 250 187 58 75 208 126 142 25 245 218 181 172 243 79 119 1 106 16 8 70 200 109 173 3 6 1 17 18 5 43 107 150 17 186 230 12 4 170 32 55 77 247 73 162 47 136 172 26 208 106 192 146 148 16 71 172 80 136 128 141 44 136 224 167 226 104 224 61 192 107 255 35 240 62 116 15 135 227 89 129 37 97 2 30 0 6 191 130 82 217 0 215 0 16 30 131 83 234 223 36 151 142 45 204 224 169 63 219 196 31 83 8 192 247 243 99 187 250 118 25 127 159 7 12 204 32 209 16 18 129 78 11 133 105 243 207 24 233 6 212 227 190 71 20 8 84 9 8 16 205 128 158 83 73 68 82 45 2 6 228 245 171 228 103 105 6 192 33 232 181 119 45 170 230 65 160 93 41 24 20 179 128 100 140 216 27 227 80 224 79 128 47 161 51 191 41 50 100 5 60 3 88 161 244 63 245 171 107 2 156 227 108 6 18 176 207 7 224 244 191 73 14 77 199 109 32 83 65 190 9 149 87 159 187 82 125 52 211 64 103 31 207 100 71 95 198 111 97 1 145 227 111 210 216 123 190 35 182 5 106 52 87 251 118 52 207 6 168 102 208 181 7 0 159 33 72 74 134 147 191 211 218 128 46 34 10 3 213 236 99 49 63 189 99 113 142 9 144 233 194 176 204 37 160 235 26 224 186 47 2 15 63 156 125 155 33 11 7 66 195 183 229 1 96 5 102 3 220 198 31 57 101 195 238 161 99 84 253 111 58 216 5 157 69 99 26 250 225 42 51 214 175 85 39 0 48 93 210 248 153 161 71 69 12 64 22 0 133 236 120 211 100 198 127 114 180 103 247 79 116 216 65 155 17 16 165 190 45 32 210 140 1 242 175 221 206 48 168 114 226 32 202 231 113 162 5 183 46 160 199 146 11 146 90 21 186 224 169 128 5 36 161 192 123 129 171 95 222 9 5 90 232 222 45 98 73 182 24 243 0 176 148 57 1 155 241 219 230 2 80 223 64 99 255 200 242 251 218 243 243 137 191 128 187 225 39 50 100 24 168 218 63 173 122 229 251 165 248 178 55 182 128 200 108 124 233 174 190 173 76 185 215 133 56 154 25 4 106 96 71 170 29 84 25 35 224 250 0 97 94 130 234 3 84 51 16 170 68 184 101 255 94 19 166 210 174 14 212 213 130 234 181 138 88 192 25 113 40 112 17 240 63 191 154 5 88 20 4 104 227 208 208 181 0 15 0 195 98 1 182 175 44 100 134 199 183 148 164 63 163 74 60 221 244 211 166 43 208 220 191 173 239 63 130 57 205 72 141 127 142 24 255 76 239 106 255 174 22 118 253 180 137 39 126 188 128 39 226 215 137 68 148 245 70 76 72 140 31 31 224 184 141 192 225 69 192 80 116 201 183 193 96 190 163 5 164 219 131 213 72 120 192 128 160 43 19 66 232 122 123 250 144 84 227 191 148 158 146 142 18 119 52 253 72 221 255 64 83 147 37 253 246 123 128 27 182 102 3 69 245 142 17 53 2 251 1 150 32 45 232 1 96 216 212 159 127 125 101 74 129 121 225 15 53 206 150 227 121 71 28 241 63 44 89 8 90 93 168 141 127 158 120 254 122 73 163 111 98 247 221 123 241 181 59 246 224 219 95 159 199 147 200 239 82 208 34 239 178 114 97 13 135 190 162 134 115 46 12 240 226 53 17 54 118 177 128 30 47 247 54 24 44 228 231 5 80 125 160 189 99 112 64 202 142 101 39 167 47 73 219 47 84 49 81 251 11 109 116 10 131 140 175 79 253 117 15 32 112 40 176 233 23 128 211 238 204 2 173 121 242 109 187 6 199 123 0 88 238 64 240 150 99 211 185 112 230 78 64 87 59 45 245 254 156 254 107 1 208 230 19 42 6 234 111 235 249 135 69 241 215 177 191 246 252 243 229 12 255 19 187 241 165 183 62 137 251 149 92 168 84 131 246 156 226 144 69 197 226 31 155 120 60 62 190 19 223 255 212 43 43 56 233 53 1 174 120 174 196 233 213 8 227 114 49 151 187 100 204 128 244 239 235 144 161 93 75 32 136 88 104 208 69 210 159 233 114 98 209 201 2 184 102 36 208 16 160 108 240 254 106 224 138 24 0 254 89 113 46 13 249 21 228 211 129 67 211 2 60 0 12 129 5 188 226 80 156 82 170 19 16 6 54 96 170 251 167 189 255 174 161 159 124 224 7 96 223 240 35 98 153 5 66 253 83 227 159 45 54 254 187 118 227 222 95 122 12 247 40 131 223 131 108 175 68 109 252 13 116 239 128 40 89 174 98 228 83 33 182 199 199 63 37 218 216 239 11 92 122 58 112 246 177 177 87 28 136 252 162 119 22 94 232 8 126 65 149 220 210 25 2 65 247 121 74 211 122 52 44 16 29 45 196 250 154 148 57 148 48 219 77 192 169 200 102 8 238 82 223 64 13 221 187 71 122 0 88 73 43 148 164 22 192 68 255 109 147 112 56 45 231 169 191 150 197 248 233 200 239 10 99 0 166 247 97 242 252 115 217 145 210 254 25 183 225 207 183 80 255 253 237 248 204 239 61 141 111 198 127 181 19 217 102 228 123 209 238 16 200 229 46 164 65 217 166 251 4 239 85 239 126 252 22 137 59 226 219 207 189 8 56 246 101 192 150 243 129 75 38 211 82 250 1 128 65 148 213 25 180 193 64 245 31 4 149 124 133 97 187 141 88 149 23 167 183 186 5 88 170 175 169 4 8 148 93 201 220 128 91 226 207 250 251 157 173 198 43 228 155 108 97 200 99 195 60 0 12 129 5 132 145 69 4 52 209 127 154 248 17 232 222 129 208 84 248 99 26 250 89 133 125 91 74 211 92 1 154 86 156 39 158 223 148 238 99 98 221 219 182 225 142 63 223 153 82 248 167 227 99 135 50 226 121 228 55 39 215 181 138 45 152 11 158 3 2 2 26 130 18 22 49 254 149 248 121 227 227 187 241 253 79 191 2 56 57 166 201 87 30 7 156 158 24 203 192 192 64 49 160 72 116 70 127 183 5 67 97 103 4 9 96 68 10 210 138 138 126 202 174 152 245 156 24 223 124 89 49 40 29 58 233 115 19 14 19 4 60 0 12 126 117 59 0 105 209 0 104 17 40 143 255 105 238 191 1 123 223 63 74 198 254 124 59 177 6 139 249 103 85 125 127 65 161 207 237 187 112 119 108 252 201 192 211 237 10 0 180 231 95 96 239 182 5 251 230 103 20 158 104 181 66 85 61 207 172 122 222 157 159 142 95 35 62 18 166 49 245 7 200 66 132 99 6 20 34 232 47 75 42 160 213 173 200 154 21 32 96 99 192 73 33 17 200 246 228 139 37 231 135 101 219 140 39 224 54 106 224 111 250 29 4 195 16 4 61 0 12 51 27 224 42 3 142 12 12 64 26 132 191 6 241 167 38 96 225 169 63 106 252 17 11 61 40 176 112 207 95 194 248 191 51 143 31 92 251 83 124 69 25 254 211 140 246 47 176 119 203 63 153 233 60 105 206 19 16 48 168 16 120 210 64 144 116 8 140 255 6 218 33 194 49 113 136 176 117 144 33 130 102 6 201 187 14 91 29 67 111 143 5 227 41 68 2 4 114 145 93 252 107 129 13 36 136 19 6 40 247 26 192 74 90 71 142 90 68 64 193 132 63 154 241 165 173 32 13 116 15 254 128 37 4 24 177 196 253 166 201 187 172 198 63 85 249 149 110 159 230 250 29 121 249 157 45 236 254 197 71 211 61 15 119 169 152 127 154 24 127 157 188 219 144 208 254 136 65 145 9 40 233 80 176 144 133 6 58 14 214 172 128 134 8 223 143 239 127 42 14 17 78 121 77 28 34 28 59 192 16 161 173 234 107 154 79 231 12 178 84 159 110 47 150 232 223 68 215 101 35 196 109 201 219 161 46 15 0 131 244 248 234 255 149 64 165 1 109 44 192 100 152 1 186 251 254 233 206 191 166 231 11 144 87 253 121 220 26 17 239 79 43 253 230 179 252 126 187 185 167 222 93 132 19 145 138 188 68 244 123 227 79 113 251 79 154 120 74 121 254 61 132 246 215 13 212 63 66 113 143 123 64 84 9 253 46 233 164 192 22 19 194 170 140 25 164 96 16 135 7 59 116 136 240 251 113 136 240 2 224 133 135 167 226 250 32 131 186 78 92 215 110 53 102 38 58 0 23 93 97 2 41 192 134 204 120 0 88 166 49 63 120 190 214 213 221 103 162 255 32 100 153 167 253 154 176 151 10 115 213 159 191 14 125 110 82 236 35 19 211 141 61 127 52 93 144 235 87 140 224 47 118 225 243 119 77 167 123 29 238 80 66 21 53 126 26 168 240 214 86 151 77 68 134 139 155 50 6 193 24 65 139 124 82 157 43 215 221 10 73 236 156 168 233 73 136 112 215 69 113 136 240 90 224 37 167 1 231 77 13 48 68 48 1 66 47 57 127 219 250 9 240 8 220 155 178 249 74 192 21 192 0 58 183 174 175 143 110 14 21 50 195 165 49 58 173 206 179 133 19 180 221 151 155 150 100 177 191 2 20 169 74 124 163 153 12 8 82 154 235 160 254 223 152 195 131 111 123 42 157 98 147 208 254 157 202 251 214 153 232 215 171 241 155 96 145 50 3 94 24 29 178 16 161 69 160 79 195 165 110 90 222 249 213 24 168 226 35 17 42 63 122 3 112 214 101 192 69 199 1 103 212 6 25 34 80 48 88 228 83 212 179 247 222 50 104 38 190 27 112 5 129 128 32 215 132 112 126 125 84 3 168 176 203 156 87 254 69 14 250 95 97 164 89 88 132 63 5 38 169 193 211 92 127 232 78 247 61 217 192 182 151 252 36 23 247 207 40 175 203 21 255 168 79 227 47 98 6 162 100 136 16 16 241 80 241 155 84 29 153 120 63 240 84 124 252 239 56 38 56 228 26 224 130 56 68 184 96 224 33 194 34 215 253 25 88 53 208 157 50 149 240 221 128 43 38 12 104 155 102 45 17 118 139 140 63 98 241 63 47 0 90 32 244 223 4 38 166 216 159 215 140 17 64 73 169 190 50 254 212 251 171 75 205 70 251 147 184 255 151 159 192 237 42 214 222 65 226 126 158 235 55 237 120 51 168 115 202 199 253 71 228 147 5 12 66 105 48 68 59 27 18 113 109 119 28 191 236 184 37 101 219 184 235 69 192 115 174 30 102 136 208 195 138 223 104 253 163 89 41 240 60 17 81 233 249 244 12 96 165 133 1 147 85 156 228 140 222 200 46 58 185 175 154 55 0 53 29 244 159 199 254 60 238 39 25 5 169 226 254 196 235 107 227 55 142 232 34 199 173 79 227 142 251 231 83 131 121 90 197 253 243 44 238 111 178 139 117 152 148 149 130 1 219 191 183 43 216 9 152 78 160 193 96 86 235 5 42 139 160 67 132 179 47 205 66 132 193 102 17 74 174 127 4 190 246 88 22 90 205 16 201 215 38 164 122 0 88 33 116 192 221 14 76 197 64 193 12 182 105 161 255 212 188 248 22 95 52 132 16 157 231 74 235 214 149 31 76 0 32 154 113 164 251 8 16 252 237 52 238 253 139 221 105 37 222 14 69 253 181 232 183 192 32 138 122 169 104 137 78 175 45 68 128 33 32 162 162 161 206 34 232 25 71 73 109 193 206 56 60 216 30 31 255 43 142 9 14 141 67 132 243 151 50 68 136 41 213 174 247 2 95 85 236 106 134 156 223 104 169 88 128 7 128 97 104 1 174 50 96 190 209 39 245 95 156 1 192 65 255 249 22 95 244 82 105 41 47 191 160 82 124 58 238 111 20 79 225 249 241 2 30 121 205 182 180 193 231 25 98 252 52 215 223 100 162 223 208 227 212 69 134 8 166 44 66 149 177 130 93 113 136 240 140 10 17 210 66 163 95 142 67 132 51 226 16 97 114 72 33 66 66 253 223 1 124 60 246 254 79 17 113 149 126 251 225 82 176 0 15 0 75 165 12 80 227 231 41 64 218 157 71 183 254 182 213 207 241 45 190 8 25 150 42 238 151 148 250 207 117 70 92 117 81 126 153 27 228 177 251 231 158 192 199 148 232 167 107 252 105 153 111 147 120 168 104 31 3 128 9 12 132 249 172 116 165 21 121 22 193 212 139 240 125 29 34 92 6 92 120 44 112 198 160 66 132 196 248 111 2 62 116 79 246 26 219 213 235 206 91 66 128 161 134 87 30 0 134 193 0 92 177 63 223 89 151 210 247 176 32 246 167 226 31 216 229 77 70 109 183 227 254 248 146 138 230 58 3 54 173 113 191 250 217 155 183 227 246 71 155 233 48 143 29 236 162 164 222 63 92 6 222 191 23 86 96 11 17 76 89 132 170 250 204 53 245 249 105 22 225 224 95 137 195 131 45 139 12 17 30 141 73 86 204 52 62 249 64 198 54 182 171 115 61 205 66 172 165 210 86 32 100 143 227 87 132 16 222 204 205 70 223 222 252 42 188 24 255 47 72 75 188 13 244 127 92 29 180 242 155 150 0 235 49 220 166 175 62 249 221 81 116 6 127 86 59 187 238 74 217 241 29 105 219 171 86 253 235 110 202 175 129 224 131 123 240 153 91 159 193 255 138 31 217 134 140 150 238 37 239 134 206 35 162 187 217 68 43 236 59 162 23 47 223 163 56 96 33 130 102 8 250 108 79 196 199 154 248 88 123 17 240 156 151 3 91 158 7 156 89 22 12 18 195 143 131 253 7 222 149 237 12 180 87 25 254 78 98 252 180 155 178 69 152 86 105 125 165 87 91 246 0 48 28 0 24 149 23 199 177 179 237 180 142 43 249 105 132 240 47 29 255 211 129 156 166 191 15 58 0 32 73 213 184 36 237 169 237 13 58 231 212 14 60 33 243 248 6 16 120 96 30 15 190 116 91 154 242 219 174 0 96 55 49 126 94 231 191 156 168 127 255 12 173 155 21 80 32 160 189 8 186 212 74 247 92 142 17 48 152 76 238 255 26 112 250 81 49 67 56 4 120 86 68 218 177 146 147 243 48 240 248 157 192 15 31 205 24 69 93 25 255 30 18 94 209 89 207 60 4 136 122 1 217 126 0 192 135 0 75 17 251 3 249 182 92 158 178 227 187 239 218 232 127 160 60 190 54 104 66 122 37 81 253 35 85 235 159 62 38 45 163 184 213 253 109 45 108 251 213 167 241 57 101 244 154 142 242 6 159 214 42 48 254 197 132 8 2 157 76 130 158 151 188 91 193 241 216 135 50 208 212 220 140 74 180 250 245 26 132 223 213 137 183 111 48 109 197 84 81 57 212 229 1 96 120 30 198 57 63 174 75 0 164 37 53 38 227 23 29 227 151 100 150 128 164 194 223 130 154 98 59 79 166 213 70 246 248 127 62 66 253 237 207 224 206 71 91 41 229 167 131 61 120 60 218 50 168 22 171 1 166 109 96 96 202 34 232 50 45 93 104 84 85 64 160 11 178 233 76 38 94 156 173 55 119 139 200 183 220 64 126 252 11 7 89 120 0 88 89 134 223 249 194 100 193 37 23 49 16 104 145 195 48 185 87 74 226 249 101 167 69 181 237 209 195 142 234 159 26 127 203 32 246 25 188 255 109 187 241 153 191 157 51 54 249 208 134 228 22 19 164 162 85 248 253 241 193 236 64 119 22 129 166 17 3 2 6 58 84 152 131 185 163 79 26 164 94 58 249 49 180 80 254 37 57 207 30 0 6 12 4 111 57 138 180 2 155 68 60 90 166 75 75 128 105 43 72 59 166 35 212 61 200 203 110 233 21 171 46 203 148 250 55 186 141 191 107 179 13 2 2 95 173 227 190 247 237 77 219 104 105 147 207 2 3 128 16 221 123 21 175 246 224 205 86 91 64 3 185 192 114 107 218 136 141 127 235 124 22 84 196 130 193 37 13 175 60 0 12 152 5 188 226 96 108 46 100 1 180 79 95 50 95 0 226 185 121 31 58 249 59 77 253 165 202 249 167 130 95 147 197 250 22 16 248 113 3 143 188 252 105 124 22 157 129 158 51 232 46 246 9 151 58 30 93 198 96 192 103 23 208 41 70 92 72 52 101 28 0 243 86 48 161 129 109 44 233 121 246 0 48 224 21 202 146 3 65 163 110 1 176 203 240 35 66 255 73 217 112 251 103 74 245 79 118 180 109 87 249 73 70 255 25 8 212 227 184 255 101 59 240 113 116 154 124 104 220 79 5 169 214 42 16 253 6 181 76 179 11 66 216 183 238 10 10 64 69 238 107 195 247 0 48 36 22 16 21 137 128 60 123 174 188 120 10 0 161 1 4 100 118 57 73 94 240 19 101 30 63 173 240 107 184 141 158 170 255 239 220 131 59 30 13 219 162 31 157 236 67 235 252 121 45 186 244 95 173 209 80 169 120 72 1 194 54 236 132 207 14 217 231 231 214 3 192 128 47 144 40 114 52 2 177 161 160 82 165 239 210 57 243 173 110 195 79 141 86 228 163 198 182 145 183 122 243 252 201 115 124 98 14 119 127 116 46 109 242 209 113 255 12 242 237 189 84 245 95 178 161 20 171 16 16 108 46 96 217 101 81 60 0 12 94 7 144 46 17 176 45 220 137 142 33 167 165 187 33 51 124 125 95 48 250 175 141 191 169 98 254 208 108 244 252 255 223 107 224 7 191 190 7 247 42 207 191 67 137 126 13 152 39 251 44 201 48 138 253 0 16 150 253 242 0 48 224 117 228 24 78 49 97 188 164 197 59 149 142 168 39 155 29 229 30 220 251 171 223 165 51 113 162 176 227 253 139 140 94 255 255 169 22 182 93 189 7 159 70 150 234 211 19 125 117 81 74 221 16 243 123 234 191 159 44 15 0 139 247 248 57 250 87 145 56 64 155 141 100 155 71 232 137 178 122 255 184 212 152 149 207 117 122 127 13 34 97 231 111 10 61 63 17 253 110 157 193 157 113 220 159 84 171 233 137 190 69 195 61 188 241 123 0 240 171 36 229 19 252 145 46 111 78 0 64 18 81 175 93 190 75 126 159 26 177 174 19 104 179 133 80 81 127 150 234 235 2 1 114 255 99 115 248 252 255 92 192 143 20 237 223 133 124 190 223 212 219 239 227 126 15 0 126 245 200 0 218 32 144 236 11 152 51 68 211 173 158 189 223 234 120 255 156 225 19 163 215 76 66 171 254 185 146 94 135 231 79 126 246 79 13 60 248 91 115 237 137 190 212 248 233 238 189 195 154 233 231 151 7 128 253 6 4 218 0 16 41 154 238 52 126 65 74 120 67 139 247 215 225 2 242 191 219 229 253 77 41 63 21 247 255 204 116 110 162 239 94 116 143 243 94 45 77 62 126 121 0 88 30 96 80 149 88 155 83 244 249 45 41 230 161 147 121 115 32 192 203 129 67 50 191 223 226 237 41 32 36 77 62 175 159 203 77 244 165 187 206 210 190 254 213 216 228 227 151 7 128 125 7 0 107 128 147 34 210 233 151 51 90 106 101 145 195 251 43 101 65 210 102 31 155 225 27 64 224 93 117 220 241 64 43 153 65 209 158 232 75 141 223 228 253 189 231 247 0 224 215 32 86 108 252 34 215 182 203 110 117 15 63 173 205 231 222 191 93 255 31 177 70 30 7 229 215 247 239 110 226 222 143 55 210 98 159 196 248 121 147 143 105 224 164 247 252 30 0 252 234 115 117 101 1 98 67 148 82 58 66 0 24 4 191 200 2 2 22 195 207 129 0 249 189 255 23 226 145 215 215 211 137 190 59 145 159 53 95 247 158 223 47 15 0 67 160 252 252 129 70 136 233 49 97 103 0 128 197 184 45 143 25 11 132 12 191 191 59 194 238 87 212 211 38 159 93 200 231 251 235 232 222 201 199 139 126 126 165 43 240 167 96 96 76 32 189 157 110 226 123 137 145 70 138 190 119 221 134 164 160 135 221 215 191 147 251 57 127 140 101 4 244 253 183 54 112 251 227 178 107 162 47 31 50 233 21 127 191 60 3 24 34 19 144 105 26 208 197 0 76 183 150 16 192 90 32 36 243 133 63 127 25 226 51 247 132 237 98 159 132 250 211 97 147 212 248 151 100 212 180 95 158 1 236 111 222 191 237 77 255 125 1 247 73 226 221 187 188 188 233 54 178 123 255 136 123 252 40 255 243 111 133 120 240 221 173 118 177 15 223 201 71 143 245 162 77 62 192 234 159 236 227 151 7 128 37 165 254 122 69 15 47 224 39 38 3 167 84 94 22 128 65 206 200 45 134 159 220 127 42 196 182 55 135 93 19 125 77 219 119 239 207 147 125 252 114 81 87 191 47 192 64 232 191 222 23 32 221 64 226 201 35 241 80 13 56 172 151 16 192 152 50 180 100 2 146 219 186 68 253 38 137 15 223 35 211 93 110 159 64 126 164 247 172 193 251 251 184 127 181 123 163 62 246 5 240 12 96 176 108 32 157 164 179 189 137 47 71 101 168 63 247 250 145 65 32 140 186 133 191 228 177 247 71 113 220 47 219 19 125 119 161 51 217 71 199 253 62 229 231 151 7 128 37 14 3 210 217 61 119 206 226 47 74 27 127 88 64 247 169 78 160 110 255 94 226 222 247 3 15 32 75 247 61 163 60 62 77 247 249 14 63 191 124 8 176 196 64 170 103 196 39 187 195 76 60 180 1 127 126 104 128 43 141 180 222 146 1 112 21 3 233 245 16 240 224 203 128 59 144 109 227 245 164 138 255 103 145 207 249 175 134 109 188 252 242 33 192 138 98 1 116 212 115 227 175 230 241 135 141 16 179 70 47 31 118 83 250 46 197 159 52 0 49 227 255 43 229 245 233 80 79 106 248 126 178 143 95 30 0 246 33 8 164 58 192 31 206 227 225 7 22 240 190 178 212 191 171 24 136 153 44 241 252 137 225 39 83 125 119 34 63 209 215 247 247 251 229 1 96 57 24 191 50 194 198 203 231 112 251 191 180 240 81 147 129 219 226 127 147 185 254 3 112 111 108 252 183 51 227 215 77 62 243 204 248 125 123 175 95 94 3 216 23 231 18 157 109 162 146 109 164 147 180 96 178 25 248 134 191 172 225 117 47 17 184 197 150 6 180 173 152 223 239 250 111 192 157 177 229 127 71 209 254 237 200 207 242 79 110 77 123 248 121 239 239 53 0 15 0 251 0 0 52 171 210 251 202 39 117 1 201 126 242 27 174 18 56 237 70 129 27 143 146 56 171 232 148 39 134 255 0 240 205 247 2 95 121 52 243 248 187 148 215 167 83 125 86 227 246 221 126 121 0 88 53 44 128 130 64 146 25 88 27 31 27 47 1 78 254 15 192 133 155 129 179 147 93 132 142 0 158 27 91 245 206 196 232 31 7 126 250 45 224 71 183 197 241 190 50 240 105 101 252 201 45 221 196 99 129 120 254 208 27 191 95 30 0 150 23 8 232 205 34 245 126 241 35 234 152 136 143 201 248 88 23 31 83 234 255 163 42 100 144 232 52 238 204 145 99 158 24 252 130 129 242 123 227 247 171 111 0 240 221 128 195 89 145 2 129 150 250 191 218 198 35 53 214 5 229 205 199 148 241 143 18 192 208 32 64 169 189 6 5 218 207 79 141 95 122 227 247 171 223 229 1 96 8 64 140 206 230 223 26 4 104 53 94 168 140 185 78 66 133 10 242 59 205 242 77 195 91 236 54 66 247 22 94 222 248 253 242 0 176 76 65 128 122 106 109 200 85 226 249 43 6 6 33 153 177 71 236 121 246 249 214 210 126 121 0 240 203 13 2 218 152 5 49 84 65 64 129 234 5 194 96 208 188 162 47 98 0 225 13 223 47 15 0 43 4 8 192 188 118 72 12 95 88 254 142 27 61 188 215 247 203 3 192 202 4 1 73 140 157 79 228 161 91 140 73 139 161 123 163 247 203 3 192 42 3 2 19 75 48 177 7 111 248 126 121 0 88 133 64 224 151 95 251 116 249 102 32 191 252 242 0 224 151 95 126 237 143 75 244 83 62 232 151 95 126 121 6 224 151 95 126 121 0 240 203 47 191 60 0 248 229 151 95 30 0 252 242 203 175 149 179 254 191 0 3 0 243 165 7 24 213 77 182 217 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray! !

!JQAllFunctionalTestsLibrary methodsFor: 'accessing' stamp: 'lr 10/21/2008 20:57'!
selectorsToInclude
	^ #(defaultCss)! !
JQAllFunctionalTests initialize!
